%define fontname liberation
%define archivename %{name}-%{version}
%define common_desc \
The Liberation Fonts are intended to be replacements for the three most \
commonly used fonts on Microsoft systems: Times New Roman, Arial, and Courier \
New.

%define _fontdir %{_datadir}/fonts/TrueType-%{fontname}

Name:             TrueType-%{fontname}
Summary:          Fonts to replace commonly used Microsoft Windows fonts
Summary(ja):      一般に使用されている Microsoft Windows のフォントを置換するためのフォント
Version:          2.00.1
Release:          1%{?_dist_release}
License:          OFL
Group:            User Interface/X
URL:              https://www.redhat.com/promo/fonts/
# https://fedorahosted.org/liberation-fonts/
Source0:          %{fontname}-fonts-ttf-%{version}.tar.gz

Requires:         TrueType-%{fontname}-sans >= %{version}
Requires:         TrueType-%{fontname}-serif >= %{version}
Requires:         TrueType-%{fontname}-mono >= %{version}
Requires:         TrueType-%{fontname}-doc = %{version}
BuildRoot:        %{_tmppath}/%{name}-%{version}-root
BuildArch:        noarch

%description
%common_desc

Meta-package of Liberation fonts which installs Sans, Serif, and Monospace 
families.

%description -l ja
liberation fonts はマイクロソフトのシステムでよく使用される3つのフォント、
Times New Roman・Arial・Courier New を置換することが意図されている
フォントです。

このパッケージは Liberation フォントのメタパッケージです。
Sans・Serif・Monospace の3書体をインストールします。

%package sans
Summary: liberation sans TrueType Fonts
Summary(ja): liberation sans True Type フォント
Group: User Interface/X
Requires: TrueType-liberation-doc

%description sans
This package includes liberation sans TrueType fonts.

%description -l ja sans
このパッケージには liberation sans フォントが含まれています。


%package serif
Summary: liberation serif TrueType Fonts
Summary(ja): liberation serif True Type フォント
Group: User Interface/X
Requires: TrueType-liberation-doc

%description serif
This package includes liberation serif TrueType fonts.

%description -l ja serif
このパッケージには liberation serif フォントが含まれています。


%package mono
Summary: liberation mono TrueType Fonts
Summary(ja): liberation mono True Type フォント
Group: User Interface/X
Requires: TrueType-liberation-doc

%description mono
This package includes liberation mono TrueType fonts.

%description -l ja mono
このパッケージには liberation mono フォントが含まれています。


%package doc
Summary: liberation Font Documents
Summary(ja): liberation フォントドキュメント
Group: User Interface/X

%description doc
This package includes important documents for liberation fonts 
includes enduser license.

%description -l ja doc
このパッケージには liberation フォントのライセンスを含むドキュメント類が含まれています。


%prep
%setup -q -n %{fontname}-fonts-ttf-%{version}

%clean
if test -n "${RPM_BUILD_ROOT}" && test "/" != "${RPM_BUILD_ROOT}"; then
    rm -rf ${RPM_BUILD_ROOT}
fi

%build

%install
rm -rf %{buildroot}

mkdir -p $RPM_BUILD_ROOT%{_fontdir}
cp -a *.ttf $RPM_BUILD_ROOT%{_fontdir}

%post sans
%__font_install_post %{_fontdir}

%post serif
%__font_install_post %{_fontdir}

%post mono
%__font_install_post %{_fontdir}


%postun sans
%__font_install_postun %{_fontdir}

%postun serif
%__font_install_postun %{_fontdir}

%postun mono
%__font_install_postun %{_fontdir}

%files

%files sans
%{_fontdir}/LiberationSans*.ttf

%files serif
%{_fontdir}/LiberationSerif-*.ttf

%files mono
%{_fontdir}/LiberationMono-*.ttf

%files doc
%doc AUTHORS ChangeLog LICENSE README TODO

%changelog
* Fri Nov 02 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.00.1-1
- new upstream release

* Mon Jul 23 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.00.0-1
- new upstream release
- changed License: OFL
  - because based on croscore fonts version 1.21.0 (original license is OFL)

* Wed Mar 07 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.07.2-1
- new upstream release

* Wed Sep 21 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.07.1-1
- new upstream release

* Wed Jun 01 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.07.0-1
- new upstream release

* Thu Jul 29 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.06.0.20100721-1
- new upstream release
- added TODO in %%doc

* Wed Jun 30 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.05.3.20100621-1
- new upstream release

* Mon May 17 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.05.3.20100510-1
- new upstream release
- added Requires:  TrueType-%{fontname}-doc = %{version}

* Sun Dec 27 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.05.2.20091227-1
- new upstream release

* Wed Jul 22 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.05.1.20090721-1
- new upstream release

* Fri Jul 17 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.05.1.20090706-1
- new upstream release

* Tue Apr 28 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 1.04.93-1
- initial build for VineSeed

* Fri Jan 09 2009 Caius Chance <cchance@redhat.com> - 1.04.93-3.fc11
- Resolves: rhbz#477410 (Convert to new font packaging guidelines.)

* Tue Dec 09 2008 Caius Chance <cchance@redhat.com> - 1.04.93-2.fc11
- Resolves: rhbz#474522 (Cent sign is not coressed in Sans & Mono.)

* Wed Dec 03 2008 Caius Chance <cchance@redhat.com> - 1.04.93-1.fc11
- Resolves: rhbz#473481
  (Blurriness of Greek letter m (U+03BC) in Liberation Sans Regular.)

* Thu Jul 17 2008 Caius Chance <cchance@redhat.com> - 1.04.90-1.fc10
- Resolves: rhbz#258592
  (Incorrect glyph points and missing hinting instructions for U+0079, U+03BC, 
   U+0431, U+2010..2012.)

* Thu Jul 17 2008 Caius Chance <cchance@redhat.com> - 1.04-1.fc10
- Resolves: rhbz#455717 (Update sources to version 1.04.)
- Improved .spec file.

* Thu Jun 12 2008 Caius Chance <cchance@redhat.com> - 1.04-0.1.beta2.fc10
- Updated source version to 1.04.beta2.
- Removed License.txt and COPYING as already included in sources.

* Thu Apr 10 2008 Caius Chance <cchance@redhat.com> - 1.03-1.fc9
- Resolves: rhbz#251890 (Exchanged and incomplete glyphs.)
- Repack source tarball and re-align source version number.

* Mon Mar 31 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.02-2
- correct license tag, license explanation added

* Tue Mar 25 2008 Caius Chance <cchance@redhat.com> - 1.02-1.fc9
- Resolves: rhbz#240525 (Alignment mismatch of dot accents.)

* Wed Jan 16 2008 Caius Chance <cchance@redhat.com> - 1.01-1.fc9
- Moved source tarball from cvs to separated storage.

* Mon Jan 14 2008 Caius Chance <cchance@redhat.com> - 1.0-1.fc9
- Resolves: rhbz#428596 (Liberation fonts need to be updated to latest font.)

* Wed Nov 28 2007 Caius Chance <cchance@redhat.com> - 0.2-4.fc9
- Resolves: rhbz#367791 (remove 59-liberation-fonts.conf)

* Wed Sep 12 2007 Jens Petersen <petersen@redhat.com> - 0.2-3.fc8
- add fontdir macro
- create fonts.dir and fonts.scale (reported by Mark Alford, #245961)
- add catalogue symlink

* Wed Sep 12 2007 Jens Petersen <petersen@redhat.com> - 0.2-2.fc8
- update license field to GPLv2

* Thu Jun 14 2007 Caius Chance <cchance@redhat.com> 0.2-1.fc8
- Updated new source tarball from upstream: '-3' (version 0.2).

* Tue May 15 2007 Matthias Clasen <mclasen@redhat.com> 0.1-9
- Bump revision

* Tue May 15 2007 Matthias Clasen <mclasen@redhat.com> 0.1-8
- Change the license tag to "GPL + font exception"

* Mon May 14 2007 Matthias Clasen <mclasen@redhat.com> 0.1-7
- Correct the source url 

* Mon May 14 2007 Matthias Clasen <mclasen@redhat.com> 0.1-6
- Incorporate package review feedback

* Fri May 11 2007 Matthias Clasen <mclasen@redhat.com> 0.1-5
- Bring the package in sync with Fedora packaging standards

* Wed Apr 25 2007 Meethune Bhowmick <bhowmick@redhat.com> 0.1-4
- Require fontconfig package for post and postun

* Tue Apr 24 2007 Meethune Bhowmick <bhowmick@redhat.com> 0.1-3
- Bump version to fix issue in RHEL4 RHN

* Thu Mar 29 2007 Richard Monk <rmonk@redhat.com> 0.1-2rhis
- New license file

* Thu Mar 29 2007 Richard Monk <rmonk@redhat.com> 0.1-1rhis
- Inital packaging
