Name:           attica
Summary:        Implementation of the Open Collaboration Services API
Summary(ja):    Open Collaboration Services API の一実装
Version:        0.4.1
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.kde.org

Source0:        ftp://ftp.kde.org/pub/kde/stable/attica/attica-%{version}.tar.bz2
## upstreamable patches

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  cmake
BuildRequires:  qt4-devel
BuildRequires:  openssl-devel

%description
Attica is a Qt library that implements the Open Collaboration Services
API version 1.4.


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発用ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q


%build
%ifarch x86_64
PATH="$PATH:`/usr/bin/pkg-config --variable=bindir Qt`"
%endif
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc COPYING README
%{_libdir}/libattica.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/attica/
%{_libdir}/libattica.so
%{_libdir}/pkgconfig/libattica.pc


%changelog
* Mon Sep 03 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.1-1
- new upstream release

* Tue Jan  4 2011 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.2.0-1
- new upstream release
- added Japanese summary

* Mon Sep 20 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.4-2
- rebuilt with rpm-4.8.1

* Sat Jul 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.4-1
- new upstream release
- dropt Patch50 (merged into upstream)

* Sat Apr 10 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.3-1
- new upstream release

* Thu Feb 11 2010 Shu KONNO <owa@bg.wakwak.com> - 0.1.2-3
- added qmake path to PATH (if x86_64)

* Thu Feb 11 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.1.2-2
- initial build for Vine Linux

* Thu Jan 14 2010 Rex Dieter <rdieter@fedoraproject.org> - 0.1.2-1
- attica-0.1.2
- patch Version in libattica.pc
- %%build: %%_cmake_skip_rpath 

* Fri Dec 18 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.1-1
- attica-0.1.1

* Wed Dec  9 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.1.0-3
- upstream tarball
- %files: tighten up a bit, track sonames

* Mon Dec  7 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.1.0-2
- Out of sourcetree build
- Use make install/fast

* Sat Dec 5 2009 lvillani <lvillani@enterprise.binaryhelix.net> 0.1.0-1
- Initial release

