%define pkg_version 3.6.1
%define pkg_release 1%{?_dist_release}

Summary: Plugins for eog
Summary(ja): eog用のプラグイン
Name: eog-plugins
Version: %{pkg_version}
Release: %{pkg_release}
Source0: http://download.gnome.org/sources/eog-plugins/3.6/%{name}-%{version}.tar.xz
Source1: README.vine
License: GPLv2+
Group: Applications/Graphics
URL: http://live.gnome.org/EyeOfGnome/Plugins

BuildRequires: gtk3-devel
BuildRequires: eog-devel
BuildRequires: libexif-devel
BuildRequires: libchamplain-devel, libchamplain-gtk-devel
BuildRequires: libpeas-devel
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: libgdata-devel
BuildRequires: postr

Requires: eog
Requires(postun,posttrans): glib2

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
It's a collection of plugins for use with the Eye of GNOME Image Viewer.

%description -l ja
Eye of GNOME イメージビューア用のプラグイン集


%prep
%setup -q
%{__cp} %{SOURCE1} .

%build
%configure --with-plugins=map,exif-display,fit-to-width,pythonconsole,slideshowshuffle,postr,postasa,send-by-mail
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

# remove *.la
%{__rm} -f ${RPM_BUILD_ROOT}/%{_libdir}/eog/plugins/*.la

%find_lang %{name}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README README.vine
%{_libdir}/*
%{_datadir}/eog/plugins/exif-display/*.ui
%{_datadir}/eog/plugins/pythonconsole/config.ui
%{_datadir}/eog/plugins/postasa
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.exif-display.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.eog.plugins.pythonconsole.gschema.xml


%changelog
* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release
- add BuildRequires: gsettings-desktop-schemas-devel

* Tue Jun 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release
- remove Patch0

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Wed Dec 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.2-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.3-1
- new upstream release
- add BuildRequires: postr

* Sun Sep 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.2-2
- enable postr (upload picture to Flickr)
- enable postasa (upload picture to Picasa web)
- enable send-by-mail (Send picture to friends by evolution mail)
- add libgdata-devel to BR
- add README.vine

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.2-1
- new upstream release
- add BuildRequires: libpeas-devel
- change BuildRequires: gtk3-devel instead of gtk2-devel
- update Patch0

* Sun Feb 06 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release
- change BuildRequires: eog-devel instead of eog

* Sat Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-2
- rebuild with libchamplain-0.8

* Sat Jun 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release

* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.28.1-1
- initial build for Vine Linux
- exclude postr plugin 

