Summary:        A collection of GStreamer modules and libraries for videoconferencing
Name:           farstream
Version:        0.2.0
Release:        1%{?_dist_release}

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://www.freedesktop.org/wiki/Software/Farstream
Source0:        http://freedesktop.org/software/farstream/releases/farstream/%{name}/%{name}-%{version}.tar.gz

Patch0:		farstream-prefer-vp8.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	libnice-devel
BuildRequires:	gstreamer1-devel >= 0.10.33
BuildRequires:	gstreamer1-plugins-base-devel >= 0.10.33
BuildRequires:	python-devel
BuildRequires:	gobject-introspection-devel

Obsoletes:      farsight2 < 0.0.32

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Farstream is a collection of GStreamer modules and libraries for
videoconferencing. The API is described in the documentation in the
docs/ directory.


%package	devel
Summary:        Development tools for farstream
Summary(ja):    farstream の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
farstream.


%package        doc
Summary:        Documentation for farstream
Summary(ja):    farstream 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for farstream.


%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README NEWS COPYING ChangeLog AUTHORS
%{_libdir}/farstream-0.2/*.so
%{_libdir}/gstreamer-1.0/*.so
%{_libdir}/libfarstream-0.2.so.*
%{_libdir}/girepository-1.0/Farstream-0.2.typelib
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_includedir}/farstream-0.2
%{_libdir}/libfarstream-0.2.so
%{_libdir}/pkgconfig/farstream-0.2.pc
%{_datadir}/gir-1.0/Farstream-0.2.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/farstream-libs-1.0
%{_datadir}/gtk-doc/html/farstream-plugins-0.2


%changelog
* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- new upstream release
- change BuildRequires: gstreamer1-devel instead of gstreamer-devel
- change BuildRequires: gstreamer1-plugins-base-devel instead of gstreamer-plugins-base-devel
- add BuildRequires: gobject-introspection-devel

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-2
- add Obsoletes: farsight2

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.2-1
- initial build for VIne Linux

