Name:           gedit-plugins
Version:        3.6.1
Release:        1%{?_dist_release}
Summary:        A collection Official Plugins for gedit
Summary:        gedit の公式プラグイン集

Group:          Applications/Editors
License:        GPLv2+
URL:            http://live.gnome.org/GeditPlugins 
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-plugins/3.6/%{name}-%{version}.tar.xz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  intltool >= 0.35.0
BuildRequires:  perl >= 5.8.1
BuildRequires:  gtk3-devel >= 3.0.0
BuildRequires:  libpeas-devel >= 1.0.0
BuildRequires:  gedit-devel >= 2.30.0
BuildRequires:  vte3-devel
BuildRequires:  dbus-python-devel

Vendor: Project Vine
Distribution: Vine Linux

%description
A collection of Official plugins for gedit.

 * Bookmarks: Easy document navigation with bookmarks
 * Bracket Completion: Automatically adds closing brackets.
 * Character Map: Insert special characters just by clicking on them.
 * Code comment: Comment out or uncomment a selected block of code.
 * Color Picker: Pick a color from a dialog and insert its hexadecimal representation.
 * Draw Spaces: Draw Spaces and Tabs
 * Join/Split Lines: Join several lines or split long ones
 * Session Saver: Save and restore your working sessions
 * Show/Hide Tabbar: Add a menu entry to show/hide the tabbar.
 * Smart Spaces: Forget you're not using tabulations.
 * Embedded Terminal: Embed a terminal in the bottom pane.


%description -l ja
gedit の公式プラグイン集です。

 * ブックマーク： ブックマークを使って簡単にドキュメントを閲覧できるようにします。
 * 括弧の補完： 対応する閉じ括弧を自動的に追加します。
 * 文字マップ： 特殊な文字をクリックしながら挿入していきます。
 * コードのコメント： 選択した範囲をコメントアウトしたり解除します。
 * 色の取得： 色選択ダイアログから色を取得して 16進形式の文字列として挿入します。
 * 空白文字の表示： 空白やタブ文字を描画します。
 * 行の結合・分割： 複数の行と結合したり一行を分割したりします。
 * セッションの保存： 現在、作業中のセッションを保存したりリストアします。
 * タブバーの表示/非表示： タブバーの表示切り替えエントリをメニューに追加します。
 * スマート・スペース： 作表を使っていないことを忘れて下さい。
 * 埋め込み式の端末： ボトム・ペインに端末を埋め込みます。


%prep
%setup -q
grep '"import vte' configure && sed \
    -i "s!import vte!import imp; imp.find_module('vte')!" configure

%build
%configure --enable-python
#--with-plugins=bracketcompletion,charmap,codecomment,colorpicker,drawspaces,joinlines,showtabbar,smartspaces,terminal,bookmarks
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%postun 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans 
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%check
[ -f ${RPM_BUILD_ROOT}%{_libdir}/gedit/plugins/terminal.py ]


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING
%{_libdir}/gedit/plugins/*
%{_datadir}/gedit/plugins/*
%{_datadir}/glib-2.0/schemas/*.xml


%changelog
* Wed Oct 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.6.1-1
- new upstream release

* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.6.0-1
- new upstream release
- remove old required packages

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.4.0-1
- new upstream release
- remove BuildRequires: GConf2-devel

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.2.1-1
- new upstream release

* Fri Sep 30 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.2.0-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.1.5-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.1.3-1
- new upstream release

* Tue Aug 16 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 3.1.2-1
- new upstream release
- add BuildRequires: dbus-python-devel

* Tue Oct 05 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.32.0-1
- new upstream release

* Sun Apr 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 2.30.0-1
- new upstream release
- add BuildRequires: python-devel

* Tue Dec  1 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 2.28.0-2
- added BuildRequires: gedit-devel

* Tue Nov  3 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.28.0-1
- new upstream release

* Sun Aug  2 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.26.3-1
- Update to upstream release

* Fri Jun  5 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.26.2-1
- Update to upstream release

* Tue May 19 2009 Toshiharu Kudoh <toshi.kd2@gmail.com> - 2.26.1-1
- initial build for VineSeed

* Sat Apr 11 2009 Dodji Seketeli <dodji@redhat.org> - 2.26.1-1
- Update to upstream release 2..26.1
- Fixes GNOME bugzilla bug #576766 - Crash when Configuring "Draw Spaces"
- Make sure to remove all *.la files
- Remove BuildRequire libgnomeui-devel as needless now

* Fri Apr 10 2009 Dodji Seketeli <dodji@redhat.org> - 2.26.0-1
- Update to upstream release (2.26.1)
- Add plugin files from %%{_datadir}
- Don't check for vte anymore, the package checks it pkg-config
- Add 'bookmarks' to the plugin set

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.22.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.22.3-3
- Rebuild for Python 2.6

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.3-2
- Fixed buildrequires

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.3-1
- Updated to 2.22.3

* Mon Sep 29 2008 Rakesh Pandit <rakesh@fedoraproject.org> - 2.22.0-2
- rebuild to pick latest gucharmap

* Tue Mar 18 2008 Trond Danielsen <trond.danielsen@gmail.com> - 2.22.0-1
- Updated.

* Mon Apr 30 2007 Trond Danielsen <trond.danielsen@gmail.com> - 2.18.0-2
- Disable buggy session saver plugin.
- Removed static libraries.

* Sun Apr 01 2007 Trond Danielsen <trond.danielsen@gmail.com> - 2.18.0-1
- Initial version.
