%define prereq_ge()  %(LC_ALL="C" rpm -q --queryformat 'PreReq:%%{NAME} >= %%{VERSION}' %1| grep -v "is not")
%define emacsen_pkgdir /usr/lib/emacsen-common/packages

# Pass --without docs to rpmbuild if you don't want the documentation
Name: 		git
Version: 	1.8.0
Release:        1%{?_dist_release}
Summary:  	Core git tools
Summary(ja):	Core git ツール
License: 	GPLv2
Group: 		Development/Tools
URL: 		http://git-scm.com/
Source: 	%{name}-%{version}.tar.gz
Source1:	vine-default-git.el
Source2:	git.xinetd
Source3:	git.conf.httpd
Source4:	gitweb.conf.in
Source10:       %{name}-install.sh
Source11:       %{name}-remove.sh
Source12:	git-init.el
Patch0:		git-1.5-gitweb-home-link.patch

# Security
# none

BuildRequires:	zlib-devel >= 1.2, openssl-devel, curl-devel, 
BuildRequires:  expat-devel, gettext, asciidoc
BuildRequires:  pcre-devel
BuildRequires:  xmlto
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

Requires:	perl-Git = %{version}-%{release}
Requires:	zlib
Provides:	git-core = %{version}-%{release}
Obsoletes:	git-core <= 1.5.4.3

Vendor: 	Project Vine
Distribution: 	Vine Linux
Packager: 	iwaim

%description
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

The git rpm installs the core tools with minimal dependencies.  To
install all git packages, including tools for integrating with other
SCMs, install the git-all meta-package.

%package all
Summary:	Meta-package to pull in all git tools
Summary(ja):	すべての git ツール
Group:		Development/Tools
Requires:	git = %{version}-%{release}
Requires:	git-svn = %{version}-%{release}
Requires:	git-cvs = %{version}-%{release}
%if "%{?_dist_release}" != "vl4"
Requires:	git-arch = %{version}-%{release}
%endif
Requires:	git-email = %{version}-%{release}
Requires:	gitk = %{version}-%{release}
Requires:	git-gui = %{version}-%{release}
Requires:	perl-Git = %{version}-%{release}
Requires:	emacs-git = %{version}-%{release}
Obsoletes:	git <= 1.5.4.3

%description all
Git is a fast, scalable, distributed revision control system with an
unusually rich command set that provides both high-level operations
and full access to internals.

This is a dummy package which brings in all subpackages.

%package daemon
Summary:	Git protocol daemon
Summary(ja):	Git プロトコルデーモン
Group:		Development/Tools
Requires:	git = %{version}-%{release}
%description daemon
The git daemon for supporting git:// access to git repositories

%package -n gitweb
Summary:        Simple web interface to git repositories
Summary(ja):    git リポジトリへのシンプルな Web インタフェース
Group:          Development/Tools
Requires:       git = %{version}-%{release}

%description -n gitweb
Simple web interface to track changes in git repositories


%package svn
Summary:        Git tools for importing Subversion repositories
Summary(ja):    Subversion リポジトリを git へインポートするためのツール
Group:          Development/Tools
Requires:       git = %{version}-%{release}, subversion, perl(Term::ReadKey)
Requires:       perl(SVN::Core)
%description svn
Git tools for importing Subversion repositories.

%package cvs
Summary:        Git tools for importing CVS repositories
Summary(ja):    CVS リポジトリを git へインポートするためのツール
Group:          Development/Tools
Requires:       git = %{version}-%{release}, cvs, cvsps
%description cvs
Git tools for importing CVS repositories.

%if "%{?_dist_release}" != "vl4"
%package arch
Summary:        Git tools for importing Arch repositories
Summary(ja):    Arch リポジトリを git へインポートするためのツール
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tla
%description arch
Git tools for importing Arch repositories.
%endif

%package email
Summary:        Git tools for sending email
Summary(ja):    Eメールを送るための git ツール
Group:          Development/Tools
Requires:	git = %{version}-%{release}, perl-Git = %{version}-%{release}
%description email
Git tools for sending email.

%package gui
Summary:        Git GUI tool
Summary(ja):    Git の GUI ツール
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tk
%description gui
Git GUI tool.

%package -n gitk
Summary:        Git revision tree visualiser
Summary(ja):    Git リビジョンツリー可視化ツール
Group:          Development/Tools
Requires:       git = %{version}-%{release}, tk
%description -n gitk
Git revision tree visualiser.

%package -n perl-Git
Summary:        Perl interface to Git
Summary(ja):    Git の perl インタフェース
Group:          Development/Libraries
Requires:       git = %{version}-%{release}, perl(Error)
%if "%{?_dist_release}" == "vl4"
Requires:       perl = %(rpm -q --qf '%%{epoch}:%%{version}' perl)
%else
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
%endif
#BuildRequires:  perl(Error), perl(ExtUtils::MakeMaker)

%description -n perl-Git
Perl interface to Git.

%package -n emacs-git
Summary:       Git version control system support for Emacs
Summary(ja):   Emacs の Git サポート
Group:         Applications/Editors
Requires:      git = %{version}-%{release}, emacsen-common

%description -n emacs-git
%{summary}.

%package devel
Summary:	Header files for git-core
Summary(ja):	git-core 用ヘッダファイル
Group:		Development/Libraries

%description devel
Header files for git-core.

%prep
%setup -q
%patch0 -p1

%build
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
     ETC_GITCONFIG=/etc/gitconfig \
     USE_LIBPCRE=1 \
     GITWEB_PROJECTROOT=/var/lib/git \
     gitwebdir=/var/www/git \
     prefix=%{_prefix} all %{!?_without_docs: doc}

%install
rm -rf $RPM_BUILD_ROOT
make %{_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" DESTDIR=$RPM_BUILD_ROOT \
     prefix=%{_prefix} mandir=%{_mandir} \
     ETC_GITCONFIG=/etc/gitconfig \
     USE_LIBPCRE=1 \
     NO_PYTHON=1 \
     GITWEB_PROJECTROOT=/var/lib/git \
     gitwebdir=/var/www/git \
     INSTALLDIRS=vendor install %{!?_without_docs: install-doc}

# perl-Git
# Error.pm provide by perl-Error package
rm -rf $RPM_BUILD_ROOT%{perl_vendorlib}/Error.pm

# emacs-git
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/git
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/emacsen-common/packages/install
#mkdir -p $RPM_BUILD_ROOT%{_libdir}/emacsen-common/packages/remove
mkdir -p $RPM_BUILD_ROOT%{emacsen_pkgdir}/install
mkdir -p $RPM_BUILD_ROOT%{emacsen_pkgdir}/remove

# install el files
install -m644 contrib/emacs/*.el $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/git/

# install vine-default file
install -m644 %{SOURCE1} %{SOURCE12} $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp/git/

# install  script( bytecompile el and install elc , remove )   

%_installemacsenscript git %{SOURCE10} 

%_removeemacsenscript  git %{SOURCE11}

mkdir -p $RPM_BUILD_ROOT/%{_var}/lib/git
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/%{_sysconfdir}/xinetd.d/git
perl -p \
     -e "s|\@GITCOREDIR\@|%{_libexecdir}/git-core|g;" \
     -e "s|\@BASE_PATH\@|%{_var}/lib/git|g;" \
     %{SOURCE3} > %{buildroot}%{_sysconfdir}/xinetd.d/git

## for gitweb sub package
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d
install -m 0644 %SOURCE3 $RPM_BUILD_ROOT/%{_sysconfdir}/httpd/conf.d/git.conf
sed "s|@PROJECTROOT@|%{_var}/lib/git|g" \
    %{SOURCE4} > %{buildroot}%{_sysconfdir}/gitweb.conf

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -empty -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'

(find $RPM_BUILD_ROOT%{_libexecdir} -type f | grep -vE "archimport|svn|cvs|email|gitk|git-gui|git-citooli|git-daemon" | sed -e s@^$RPM_BUILD_ROOT@@)               > bin-man-doc-files
(find $RPM_BUILD_ROOT%{perl_vendorlib} -type f | sed -e s@^$RPM_BUILD_ROOT@@) >> perl-files
%if %{!?_without_docs:1}0
(find $RPM_BUILD_ROOT%{_mandir} $RPM_BUILD_ROOT/Documentation -type f | grep -vE "archimport|svn|git-cvs|email|gitk|git-gui|git-citool" | sed -e s@^$RPM_BUILD_ROOT@@ -e 's/$/*/' ) >> bin-man-doc-files
%else
rm -rf $RPM_BUILD_ROOT%{_mandir}
%endif
mkdir -p $RPM_BUILD_ROOT/srv/git

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 -T contrib/completion/git-completion.bash $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/git

# header files and lib
install -d $RPM_BUILD_ROOT%{_includedir}/%{name}/xdiff
install *.h $RPM_BUILD_ROOT%{_includedir}/%{name}
install xdiff/*.h $RPM_BUILD_ROOT%{_includedir}/%{name}/xdiff
install libgit.a $RPM_BUILD_ROOT%{_libdir}
install xdiff/lib.a $RPM_BUILD_ROOT%{_libdir}/libgit_xdiff.a


%clean
rm -rf $RPM_BUILD_ROOT

%post -n emacs-git

# bytecompile and install 

if [ "$1" = 2 ]; then

%_emacsenPackageRemove git

fi

%_addemacsenlist git

%_emacsenPackageInstall git

%preun -n emacs-git

if [ "$1" = 0 ]; then

%_emacsenPackageRemove git

%_removeemacsenlist git

fi


%files -f bin-man-doc-files
%defattr(-,root,root)
%{_bindir}/git
%{_bindir}/git-receive-pack
%{_bindir}/git-upload-archive
%{_bindir}/git-upload-pack
%{_bindir}/git-shell
%{_datadir}/git-core/
%doc README COPYING Documentation/*.txt contrib/hooks
%{!?_without_docs: %doc Documentation/*.html Documentation/docbook-xsl.css}
%{!?_without_docs: %doc Documentation/howto Documentation/technical}
%{_sysconfdir}/bash_completion.d


%files svn
%defattr(-,root,root)
%{_libexecdir}/git-core/*svn*
%doc Documentation/*svn*.txt
%{!?_without_docs: %{_mandir}/man1/*svn*.1*}
%{!?_without_docs: %doc Documentation/*svn*.html }

%files cvs
%defattr(-,root,root)
%doc Documentation/*git-cvs*.txt
%{_bindir}/git-cvsserver
%{_libexecdir}/git-core/*cvs*
%{!?_without_docs: %{_mandir}/man1/*cvs*.1*}
%{!?_without_docs: %doc Documentation/*git-cvs*.html }

%if "%{?_dist_release}" != "vl4"
%files arch
%defattr(-,root,root)
%doc Documentation/git-archimport.txt
%{_libexecdir}/git-core/git-archimport
%{!?_without_docs: %{_mandir}/man1/git-archimport.1*}
%{!?_without_docs: %doc Documentation/git-archimport.html }
%endif

%files email
%defattr(-,root,root)
%doc Documentation/*email*.txt
%{_libexecdir}/git-core/*email*
%{!?_without_docs: %{_mandir}/man1/*email*.1*}
%{!?_without_docs: %doc Documentation/*email*.html }

%files gui
%defattr(-,root,root)
%{_libexecdir}/git-core/git-gui*
%{_libexecdir}/git-core/git-citool
%{_datadir}/git-gui/
%{!?_without_docs: %{_mandir}/man1/git-gui.1*}
%{!?_without_docs: %doc Documentation/git-gui.html}
%{!?_without_docs: %{_mandir}/man1/git-citool.1*}
%{!?_without_docs: %doc Documentation/git-citool.html}

%files -n gitk
%defattr(-,root,root)
%doc Documentation/*gitk*.txt
%{_bindir}/gitk
%{_datadir}/gitk
%{!?_without_docs: %{_mandir}/man1/*gitk*.1*}
%{!?_without_docs: %doc Documentation/*gitk*.html }

%files -n perl-Git -f perl-files
%defattr(-,root,root)

%files -n emacs-git
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/git
#%{_libdir}/emacsen-common/packages/install/git
#%{_libdir}/emacsen-common/packages/remove/git
%{emacsen_pkgdir}/install/git
%{emacsen_pkgdir}/remove/git

%files daemon
%defattr(-,root,root)
%{_var}/lib/git
%{_libexecdir}/git-core/git-daemon
%config(noreplace)%{_sysconfdir}/xinetd.d/git
/srv/git

%files -n gitweb
%defattr(-,root,root)
%doc gitweb/README
/var/www/git/
%config(noreplace)%{_sysconfdir}/gitweb.conf
%config(noreplace)%{_sysconfdir}/httpd/conf.d/git.conf

%files devel
%defattr(644,root,root,755)
%{_includedir}/git
%{_libdir}/libgit.a
%{_libdir}/libgit_xdiff.a


%files all
# No files for you!

%changelog
* Mon Oct 29 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.8.0-1
- new upstream release
- enable libpcre support, add BR: pcre-devel
- add /etc/gitweb.conf
- add /var/lib/git for PROJECTROOT

* Mon Sep  3 2012 IWAI, Masaharu <iwai@alib.jp> 1.7.12-1
- new upstream release

* Fri May 25 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.10.2-1
- new upstream release 

* Sat May 05 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.7.10.1-1
- new upstream release 

* Wed Mar 30 2011 IWAI, Masaharu <iwai@alib.jp> 1.7.4.2-1
- new upstream release

* Sat Mar 26 2011 IWAI, Masaharu <iwai@alib.jp> 1.7.3.5-2vl6
- build with perl 5.12.3

* Mon Jan 10 2011 IWAI, Masaharu <iwai@alib.jp> 1.7.3.5-1
- new upstream release
- build with openssl 1.0.0c for VineSeed

* Sat Jan  1 2011 IWAI, Masaharu <iwai@alib.jp> 1.7.3.4-1
- new upstream release: include security fix: CVE-2010-3906

* Fri Oct  1 2010 IWAI, Masaharu <iwai@alib.jp> 1.7.3.1-1
- new upstream release
- drop CVE-2010-2542 patch (Patch100): upstream fixed
- apply vine-default
 - rename Source1: git-init.el -> vine-default-git.el
 - add new git-init.el file (Source12)
 - update git-install.sh
- update %%build and %%install section for gitweb subpackage
- add README in gitweb subpackage

* Tue Sep 28 2010 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> 1.7.1-2
- add Patch100 for fix CVE-2010-2542 (BOF in is_git_directory)

* Wed Jun  9 2010 IWAI, Masaharu <iwai@alib.jp> 1.7.1-1
- new upstream release
- fix git-daemon path in git.xinetd: <BTS:VineLinux:919>
- disable building of unused python remote helper libs

* Mon Jun 22 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.6.3.3-1
- new upstream release with security fix
- drop patch10 (included in new release)

* Tue Jun 16 2009 Satoshi IWAMOTO <satoshi.iwamoto@nifty.ne.jp> - 1.6.3.2-1
- new upstream release
- add patch10 git daemon extra arg parsing fix

* Thu Apr 16 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.2.3-2
- fix install script for Emacs Lisp: <BTS:VineLinux:685>
 - update git-install.sh (Source10) using contributed patch

* Tue Apr 14 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.2.3-1
- new upstream release

* Sun Feb 22 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.1.2-3
- delete arch sub package for Vine Linux 4.2: <BTS:VineLinux:667>
- spec in EUC-JP for Vine Linux 4.2: <BTS:VineLinux:668>
- fix summary and description in daemon sub package

* Sun Feb  1 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.1.2-2
- drop Error.pm: provide by perl-Error package

* Thu Jan 29 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.1.2-1
- new upstream relase
- update URL tag
- add Requires: perl(SVN::Core) for svn subpackage

* Thu Jan 22 2009 IWAI, Masaharu <iwai@alib.jp> - 1.6.1-3
- add git-shell in git package
- do not require perl(:MODULE_COMPAT_x.y.z) on Vine Linux 4.x

* Mon Jan  5 2009 Shu KONNO <owa@bg.wakwak.com> - 1.6.1-2
- added BuildRequires: xmlto

* Mon Jan  5 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 1.6.1-1
- new upstream release
- add devel subpackage (see [wishes:0165])

* Fri Oct 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0.3-1
- new upstream release

* Mon Sep 15 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0.2-1
- new upstream release

* Tue Aug 26 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0.1-1
- new upstream release

* Mon Aug 25 2008 Shu KONNO <owa@bg.wakwak.com> 1.6.0-2
- use %%emacsen_pkgdir macro

* Sun Aug 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.6.0-1
- new upstream release

* Wed Aug 20 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 	1.5.6.4-1
- initial build for Vine Linux

* Thu Jul 24 2008 James Bowes <jbowes@redhat.com> 1.5.6-4
- git-1.5.6.4

* Thu Jun 19 2008 James Bowes <jbowes@redhat.com> 1.5.6-1
- git-1.5.6

* Tue Jun  3 2008 Stepan Kasal <skasal@redhat.com> 1.5.5.3-2
- use tar.bz2 instead of tar.gz

* Wed May 28 2008 James Bowes <jbowes@redhat.com> 1.5.5.3-1
- git-1.5.5.3

* Mon May 26 2008 James Bowes <jbowes@redhat.com> 1.5.5.2-1
- git-1.5.5.2

* Mon Apr 21 2008 James Bowes <jbowes@redhat.com> 1.5.5.1-1
- git-1.5.5.1

* Wed Apr 09 2008 James Bowes <jbowes@redhat.com> 1.5.5-1
- git-1.5.5

* Fri Apr 04 2008 James Bowes <jbowes@redhat.com> 1.5.4.5-3
- Remove the last two requires on git-core.

* Wed Apr 02 2008 James Bowes <jbowes@redhat.com> 1.5.4.5-2
- Remove a patch that's already upstream.

* Fri Mar 28 2008 James Bowes <jbowes@redhat.com> 1.5.4.5-1
- git-1.5.4.5

* Wed Mar 26 2008 James Bowes <jbowes@redhat.com> 1.5.4.4-4
- Own /etc/bash_completion.d in case bash-completion isn't installed.

* Tue Mar 25 2008 James Bowes <jbowes@redhat.com> 1.5.4.4-3
- Include the sample hooks from contrib/hooks as docs (bug 321151).
- Install the bash completion script from contrib (bug 433255).
- Include the html docs in the 'core' package again (bug 434271).

* Wed Mar 19 2008 James Bowes 1.5.4.4-2
- Obsolete git <= 1.5.4.3, to catch going from F8 to rawhide/F9

* Thu Mar 13 2008 James Bowes <jbowes@redhat.com> 1.5.4.4-1
- git-1.5.4.4

* Mon Mar  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.4.3-3
- rebuild for new perl (again)

* Sun Feb 24 2008 Bernardo Innocenti <bernie@codewiz.org> 1.5.4.3-2
- Do not silently overwrite /etc/httpd/conf.d/git.conf

* Sat Feb 23 2008 James Bowes <jbowes@redhat.com> 1.5.4.3-1
- git-1.5.4.3
- Include Kristian Høgsberg's changes to rename git-core to
  git and git to git-all.

* Sun Feb 17 2008 James Bowes <jbowes@redhat.com> 1.5.4.2-1
- git-1.5.4.2

* Mon Feb 11 2008 Jeremy Katz <katzj@redhat.com> - 1.5.4.1-2
- Add upstream patch (e62a641de17b172ffc4d3a803085c8afbfbec3d1) to have 
  gitweb rss feeds point be commitdiffs instead of commit

* Sun Feb 10 2008 James Bowes <jbowes@redhat.com> 1.5.4.1-1
- git-1.5.4.1

* Tue Feb 05 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.5.4-3
- rebuild for new perl

* Sun Feb 03 2008 James Bowes <jbowes@redhat.com> 1.5.4-1
- Add BuidRequires on gettext.

* Sat Feb 02 2008 James Bowes <jbowes@redhat.com> 1.5.4-1
- git-1.5.4

* Tue Jan 08 2008 James Bowes <jbowes@redhat.com> 1.5.3.8-1
- git-1.5.3.8

* Fri Dec 21 2007 James Bowes <jbowes@redhat.com> 1.5.3.7-2
- Have git metapackage require explicit versions (bug 247214)

* Mon Dec 03 2007 Josh Boyer <jwboyer@gmail.com> 1.5.3.7-1
- git-1.5.3.7

* Tue Nov 27 2007 Josh Boyer <jwboyer@gmail.com> 1.5.3.6-1
- git-1.5.3.6
- git-core requires perl(Error) (bug 367861)
- git-svn requires perl(Term:ReadKey) (bug 261361)
- git-email requires perl-Git (bug 333061)

* Wed Oct 24 2007 Lubomir Kundrak <lkundrak@redhat.com> 1.5.3.4-2
- git-Perl requires Error package

* Tue Oct 09 2007 James Bowes <jbowes@redhat.com> 1.5.3.4-1
- git-1.5.3.4

* Sun Sep 30 2007 James Bowes <jbowes@redhat.com> 1.5.3.3-1
- git-1.5.3.3

* Wed Sep 26 2007 James Bowes <jbowes@redhat.com> 1.5.3.2-1
- git-1.5.3.2

* Thu Sep 06 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 1.5.3.1-2
- Include git-gui and git-citool docs

* Thu Sep 06 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 1.5.3.1-1
- git-1.5.3.1-1

* Thu Aug 23 2007 James Bowes <jbowes@redhat.com> 1.5.2.5-1
- git-1.5.2.5-1

* Fri Aug 03 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 1.5.2.4-1
- git-1.5.2.4-1

* Tue Jul 03 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 1.5.2.2-3
- Add git-daemon and gitweb packages

* Thu Jun 21 2007 Josh Boyer <jwboyer@jdub.homelinux.org> 1.5.2.2-2
- Add emacs-git package (#235431)

* Mon Jun 18 2007 James Bowes <jbowes@redhat.com> 1.5.2.2-1
- git-1.5.2.2

* Fri Jun 08 2007 James Bowes <jbowes@redhat.com> 1.5.2.1-1
- git-1.5.2.1

* Tue May 13 2007 Quy Tonthat <qtonthat@gmail.com>
- Added lib files for git-gui
- Added Documentation/technical (As needed by Git Users Manual)

* Tue May 8 2007 Quy Tonthat <qtonthat@gmail.com>
- Added howto files

* Fri Mar 30 2007 Chris Wright <chrisw@redhat.com> 1.5.0.6-1
- git-1.5.0.6

* Mon Mar 19 2007 Chris Wright <chrisw@redhat.com> 1.5.0.5-1
- git-1.5.0.5

* Tue Mar 13 2007 Chris Wright <chrisw@redhat.com> 1.5.0.3-1
- git-1.5.0.3

* Fri Mar 2 2007 Chris Wright <chrisw@redhat.com> 1.5.0.2-2
- BuildRequires perl-devel as of perl-5.8.8-14 (bz 230680)

* Mon Feb 26 2007 Chris Wright <chrisw@redhat.com> 1.5.0.2-1
- git-1.5.0.2

* Mon Feb 13 2007 Nicolas Pitre <nico@cam.org>
- Update core package description (Git isn't as stupid as it used to be)

* Mon Feb 12 2007 Junio C Hamano <junkio@cox.net>
- Add git-gui and git-citool.

* Sun Dec 10 2006 Chris Wright <chrisw@redhat.com> 1.4.4.2-2
- no need to install manpages executable (bz 216790)
- use bytes for git-cvsserver

* Sun Dec 10 2006 Chris Wright <chrisw@redhat.com> 1.4.4.2-1
- git-1.4.4.2

* Mon Nov 6 2006 Jindrich Novy <jnovy@redhat.com> 1.4.2.4-2
- rebuild against the new curl

* Tue Oct 17 2006 Chris Wright <chrisw@redhat.com> 1.4.2.4-1
- git-1.4.2.4

* Wed Oct 4 2006 Chris Wright <chrisw@redhat.com> 1.4.2.3-1
- git-1.4.2.3

* Fri Sep 22 2006 Chris Wright <chrisw@redhat.com> 1.4.2.1-1
- git-1.4.2.1

* Mon Sep 11 2006 Chris Wright <chrisw@redhat.com> 1.4.2-1
- git-1.4.2

* Thu Jul 6 2006 Chris Wright <chrisw@redhat.com> 1.4.1-1
- git-1.4.1

* Tue Jun 13 2006 Chris Wright <chrisw@redhat.com> 1.4.0-1
- git-1.4.0

* Thu May 4 2006 Chris Wright <chrisw@redhat.com> 1.3.3-1
- git-1.3.3
- enable git-email building, prereqs have been relaxed

* Thu May 4 2006 Chris Wright <chrisw@redhat.com> 1.3.2-1
- git-1.3.2

* Fri Apr 28 2006 Chris Wright <chrisw@redhat.com> 1.3.1-1
- git-1.3.1

* Wed Apr 19 2006 Chris Wright <chrisw@redhat.com> 1.3.0-1
- git-1.3.0

* Mon Apr 10 2006 Chris Wright <chrisw@redhat.com> 1.2.6-1
- git-1.2.6

* Wed Apr 5 2006 Chris Wright <chrisw@redhat.com> 1.2.5-1
- git-1.2.5

* Wed Mar 1 2006 Chris Wright <chrisw@redhat.com> 1.2.4-1
- git-1.2.4

* Wed Feb 22 2006 Chris Wright <chrisw@redhat.com> 1.2.3-1
- git-1.2.3

* Tue Feb 21 2006 Chris Wright <chrisw@redhat.com> 1.2.2-1
- git-1.2.2

* Thu Feb 16 2006 Chris Wright <chrisw@redhat.com> 1.2.1-1
- git-1.2.1

* Mon Feb 13 2006 Chris Wright <chrisw@redhat.com> 1.2.0-1
- git-1.2.0

* Tue Feb 1 2006 Chris Wright <chrisw@redhat.com> 1.1.6-1
- git-1.1.6

* Tue Jan 24 2006 Chris Wright <chrisw@redhat.com> 1.1.4-1
- git-1.1.4

* Sun Jan 15 2006 Chris Wright <chrisw@redhat.com> 1.1.2-1
- git-1.1.2

* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 1.1.1-1
- git-1.1.1

* Tue Jan 10 2006 Chris Wright <chrisw@redhat.com> 1.1.0-1
- Update to latest git-1.1.0 (drop git-email for now)
- Now creates multiple packages:
-	 git-core, git-svn, git-cvs, git-arch, gitk

* Mon Nov 14 2005 H. Peter Anvin <hpa@zytor.com> 0.99.9j-1
- Change subpackage names to git-<name> instead of git-core-<name>
- Create empty root package which brings in all subpackages
- Rename git-tk -> gitk

* Thu Nov 10 2005 Chris Wright <chrisw@osdl.org> 0.99.9g-1
- zlib dependency fix
- Minor cleanups from split
- Move arch import to separate package as well

* Tue Sep 27 2005 Jim Radford <radford@blackbean.org>
- Move programs with non-standard dependencies (svn, cvs, email)
  into separate packages

* Tue Sep 27 2005 H. Peter Anvin <hpa@zytor.com>
- parallelize build
- COPTS -> CFLAGS

* Fri Sep 16 2005 Chris Wright <chrisw@osdl.org> 0.99.6-1
- update to 0.99.6

* Fri Sep 16 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Linus noticed that less is required, added to the dependencies

* Sun Sep 11 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Updated dependencies
- Don't assume manpages are gzipped

* Thu Aug 18 2005 Chris Wright <chrisw@osdl.org> 0.99.4-4
- drop sh_utils, sh-utils, diffutils, mktemp, and openssl Requires
- use RPM_OPT_FLAGS in spec file, drop patch0

* Wed Aug 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.99.4-3
- use dist tag to differentiate between branches
- use rpm optflags by default (patch0)
- own %{_datadir}/git-core/

* Mon Aug 15 2005 Chris Wright <chrisw@osdl.org>
- update spec file to fix Buildroot, Requires, and drop Vendor

* Sun Aug 07 2005 Horst H. von Brand <vonbrand@inf.utfsm.cl>
- Redid the description
- Cut overlong make line, loosened changelog a bit
- I think Junio (or perhaps OSDL?) should be vendor...

* Thu Jul 14 2005 Eric Biederman <ebiederm@xmission.com>
- Add the man pages, and the --without docs build option

* Wed Jul 7 2005 Chris Wright <chris@osdl.org>
- initial git spec file
