Summary:	Clocks applications for GNOME
Summary(ja):	GNOME 用時計アプリケーション
Name:		gnome-clocks
Version:	0.1.4
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Deskops
URL:		https://live.gnome.org/GnomeClocks
BuildArch:	noarch

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/0.1/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	pygobject3-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	libgweather-devel
BuildRequires:	libnotify-devel
BuildRequires:	python-distutils-extra

Requires:	gtk3
Requires:	pygobject3
Requires:	clutter-gtk
Requires:	libgweather
Requires:	libnotify


Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Clock application designed for GNOME 3 

%description -l ja
gnome-clocks は GNOME3 向けに作られた時計アプリケーションです。

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

python setup.py install --prefix=$RPM_BUILD_ROOT%{_prefix}

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :

%postun
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{python_sitelib}/gnomeclocks
%{python_sitelib}/*.egg-info
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/*/*


%changelog
* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-2
- add BuildArch: noarch

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.4-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.1.3-1
- initial build
