Summary:	GNOME Dictionary
Summary(ja):	GNOME 辞書
Name:		gnome-dictionary
Version:	3.6.0
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Desktops
URL:		http://www.gnome.org

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	gtk3-devel
BuildRequires:	itstool

Requires(postun,posttrans):	glib2
Requires(postun,posttrans):	desktop-file-utils

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
gnome-dictionary provides dictionary definitions of words, using a dictionary source.

%description -l ja
gnome-dictionary は辞書ソースを使用し、単語の辞書上の定義を提供します。


%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Requires:       gobject-introspection-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%package        doc
Summary:        Documentation for %{name}
Summary(ja):    %{name} 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
This package contains documentation for %{name}.


%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
update-desktop-database -q &> /dev/null ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_libdir}/libgdict-1.0.so.*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gdict-1.0/sources/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.dictionary.gschema.xml
%{_datadir}/%{name}/*.ui
%{_mandir}/man1/%{name}.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/gdict-1.0
%{_libdir}/libgdict-1.0.so
%{_libdir}/pkgconfig/gdict-1.0.pc

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/gdict

%changelog
* Sun Sep 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- initial build
