%define po_package gnome-menus

Summary:  A menu system for the GNOME project
Summary(ja): GNOMEプロジェクト用メニューシステム
Name: gnome-menus
Version: 3.6.1
Release: 1%{?_dist_release}
License: LGPL
Group: System Environment/Libraries
URL: http://www.gnome.org/
Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-menus/3.6/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: python-devel, glib2-devel
BuildRequires: gamin-devel
BuildRequires: gobject-introspection-devel
Requires: python
Requires: pygtk2
Requires: vine-menus >= 3.0

Vendor: Project Vine
Distribution: Vine Linux

%description
gnome-menus is an implementation of the draft "Desktop
Menu Specification" from freedesktop.org. This package
also contains the GNOME menu layout configuration files, 
.directory files and assorted menu related utility programs.

%package devel
Summary: Libraries and include files for the GNOME menu system
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: glib2-devel

%description devel
This package provides the necessary development libraries for 
writing applications that use the GNOME menu system.


%prep
%setup -q

%build
%configure --with-monitor-backend=gio \
           --enable-debug=no \
	   --enable-introspection=yes
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
rm -f $RPM_BUILD_ROOT%{_libdir}/python*/site-packages/*.{a,la}

# remove default xdg menus, we use vine-menus instead.
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/xdg/menus/*.menu

%find_lang %{po_package}-3.0


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun
/sbin/ldconfig
update-desktop-database -q &> /dev/null || :

%posttrans
update-desktop-database -q &> /dev/null ||:



%files -f %{po_package}-3.0.lang
%defattr(-,root,root,-)
%doc
%dir %{_sysconfdir}/xdg
%dir %{_sysconfdir}/xdg/menus
%dir %{_datadir}/desktop-directories
%{_datadir}/desktop-directories/*
%{_libdir}/libgnome-menu-3.so.*
%{_bindir}/gmenu-simple-editor
%{python_sitearch}/GMenuSimpleEditor/*
%{_libdir}/girepository-1.0/*.typelib
%{_datadir}/gnome-menus
%{_datadir}/applications/gmenu-simple-editor.desktop

%files devel
%defattr(-, root, root)
%{_libdir}/libgnome-menu-3.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/gnome-menus-3.0
%{_datadir}/gir-1.0/*.gir

%changelog
* Wed Nov 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.2-1
- new upstream release

* Sun Apr 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.0-1
- new upstream release

* Sun Feb 19 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0.1-2
- new upstream release

* Wed Sep 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.0.1-1
- new upstream release

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.92-1
- new upstream release

* Sat Sep 03 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.90-1
- new upstream release

* Sun Aug 21 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.1.5-1
- new upstream release

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.1-1
- new upstream release

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.5-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.4-1
- new upstream release
- add BuildRequires: gobject-introspection-devel
- add configure option (--enable-introspection=yes)

* Thu Sep 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Jul 24 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Wed Feb 03 2010 Shu KONNO <owa@bg.wakwak.com> 2.28.0.1-2
- rebuilt with python-2.6.4

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sat Mar 21 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release
- remove static libs

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- require vine-menus >= 3.0

* Tue Sep 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Jul 20 2008 Shu KONNO <owa@bg.wakwak.com> 2.22.2-2
- rebuilt with python-2.5.2

* Fri May 30 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Wed Apr  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1-1vl5
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Thu Apr 26 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Thu Dec 28 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 2.14.3-0vl2
- add Requires: pygtk2-libglade (required by gmenu-simple-editor)
- add Requires: glib2-devel to gnome-menus-devel package

* Mon Aug 28 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release
- add BuildRequires: gamin-devel

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Wed Mar 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl2
- remove gnome default xdg menus, now we use vine-menus instead.
- add Requires: vine-menus >= 2.0

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.5-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Wed Aug 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- initial build for Vine Linux

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Fri Mar  4 2005 Jeremy Katz <katzj@redhat.com> - 2.9.90-4
- fix 64bit pointer problem that caused the panel to crash

* Wed Mar  2 2005 Mark McLoughlin <markmc@redhat.com> 2.9.90-3
- Turn off debugging by default
- Rebuild with gcc4

* Tue Feb  1 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-2
- Don't include .directory and .menu files,
  we want those from redhat-menus

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.90-1
- Initial build.

