Summary: GNOME Themes collection
Summary(ja): GNOME テーマコレクション
Name: gnome-themes
Version: 3.0.0
Release: 7%{?_dist_release}
URL: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes/
License: GPL/LGPL/CC
Group: User Interface/Desktops

Source0: http://ftp.gnome.org/pub/GNOME/sources/gnome-themes/3.0/%{name}-%{version}.tar.bz2

BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

BuildRequires: gtk3-engines-devel >= 2.91
BuildRequires: gtk3-devel >= 3.0.0
BuildRequires: icon-naming-utils >= 0.8
BuildRequires: pkgconfig

Requires: gtk3-engines >= 2.91
Requires: metacity >= 2.20.3-3vl6
Requires: gtk-xfce-engine >= 2.2

Conflicts: gnome-themes-extras < 0.8

Requires(post): gtk3 >= 3.0.0

Vendor: Project Vine
Distribution: Vine Linux

%description
Contains the base themes for Gnome desktop environment.

%description -l ja
このパッケージにはGNOMEデスクトップ環境のための基本テーマが含まれています。

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#remove unneeded files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-3.0/3.0.0/engines/*.{a,la}
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/ThinIce/{README.html,ICON.png}

# conflict with gnome-themes-standard
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/HighContrast/index.theme
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/HighContrastInverse/index.theme
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/HighContrast/index.theme
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/HighContrastInverse/index.theme


%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /usr/bin/gtk-update-icon-cache ]; then
  for dir in /usr/share/icons/*; do
    if [ -d "$dir" -a -f "$dir/index.theme" ]; then
        /usr/bin/gtk-update-icon-cache --quiet $dir ||:
    fi
  done
fi


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_datadir}/icons/*
%{_datadir}/themes/*
%{_datadir}/locale/*/LC_MESSAGES/*

%changelog
* Tue Oct 02 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-7
- remove Source10 (metatheme-vine-7.tar.xz)
- remove Source11 (icon-theme-vine-6.tar.bz2)
- remove Source12 (cursor-theme-vine-7.tar.xz)

* Sun May 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-6
- update Source10 (metatheme-vine-7.tar.xz)
- update Source12 (cursor-theme-vine-7.tar.xz)

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-5
- remove audio, battery icons

* Sun Apr 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-4
- update Source10,Source12

* Mon Oct 31 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-3
- update Source10

* Sat Oct 01 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-2
- update Source1

* Sun Aug 14 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.0.0-1
- new upstream release
- change BuildRequires: gtk3-devel instead of gtk2-devel
- change BuildRequires: gtk3-engines instead of gtk2-engines
- update Source10 (metatheme-vine-7.tar.bz2)

* Wed Jun 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-5
- update icon theme
  - add more icons, fix broken icons

* Wed Jun 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-4
- update theme

* Wed Jun 08 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-3
- update icon theme

* Wed Jun 01 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 2.32.1-2
- update Vine Linux theme
  - gtk2: update colors
  - icon: replaced with new Vine theme based on Elementary.
- add BR: gtk2-engines-devel

* Sat Nov 20 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.1-1
- new upstream release

* Sat Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.32.0-1
- new upstream release

* Tue Jun 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.2-1
- new upstream release

* Mon May 17 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.30.1-2
- update vine theme

* Sat May 01 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.1-1
- new upstream release
- add BuildRequires: pkgconfig, gtk2-devel

* Wed Mar 31 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.1-1
- new upstream release

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.3-1
- new upstream release

* Thu May 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 25 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.1-1
- new upstream release

* Sun Mar 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Thu Oct 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2 -
- update Vine Linux icon theme (add cursor theme)

* Thu Sep 25 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release
- update Vine Linux gtk theme based on Clearlooks and Glossy
- update Vine Linux icon theme based on Tango

* Sat May 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sat Mar 22 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release

* Tue Dec 11 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.2-0vl1
- new upstream release

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl2
- fix ClearVine theme

* Wed Apr 25 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.1-0vl1
- new upstream release
- update ClearVine theme for new Clearlooks gtk engine.

* Wed Jul 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl4
- check gtk-update-icon-cache is available or not in %%post script.

* Wed Jun 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl3
- remove Requires: gtk1-xfce-engine
- remove oldvine theme

* Sun Jun 11 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl2
- update Vine Linux icon theme

* Sun Jun 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.2-0vl1
- new upstream release

* Wed Apr 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl7
- update Vine Linux icon theme

* Wed Apr 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl6
- update Vine Linux icon theme

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl5
- update Vine Linux icon theme based on Suede/Industrial/Gnome.

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl4
- update default icon theme
  - use blueish arrow icons.
  - add new gnome-help icon.
- fixed type in Vine metatheme

* Sat Apr 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl3
- new upstream release
- add ClearVine based on Clearlooks for default theme.

* Sat Apr 01 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl2
- run gtk-update-icon-cache in %%post script.

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Thu Oct 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.1-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Tue May 03 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.1-0vl1
- new upstream release
- require gtk-xfce-engine >= 2.2 for new Vine theme.

* Sun Mar 20 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version
- add new Vine theme for metatheme,gtk,icons,xcursor
- change buildarch to noarch

* Mon Jan 10 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.2-0vl1
- new upstream release
- add Requires: 2.6.0-0vl1

* Thu Nov 11 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl3
- add Conflicts to gnome-themes-extras < 0.8

* Tue Nov 09 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl2
- update NeoVine gtk2 theme to fix eog crash problem

* Sun Oct 24 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Mon Jul 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl5
- update NeoVine metatheme
  - change NautilusIconContainer::highlight_alpha value

* Sat Apr  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl4
- update NeoVine metatheme
  - brushup gtk1 theme
    - use neovine color for ProgressBar&Tooltips
    - remove ugly border on tree view

* Sat Mar 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl3
- update NeoVine metatheme
  - add NeoVine for gtk+-1.2 based on gtk1-xfce-engine
  - Requires: gtk1-xfce-engine

* Fri Mar 19 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl2
- rebuild with gtk+-2.4.0

* Tue Jan 06 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.1-0vl1
- new upstream release
- remove Xfce themes and require gtk-xfce-engine

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release
- Thinice and LighthouseWhite are moved to gnome-themes-extras

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.4-0vl1
- new upstream release

* Tue Jun 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl7
- update NeoVine theme

* Mon Jun 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl6
- update NeoVine theme

* Mon Jun 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl5
- add "make" in %%build secion to remove bogus definition in Crux theme
- update NeoVine theme

* Mon Jun 09 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl4
- update NeoVine theme for xfce-engine-2.1.1

* Sun Jun 08 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl3
- update gtk-xfce-engine to 2.1.1

* Sat Jun 07 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl2
- update NeoVine theme

* Sun May 18 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.2-0vl1
- new upstream release

* Fri Apr 25 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-0vl1
- new upstream release

* Sat Mar 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.0-0vl1
- new upstream release

* Thu Feb 27 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl2
- add LighthouseWhite theme
- update NeoVine metatheme(add GTK2-NeoVine theme)

* Sat Feb 15 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2-0vl1
- new upstream release
- add thinice engine
- add neovine metatheme

* Sat Feb  1 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.99-0vl1
- new upstream release
- moved xfce engine from gtk2-engines

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6-0vl1
- new upstream release

* Sun Dec 22 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 0.5-0vl1
- build for Vine Linux

