Summary:	A note taking application
Summary(ja):	ノートテーカー（メモ）アプリケーション
Name:		gnote
Version:	3.6.1
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		User Interface/Deskops
URL:		https://live.gnome.org/Gnote

Source: http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz

Patch0:	gnote-3.6.0-gnome_keyring.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libuuid-devel
BuildRequires:	glibmm-devel >= 2.28
BuildRequires:	gtkmm3-devel >= 3.4
BuildRequires:	gtkspell-devel >= 2.0.9
BuildRequires:	libsecret-devel >= 0.8
BuildRequires:	libboost-devel >= 1.34
BuildRequires:	libboost-test
BuildRequires:	itstool

Requires(postun,posttrans):	desktop-file-utils
Requires(postun,posttrans):	glib2

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Gnote is a port of Tomboy to C++.

It is the same note taking application, including most of the add-ins (more are to come).
Synchronization support is being worked on.


%prep
%setup -q
%patch0 -p1 -b .orig

%build
%configure --disable-static

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;
rm -f $RPM_BUILD_ROOT%{_libdir}/libgnote.so

%find_lang %{name} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  touch --no-create %{_datadir}/%{name}/icons/hicolor &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
  touch --no-create %{_datadir}/%{name}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
  gtk-update-icon-cache %{_datadir}/%{name}/icons/hicolor &> /dev/null || :
  update-desktop-database -q &> /dev/null ||:
  glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
gtk-update-icon-cache %{_datadir}/%{name}/icons/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README NEWS
%{_bindir}/%{name}
%{_libdir}/libgnote-3.6.so.*
%{_libdir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.gnome.Gnote.service
%{_datadir}/glib-2.0/schemas/org.gnome.gnote.gschema.xml
%{_datadir}/%{name}/UIManagerLayout.xml
%{_datadir}/%{name}/exporttohtml.xsl
%{_datadir}/%{name}/gnote-introspect.xml
%{_datadir}/%{name}/icons/hicolor/*/*/*
%{_datadir}/icons/hicolor/*/*/*
%{_mandir}/man1/gnote.1.gz



%changelog
* Mon Oct 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sun Oct 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- initial build
