Name:           grilo-plugins
Version:        0.2.3
Release:        1%{?_dist_release}
Summary:        A collection of plugins for the Grilo framework
Summary(ja):    Grilo フレームワーク用のプラグイン集

Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://live.gnome.org/Grilo
Source0:        http://download.gnome.org/sources/%{name}/0.2/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  grilo-devel >= %{version}
BuildRequires:  libdmapsharing-devel >= 2.9.12
BuildRequires:  sqlite3-devel
BuildRequires:  libgdata-devel
BuildRequires:  libsoup-devel
BuildRequires:  libgdata-devel
BuildRequires:  libgcrypt-devel
BuildRequires:  libquvi-devel
BuildRequires:  json-glib-devel
BuildRequires:  rest-devel
BuildRequires:  totem-pl-parser-devel >= 3.4.1
BuildRequires:  gmime-devel
BuildRequires:  tracker-devel

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
%{summary}


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/grilo-0.2/grl-apple-trailers.xml
%{_libdir}/grilo-0.2/grl-bliptv.xml
%{_libdir}/grilo-0.2/grl-bookmarks.xml
%{_libdir}/grilo-0.2/grl-dmap.xml
%{_libdir}/grilo-0.2/grl-filesystem.xml
%{_libdir}/grilo-0.2/grl-flickr.xml
%{_libdir}/grilo-0.2/grl-gravatar.xml
%{_libdir}/grilo-0.2/grl-jamendo.xml
%{_libdir}/grilo-0.2/grl-lastfm-albumart.xml
%{_libdir}/grilo-0.2/grl-local-metadata.xml
%{_libdir}/grilo-0.2/grl-metadata-store.xml
%{_libdir}/grilo-0.2/grl-optical-media.xml
%{_libdir}/grilo-0.2/grl-podcasts.xml
%{_libdir}/grilo-0.2/grl-shoutcast.xml
%{_libdir}/grilo-0.2/grl-tmdb.xml
%{_libdir}/grilo-0.2/grl-tracker.xml
%{_libdir}/grilo-0.2/grl-vimeo.xml
%{_libdir}/grilo-0.2/grl-youtube.xml
%{_libdir}/grilo-0.2/libgrlappletrailers.so
%{_libdir}/grilo-0.2/libgrlbliptv.so
%{_libdir}/grilo-0.2/libgrlbookmarks.so
%{_libdir}/grilo-0.2/libgrldmap.so
%{_libdir}/grilo-0.2/libgrlfilesystem.so
%{_libdir}/grilo-0.2/libgrlflickr.so
%{_libdir}/grilo-0.2/libgrlgravatar.so
%{_libdir}/grilo-0.2/libgrljamendo.so
%{_libdir}/grilo-0.2/libgrllastfm-albumart.so
%{_libdir}/grilo-0.2/libgrllocalmetadata.so
%{_libdir}/grilo-0.2/libgrlmetadatastore.so
%{_libdir}/grilo-0.2/libgrloptical-media.so
%{_libdir}/grilo-0.2/libgrlpodcasts.so
%{_libdir}/grilo-0.2/libgrlshoutcast.so
%{_libdir}/grilo-0.2/libgrltmdb.so
%{_libdir}/grilo-0.2/libgrltracker.so
%{_libdir}/grilo-0.2/libgrlvimeo.so
%{_libdir}/grilo-0.2/libgrlyoutube.so


%changelog
* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- initial build
