Name:           grilo
Version:        0.2.3
Release:        1%{?_dist_release}
Summary:        Framework for multimedia developers
Summary(ja):    マルチメディア開発者用のフレームワーク

Group:          System Environment/Libraries
License:        LGPLv2
URL:            https://live.gnome.org/Grilo
Source0:        http://download.gnome.org/sources/%{name}/0.2/%{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:  glib2-devel >= 2.29.10
BuildRequires:  gtk3-devel
BuildRequires:  libsoup-devel 
BuildRequires:  libxml2-devel 
BuildRequires:  gobject-introspection-devel 

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi


%description
Grilo is a framework for browsing and searching media content from various
sources using a single API.

%package        devel
Summary:        Development files for %{name}
Summary(ja):    %{name} の開発ファイル
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/grl-inspect-0.2
%{_bindir}/grilo-test-ui-0.2
%{_libdir}/libgrilo-0.2.so.*
%{_libdir}/libgrlnet-0.2.so.*
%{_libdir}/girepository-1.0/Grl-0.2.typelib
%{_libdir}/girepository-1.0/GrlNet-0.2.typelib
%{_mandir}/man1/grl-inspect.1.gz

%files devel
%defattr(-,root,root,-)
%{_includedir}/%{name}-0.2
%{_libdir}/libgrilo-0.2.so
%{_libdir}/libgrlnet-0.2.so
%{_libdir}/pkgconfig/%{name}-0.2.pc
%{_libdir}/pkgconfig/%{name}-net-0.2.pc
%{_datadir}/gir-1.0/Grl-0.2.gir
%{_datadir}/gir-1.0/GrlNet-0.2.gir


%changelog
* Sat Nov 10 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.3-1
- new upstream release

* Sat Oct 13 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-2
- add BuildRequires: gtk3-devel, libsoup-devel

* Fri Oct 12 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.2-1
- new upstream release

* Mon Sep 17 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.2.0-1
- initial build
