Summary: A text file browser similar to more, but better
Summary(ja): more よりも高機能な日本語対応ページャ
Name: less
Version: 451
Release: 1%{?_dist_release}

Group: Applications/Text
License: GPLv3+
URL: http://www.greenwoodsoftware.com/less/

Source: http://www.greenwoodsoftware.com/less/%{name}-%{version}.tar.gz
Source1: lesspipe.sh
Source2: less.sh
Source3: less.csh
Patch1: less-443-Foption.patch
Patch4: less-394-time.patch
Patch5: less-418-fsync.patch
Patch6: less-436-manpage-add-old-bot-option.patch
Patch8: less-436-help.patch

Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel
BuildRequires: pcre-devel
BuildRequires: autoconf automake libtool
Requires(post): alternatives
Requires(preun): alternatives
Requires: gzip, bzip2
Requires: file >= 3.33
Provides: pager

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi). 

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%description -l ja
less は more よりも高機能な日本語対応ページャです．less は起動時にテキスト
ファイルを完全に読み込む必要がないので，vi などの テキストエディタに比べて
高速に起動することができます．

環境変数 LESSOPEN を "|lesspipe.sh %s" に設定することによって, gzip や 
compress で圧縮されたファイルを自動的に展開して表示することもできます. 

less はテキストファイルを表示するためによく使用する基本的なツールなので，
インストールしておくべきでしょう．

%prep
%setup -q 
%patch1 -p1 -b .Foption
%patch4 -p1 -b .time
%patch5 -p1 -b .fsync
%patch6 -p1 -b .manpage-add-old-bot-option
%patch8 -p1 -b .help

autoreconf

chmod -R a+w *
chmod 644 lessecho.c lesskey.c version.c LICENSE


%build
%configure --with-regex=pcre
make CC="gcc $RPM_OPT_FLAGS -D_GNU_SOURCE -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 `pcre-config --cflags`" datadir=%{_docdir}


%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
strip -R .comment $RPM_BUILD_ROOT/%{_bindir}/less
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
install -p -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}
install -p -c -m 644 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -p -c -m 644 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d
ls -la $RPM_BUILD_ROOT/etc/profile.d

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/update-alternatives --install %{_bindir}/pager pager %{_bindir}/less 50

# fix broken symlink if it's there
if [ ! -f %{_bindir}/pager ] ; then
    /sbin/update-alternatives --auto pager
fi

%preun
if [ $1 -eq 0 ]; then
    /sbin/update-alternatives --remove pager %{_bindir}/less
    /sbin/update-alternatives --auto pager
fi

%files
%defattr(-,root,root)
%doc COPYING LICENSE NEWS README 
%config %{_sysconfdir}/profile.d/*
%{_bindir}/less
%{_bindir}/lesskey
%{_bindir}/lessecho
%{_bindir}/lesspipe.sh
%{_mandir}/man1/less.1*
%{_mandir}/man1/lesskey.1*
%{_mandir}/man1/lessecho.1*

%changelog
* Wed Oct 24 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 451-1
- update to 451
- build with pcre-8.31

* Sun Oct 02 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 444-1
- update to 444

* Sat Mar 19 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 436-3
- split Requires(post,preun)

* Sun Sep 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 436-2
- updated japanese summary and description

* Thu Jul 29 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 436-1
- updated to 436

* Fri Aug 15 2008 Shu KONNO <owa@bg.wakwak.com> 382-1vl5
- applied new versioning policy, spec in utf-8

* Fri Apr 13 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 382-0vl6
- add Provides: pager
- add Requires(post,preun): alternatives

* Mon Apr 09 2007 KANEKO Seiji <giraffe@m2.pbc.ne.jp> 382-0vl5
- add update-alternatives: pager in %%post, %%preun scriptlet

* Thu Nov 09 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 382-0vl4
- revert to 382-iso259 ([VineSeed:12552])

* Wed Nov 08 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 382-0vl3
- update jless patch to 382-iso262
- update description (iso254 to iso262)

* Sun Nov 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 382-0vl2
- change log was missing in 382-0vl1

* Sun Nov 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 382-0vl1
- new upstream release
- update jless patch to 382-iso258

* Tue Dec 14 2004 KOBAYASHI R. Taizo <tkoba@vinelinux.org> 358-0vl10
- set _FILE_OFFSET_BITS 64

* Sat May 17 2003 KAZUKI SHIMURA <rito@pos.to> 358-0vl9
- rebuild with new toolchain
- fix description (iso242 to iso254)

* Thu Apr 25 2002 Kosaku Nagasaka <nagasaka@math.tsukuba.ac.jp>
- 358-0vl8: temporary fix: consistency of the nls-patch and (J)LESSCHARSET

* Sun Mar 31 2002 NISHIMURA Daisuke <nishi@graco.c.u-tokyo.ac.jp>
- 358-0vl7: fix lesspipe.sh for file names with spaces

* Wed Aug 22 2001 Toru Sagami <sagami@vinelinux.org>
- 358-0vl6: rebuild on ncurses-5.2 (as asked to do so)

* Sun Aug 19 2001 Toru Sagami <sagami@vinelinux.org>
- 358-0vl5: added more documents (COPYING, LICENSE)
- fix lesspipe.sh again and tweak lesspipe.csh a bit with %%config marked

* Wed Jun 27 2001 Jun Nishii <jun@vinelinux.org> 358-0vl4
- fix lesspipe.sh
- do not REset LESSOPEN in profile.d/less.sh

* Sat Jan 13 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- 358-0vl3
- fixed lesspipe.sh

* Fri Jan 12 2001 Lisa Sagami <czs14350@mb.infoweb.ne.jp>
- 358-0vl2
- added bzip2/lha support to lesspipe.sh
- minor spec fixes

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- 358-0vl1
- more fix of lesspipe.sh
- requires file >= 3.33
- more macros in spec

* Thu Jan 11 2001 Jun Nishii <jun@vinelinux.org>
- 354-0vl5
- modify lesspipe.sh to adapt to file-3.33 and to view gzipped nroff file

* Tue Dec 26 2000 Tomoya TAKA <tomoya@olive.plala.or.jp> 354-0vl3
- some fixes to handle man pages correctly

* Sun Nov 12 2000 MACHINO, Satoshi <machino@vinelinux.org> 354-0vl2
- build on gcc-2.95.3
- partially used rpmmacros

* Wed Jul  5 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- added Sagam's patch to fix parse ctrl code for Japanese. Very thanks Sagami-san.

* Wed Jun 21 2000 Jun Nishii <jun@vinelinux.org>
- less-354-0vl1

* Mon Jan 17 2000 Yasuyuki Furukawa  <furukawa@vinelinux.org>
- updated ja_nls patch for memory leaks.

* Mon Jan 10 2000 Jun Nishii <jun@vinelinux.org>
- rel.7 (5vl2 makes harm for update from Vine-1.1)

* Fri Jan  7 2000 Yasuyuki Furukawa <furukawa@vinelinux.org>
- rel 5vl2
- added ja_nls and bzip2 patches
- added Requires for bzip2 and gzip.

* Fri Jan  7 2000 Jun Nishii <jun@vinelinux.org>
- rel.6
- change group

* Sun Sep 6 1999 Jun NISHII <jun@flatout.org>
- rel.5
- remove LESS=-r to avoid somed troubles

* Sat Aug 21 1999 Jun NISHII <jun@flatout.org>
- rel.4
- change groff path in lesspipe.sh to adapt groff-1.11
- added /etc/profile.d/less{.,.csh}

* Thu Jun 24 1999 Norihito Ohmori <ohmori@flatout.org>
- rebuild for glibc-2.1

* Mon Feb 15 1999 Jun NISHII <jun@flatout.org>
- rel.2
- added preprocess for bzip2ed file 
- added Japanese summary

* Wed Dec 2 1998 Jun NISHII <jun@flatout.org>
- rename from less-332iso242-4 to less-332_jp-1
- strip bins

* Tue Oct 8 1998 Jun NISHII <jun@flatout.org>
- release 4
- modify header of spec file

* Sat Sep 26 1998 Jun NISHII <jun@flatout.org>
- release 3
- added lesspipe.sh
