Name: libavc1394
Summary: Audio/Video Control library for IEEE-1394 devices
Summary(ja): IEEE1394 デバイス用 AV コントロールライブラリ
Version: 0.5.4
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: http://libavc1394.sourceforge.net/

Source: http://downloads.sourceforge.net/libavc1394/libavc1394-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libraw1394-devel

%description
The libavc1394 library allows utilities to control IEEE-1394 devices.

%description -l ja
libavc1394 ライブラリは IEEE-1394 デバイスの制御をするためのユーティリティ
です。

%package devel
Summary: Development libs for libavc1394
Summary(ja): libavc1394 用開発ライブラリ
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel

%description devel
Development libraries required to build applications using libavc1394.


%prep
%setup -q

%build
%configure --disable-static
make

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING INSTALL README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libavc1394
#{_libdir}/lib*.a
%exclude %{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 0.5.4-2
- rebuild with libraw1394-2.1.0

* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 0.5.4-1
- new upstream release
- built with new toolchain and rpm-4.8.1
- dropt static libraries from devel package
- added URL tag

* Tue Aug 19 2008 Shu KONNO <owa@bg.wakwak.com> 0.5.3-1vl5
- applied new versioning policy, spec in utf-8
- dropt lib*.la

* Thu Aug  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.3-0vl1
- new upstream release

* Sat Sep 24 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.1-0vl1
- new upstream release
- s/Copyright/License/

* Fri Jun 10 2005 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.5.0-0vl1
- new upstream release
- added mkrfc2734 to %{_bindir} 
- changed Group

* Wed Mar  3 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 0.4.1-0vl1
- build for Vine Linux

* Mon Aug 25 2003 Bill Nottingham <notting@redhat.com> 0.3.1-7
- fix buildreqs (#102204)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Dec 12 2002 Tim Powers <timp@redhat.com> 0.3.1-4
- rebuild on all arches

* Wed Nov 20 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- exclude mainframe
- allow lib64

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 09 2002 Michael Fulbright <msf@redhat.com>
- First RPM build

