Summary:		A CSS2 parsing library 
Summary:		CSS2 をパースするためのライブラリ
Name:			libcroco
Version:		0.6.8
Release:		1%{?_dist_release}
License:		LGPL
Group:			System Environment/Libraries
Source:			%{name}-%{version}.tar.xz
BuildRoot:		%{_tmppath}/%{name}-%{version}-root
Patch0:			libcroco-0.6.1-multilib.patch

Requires:		glib2 >= 2.10
Requires:		libxml2 >= 2.4.23
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel >= 2.10
BuildRequires:	pango-devel >= 1.16
BuildRequires:	libxml2-devel >= 2.4.23

%description
CSS2 parsing and manipulation library for GNOME

%package devel
Summary:          Libraries and include files for developing with libcroco.
Group:            Development/Libraries
Requires:         %{name} = %{version}
Requires:         pkgconfig 

%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libcroco.

%prep
%setup -q -n libcroco-%{version}
%patch0 -p1 -b .multilib

%build
:%configure
make

%install
rm -rf $RPM_BUILD_ROOT
# create file that the new redhat debuginfo stuff demands
touch $RPM_BUILD_DIR/libcroco-%{version}/debugfiles.list

%makeinstall
# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO
%{_bindir}/csslint-0.6
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_includedir}/libcroco-0.6
%{_bindir}/croco-0.6-config
%{_libdir}/pkgconfig/libcroco-0.6.pc
%{_datadir}/gtk-doc/html/%{name}

%changelog
* Fri Oct 26 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.8-1
- new upstream release

* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.7-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.6-1
- new upstream release

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.5-1
- new upstream release

* Wed Feb 15 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-1
- new upstream release

* Fri Nov 19 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.3-1
- new upstream release

* Wed Sep 22 2010 IWAI, Masaharu <iwai@alib.jp> 0.6.2-2
- build with rpm-4.8.1-1 for pkg-config file

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.2-1
- new upstream release

* Wed Sep 17 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.1-1
- applied new versioning policy
- spec in UTF-8

* Sun May 20 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.6.1-0vl1
- initial build for Vine Linux

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.6.1-2.1
- rebuild

* Tue May 23 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.1-2
- Make config script a pkg-config wrapper to fix multilib conflict

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 0.6.1-1
- Update to 0.6.1
- Drop upstreamed patches

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-6.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6.0-6.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Sat Oct 15 2005 Florian La Roche <laroche@redhat.com>
- link shared lib against -lglib-2.0 and -lxml2

* Wed Mar  2 2005 Matthias Clasen <mclasen@redhat.com> - 0.6.0-5
- Rebuild with gcc4

* Wed Sep 22 2004 Matthias Clasen <mclasen@redhat.com> - 0.6.0-4
- Move croco-config to the devel package

* Mon Sep 20 2004 Matthias Clasen <mclasen@redhat.com> - 0.6-3
- Don't memset() stack variables

* Tue Aug 31 2004 Matthias Clasen <mclasen@redhat.com> - 0.6-2
- Add missing ldconfig calls (#131279)

* Fri Jul 30 2004 Matthias Clasen <mclasen@redhat.com> - 0.6-1
- Update to 0.6

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat Apr 10 2004 Warren Togami <wtogami@redhat.com>
- BR and -devel req libgnomeui-devel

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.4.0-1
- new version

* Wed Aug 13 2003 Jonathan Blandford <jrb@redhat.com> 0.3.0-1
- initial import into the tree.  Based on the spec file in the package
