%define pkg_version 0.13.2
%define pkg_release 1%{?_dist_release}

Summary:	A library for accessing online service APIs using the GData protocol
Summary(ja):	GData プロトコルを使用しているオンラインサービス API にアクセスするためのライブラリ
Name:		libgdata
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgdata/0.13/%{name}-%{version}.tar.xz
License:	LGPLv2+
Group:		System Environment/Libraries 
URL:		http://live.gnome.org/libgdata 

BuildRequires:	glib2-devel >= 2.26.0
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	libsoup-devel >= 2.32.0
BuildRequires:	libxml2-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	liboauth-devel
BuildRequires:	gcr-devel
BuildRequires:	gnome-online-accounts-devel
BuildRequires:	gtk-doc
BuildRequires:	gnome-common

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
libgdata is a GLib-based library for accessing online service APIs using the
GData protocol - most notably, Google's services. It provides APIs to access
the common Google services, and has full asynchronous support. 


%package	devel
Summary:	Development files for libgdata
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libsoup-devel >= 2.26.1
Requires:	libxml2-devel

%description	devel
Development files for libdata.


%prep
%setup -q


%build
autoreconf -if
%configure --disable-static --enable-introspection=yes
%{__make} V=0 %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}%{_libdir}/*.la

%find_lang gdata

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


##%check
# Only the general test can be run without network access
##cd gdata/tests
##./general

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f gdata.lang
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_libdir}/libgdata.so.*
%{_libdir}/girepository-1.0/GData-0.0.typelib
%{_datadir}/gtk-doc/html/gdata

%files devel
%defattr(-,root,root,-)
%{_includedir}/libgdata
%{_libdir}/libgdata.so
%{_libdir}/pkgconfig/libgdata.pc
%{_datadir}/gir-1.0/GData-0.0.gir


%changelog
* Mon Oct 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.2-1
- new upstream release
- remove BuildRequires: libgnome-keyring-devel
- add BuildRequires: gcr-devel, gnome-online-accounts-devel

* Sun Apr 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.0-1
- new upstream release
- add BuildRequires: libgnome-keyring-devel

* Sun Sep 18 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.10.1-1
- new upstream release

* Mon Aug 15 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.9.1-1
- new upstream release
- add BuildRequires: liboauth-devel, gdk-pixbuf2-devel

* Sat Dec 18 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.6-1
- new upstream release

* Sun Oct 03 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.5-1
- new upstream release
- remove BuildRequires: gir-repository-devel
- drop %check

* Sat Sep 25 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-3
- rebuild with rpm-4.8.1 for pkg-config file

* Sat Sep 04 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.6.4-2
- fixed Group typo

* Sun May 09 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.4-1
- initial build for Vine Linux

