Name: libiec61883
Summary: Streaming library for IEEE1394
SUmmary(ja): IEEE1394 用ストリーミングライブラリ
Version: 1.2.0
Release: 2%{?_dist_release}

Group: System Environment/Libraries
License: LGPLv2
URL: https://ieee1394.wiki.kernel.org/

Source: http://www.kernel.org/pub/linux/libs/ieee1394/%{name}-%{version}.tar.gz
Patch0: libiec61883-1.1.0-installtests.patch

ExcludeArch: s390 s390x
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: libraw1394-devel >= 1.2.1
BuildRequires: autoconf, automake, libtool

%description 
The libiec61883 library provides an higher level API for streaming DV,
MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous
functionality, this library acts as a filter that accepts DV-frames,
MPEG-2 frames or audio samples from the application and breaks these
down to isochronous packets, which are transmitted using libraw1394.

%package devel
Summary:  Development files for libiec61883
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: libraw1394-devel >= 1.2.1

%description devel
Development files needed to build applications against libiec61883

%package utils
Summary:  Utilities for use with libiec61883
Group:    Applications/System
Requires: %{name} = %{version}-%{release}

%description utils
Utilities that make use of iec61883

%prep
%setup -q
%patch0 -p1 -b .installtests

autoreconf
libtoolize --force --copy

%build
%configure --disable-static
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

#rm $RPM_BUILD_ROOT%{_libdir}/libiec61883.la

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libiec61883.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libiec61883.so
%exclude %{_libdir}/libiec61883.la
%{_includedir}/libiec61883/*.h
%{_libdir}/pkgconfig/libiec61883.pc

%files utils
%defattr(-,root,root,-)
%{_bindir}/*
%{_mandir}/man1/*.1*

%changelog
* Sat Oct 20 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> - 1.2.0-2
- rebuild with libraw1394-2.1.0

* Sat Sep 25 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.2.0-1
- new upstream release
- built with new toolchain and rpm-4.8.1
- dropt static libraries from devel package

* Sat Nov  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.1.0-4vl5
- macros for VineSeed and VinePlus/4.0
- spec in UTF-8

* Wed Oct 29 2008 Seiichirou Babasaki - 1.1.0-3
- Version 1.1.0 for VineLinux-4.2 (From VineSeed)
- replase libraw1394(-devel) -> libraw1394_121(-devel)

* Wed Jul 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.0-2
- new versioning policy

* Sat Jun  9 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> - 1.1.0-1vl1
- initial build for Vine Linux

* Wed Oct 25 2006 Jarod Wilson <jwilson@redhat.com> - 1.1.0-1
- Update to 1.1.0 release

* Wed Oct 11 2006 Jarod Wilson <jwilson@redhat.com> - 1.0.0-11
- Use %dist tag

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-10.fc5.2.1
- rebuild

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-10.fc5.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 1.0.0-10.fc5.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 30 2005 Jarod Wilson <jarod@wilsonet.com> 1.0.0-10
- Add missing autoconf, automake and libtool
  BuildRequires

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Nov 11 2005 Warren Togami <wtogami@redhat.com> 1.0.0-9
- incorporate some spec improvements from Matthias (#172105)

* Mon Sep 19 2005 Warren Togami <wtogami@redhat.com> 1.0.0-8
- split -devel for pkgconfig chain
- remove .a and .la
- exclude s390 and s390x

* Tue Apr  5 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Fixes for building properly on x86_64.

* Mon Mar 28 2005 Jarod Wilson <jarod@wilsonet.com>
- Fixed utils so they build properly

* Sat Feb 26 2005 Jarod Wilson <jarod@wilsonet.com>
- Rolled in utils

* Wed Feb 23 2005 Jarod Wilson <jarod@wilsonet.com>
- Initial build

