Summary:        NFSv4 ID Mapping Library
Summary(ja):	NFSv4 ID マッピングライブラリ
Name:           libnfsidmap
Version:        0.25
Release:        1%{?_dist_release}
Group:          System Environment/Libraries
License:        BSD
URL:            http://nfs.sourceforge.net

Source0:        http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/libnfsidmap-%{version}.tar.gz
Patch10:        idmap.conf.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:  openldap-devel, tcp_wrappers

%description
In NFSv4, identities of users are conveyed by names rather than user ID
and group ID. Both the NFS server and client code in the kernel need to
translate these to numeric IDs.


%prep
%setup -q

%patch10 -p1

%build
%configure --disable-static --with-pluginpath=%{_libdir}/%{name}
%__make %{?_smp_mflags} all

%install
%?__make install DESTDIR=%{buildroot} 

mkdir -p %{buildroot}/etc
install -m 644 idmapd.conf $RPM_BUILD_ROOT/etc/idmapd.conf

# Delete unneeded files
rm -rf %{buildroot}%{_libdir}/*.{a,la}
rm -rf %{buildroot}%{_libdir}/%{name}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%config(noreplace) /etc/idmapd.conf
%{_libdir}/lib*.so*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{_mandir}/man?/*


%changelog
* Sat Oct 20 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.25-1
- new upstream release 
- remove static libs

* Sun Oct 03 2010 Shu KONNO <owa@bg.wakwak.com> 0.21-2
- rebuilt with rpm-4.8.1 for pkg-config

* Fri Jun 12 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.21-1
- new upstream release

* Sat Apr 04 2009 NAKAMURA Kenta <kenta@vinelinux.org> 0.20-3
- rebuilt with openldap-2.4.11

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.20-2
- spec in utf-8

* Thu May 15 2008 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.20-1
- new versioning policy
- add Patch10 and fix spec to install default idmapd.conf file
- remove *.la

* Wed Sep 12 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.20-0vl1
- updated to 0.20

* Sun Aug 27 2006 NAKAMURA Kenta <kenta@vinelinux.org> 0.16-0vl3
- rebuilt with openldap-2.3.27-0vl1

* Sun Jul 02 2006 Satoshi MACHINO <machino@vinelinux.org> 0.16-0vl2
- rebuilt with openldap-2.3.24-0vl1

* Sun May 28 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.16-0vl1
- updated to 0.16
- added pkgconfig files
- changed Group to System Environment/Libraries

* Tue Mar 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12-0vl1
- initial build for Vine Linux

