%global backend intel-driver

Summary:        Intel graphics backend for VA API
Summary(ja):    VA-API の Intel グラフィックスバックエンド
Name:           libva-%{backend}
Version:        1.0.18
Release:        1%{?_dist_release}
License:        MIT
Url:            http://cgit.freedesktop.org/vaapi/%{backend}/
Group:          System Environment/Libraries

Source:         http://cgit.freedesktop.org/vaapi/%{backend}/snapshot/%{backend}-%{version}.tar.gz
Patch1:		intel-driver-1.0.18-git20121030.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  autoconf, automake, libtool, gettext
BuildRequires:  pkgconfig
BuildRequires:  libva-devel >= 1.1.0
BuildRequires:  libXext-devel
Obsoletes:      libva < 1.1.0

%description
HW video decode support for Intel integrated graphics.

%prep
%setup -q -n %{backend}-%{version}
%patch1 -p1

%build
autoreconf -v --install
%configure --enable-drm --enable-x11-
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' -delete -print

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/dri/i965_drv_video.so

%changelog
* Tue Oct 30 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.18-1
- update to upstream git master

* Thu Nov 03 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 1.0.15-1
- initial build for Vine Linux
- splitted from libva
