%define pkgname opera
%define verdir 1211
%define pkgversion 12.11
%define build 1661

%ifarch %{ix86}
%define	arch	i386
%endif
%ifarch x86_64
%define	arch	x86_64
%endif

%define dlurl http://ftp.opera.com/pub/opera/linux/%{verdir}/%{pkgname}-%{pkgversion}-%{build}.%{arch}.rpm

Summary: Package to assist installation of %{pkgname}
Summary(ja): %{pkgname} のインストールを補助するパッケージ
Name: install-assist-%{pkgname}
Version: %{pkgversion}
Release: 1%{?_dist_release}
License: Commercial
Group: Applications/Internet

Requires: gstreamer-plugins-base
Requires: gstreamer-plugins-good
Requires: libogg
Requires: libtheora
Requires: libvorbis

Packager: Kudoh

%description
Opera is a small, fast, customizable, powerful and user-friendly web
browser, as well as an Internet suite, including an email client, an IRC
client, web developer tools (Opera Dragonfly), and a personal web server
(Opera Unite).

If you install this package, it automaticaly downloads 
required files to install %{pkgname}.
And the downloaded files are automatically installed if 
installation is executed by apt-get command or synaptic
package manager.

%description -l ja
%{name} は小さく高速でカスタマイズ可能、強力でユーザーフレンドリーな
Web ブラウザだけではなく、インターネットスートとして E メールクライアントや
IRCクライアント、web 開発者向けのツール (Opera Dragonfly)、
パーソナル web サーバー (Opera Unite) を含んでいます。

このパッケージをインストールすると、自動的に %{pkgname}
のインストールに必要な rpm ファイルをダウンロードします。
また apt-get コマンドや synaptic パッケージマネージャから実行
した場合は、ダウンロードした rpm ファイルのインストールも自
動的に行います。


%posttrans
/usr/lib/rpm/get-binary-rpm.sh %{name} %{dlurl}

%files

%changelog
* Fri Nov 23 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 12.11-1
- new upstream release

* Fri Nov 09 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 12.10-1
- new upstream release

* Thu Aug 30 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 12.02-1
- new upstream release

* Thu Aug 02 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 12.01-1
- new upstream release

* Fri Jun 14 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 12.00-1
- new upstream release

* Fri May 11 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.64-1
- new upstream release

* Thu Mar 29 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.62-1
- new upstream release

* Wed Jan 25 2012 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.61-1
- new upstream release

* Fri Dec 09 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.60-1
- new upstream release

* Thu Oct 20 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.52-1
- new upstream release

* Thu Sep 01 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.51-1
- new upstream release

* Sun Jul 03 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.50-1
- new upstream release
- disabled ppc arch
  - ppc version didn't provide since 11.00 

* Wed May 18 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.11-1
- new upstream release

* Sat Apr 30 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.10-1
- new upstream release

* Thu Jan 27 2011 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.01-1
- new upstream release

* Sat Dec 18 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 11.00-1
- new upstream release

* Mon Nov 8 2010 Toshiharu Kudoh <toshi.kd2@gmail.com> - 10.63-1
- initial build for Vine Linux
