%define	pkgname	CGI-FormBuilder

# Basic Information
Name:		perl-%{pkgname}
Version:	3.08
Release:	1%{?_dist_release}
License:	Artistic or GPL
Group:		Development/Libraries
Source0:	http://search.cpan.org/CPAN/authors/id/N/NW/NWIGER/%{pkgname}-%{version}.tgz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	CGI::FormBuilder - Easily generate and process stateful forms
Summary(ja):	CGI::FormBuilder - 状態をもつフォームを容易に作成および処理する

# Dependency
Requires:       perl
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl

%description
The goal of CGI::FormBuilder (FormBuilder) is to provide an easy way for you
to generate and process entire CGI form-based applications.

%description -l ja
CGI::FormBuilder (FormBuilder) の目標は、完全な CGI フォームベースのアプリケ
ーションを作成および処理するための簡単な方法を提供することです。

%prep
%setup -q -n CGI-FormBuilder-3.08

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} pure_install DESTDIR=${RPM_BUILD_ROOT}

# remove unnecessary files.
find ${RPM_BUILD_ROOT} -type f -name perllocal.pod -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT} -type f -name .packlist -exec %{__rm} -f {} ';'
find ${RPM_BUILD_ROOT}%{_mandir} -type f -exec %{__rm} -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

# generate file list
find $RPM_BUILD_ROOT%{_prefix} -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" > %{name}.files

if [ "$(cat %{name}.files)X" = "X" ] ; then
	echo "ERROR: EMPTY FILE LIST"
	exit -1
fi


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
* Thu Oct 04 2012 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.08-1
- initial build for Vine Linux
