# -*- coding: utf-8-unix -*-
%define desktop_file_utils_version 0.9

%define enable_DLNA_UPnP 0

Summary: Music Management Application 
Summary(ja): 音楽管理アプリケーション
Name: rhythmbox
Version: 2.98
Release: 1%{?_dist_release}
License: GPL2+ with exceptions and GFDL
Group: Applications/Multimedia
URL: http://projects.gnome.org/rhythmbox/
Source0: http://download.gnome.org/sources/rhythmbox/2.98/%{name}-%{version}.tar.xz

Source101:	rhythmbox-png.tar.bz2

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk3-devel
BuildRequires: avahi-glib-devel >= 0.6
BuildRequires: brasero-devel >= 2.32.0
BuildRequires: dbus-glib-devel
BuildRequires: gstreamer-plugins-base-devel >= 0.10
BuildRequires: json-glib-devel
BuildRequires: libSM-devel
BuildRequires: libgnome-keyring-devel >= 2.30.0
BuildRequires: libgpod-devel
BuildRequires: libgudev1-devel
BuildRequires: libmusicbrainz3-devel >= 3.0.2
BuildRequires: libnotify-devel
BuildRequires: libsoup-devel
BuildRequires: pygobject3-devel
BuildRequires: totem-pl-parser-devel
BuildRequires: WebKit3-gtk-devel
BuildRequires: libpeas-devel
BuildRequires: clutter-gtk-devel
BuildRequires: clutter-gst-devel
BuildRequires: libmx-devel
BuildRequires: check-devel
BuildRequires: libmtp-devel
BuildRequires: libtdb-devel
BuildRequires: grilo-devel
BuildRequires: libdmapsharing-devel
BuildRequires: lirc
BuildRequires: gnome-doc-utils >= 0.3.2
Requires: libgpod
Requires: libnotify
Requires: lirc
Requires: libmtp
Requires: brasero
Requires: gnome-themes
Requires: libgnome-keyring
%if %{enable_DLNA_UPnP}
Requires: python-Coherence
%endif
Requires: desktop-file-utils >= %{desktop_file_utils_version}
Requires: scrollkeeper

# # gstreamer-plugins-ffmpeg and gstreamer-plugins-ugly package provided by
# # self-build-gstreamer-plugins-ffmpeg and self-build-gstreamer-plugins-ugly,
# # respectively.
# Requires: self-build-gstreamer-plugins-ffmpeg
# Requires: self-build-gstreamer-plugins-ugly

Vendor: Project Vine
Distribution: Vine Linux


%description
Rhythmbox is an integrated music management application based on the powerful
GStreamer media framework. It has a number of features, including an easy to
use music browser, searching and sorting, comprehensive audio format support
through GStreamer, Internet Radio support, playlists and more.

Rhythmbox is extensible through a plugin system.

%description -l ja
Rhythmbox は、強力な GStreamer メディアフレームワークに基づいている
統合音楽管理アプリケーションです。
見やすいユーザインターフェースを備え、検索や整列ができ、
GStreamer により数多くの音声フォーマットをサポート、
インターネットラジオをサポート、プレイリスト管理などの
数多くの特徴を持ちます。

%package devel
Summary: Development tools for rhythmbox applications.
Summary(ja): rhythmbox アプリケーションの開発用ファイル
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: libxml2-devel
Requires: glib2-devel
Requires: gtk3-devel
Requires: libsoup-devel
Requires: totem-pl-parser-devel
Requires: gstreamer-devel

%description devel
Header files and libraries for building a extension library for the rhythmbox.

%description devel -l ja

%prep
%setup -q
tar xjf %{SOURCE101}

%build
# work around a gstreamer bug
/usr/bin/gst-inspect-0.10 --print-all >& /dev/null || :

libtoolize --force --copy
autoreconf 
%configure --with-ipod \
    --with-mtp \
    --with-mdns=avahi \
    --enable-lirc \
    --enable-python \
    --disable-vala \
    --disable-browser-plugin \
    --disable-static \
    --disable-scrollkeeper \
    --enable-browser-plugin \
    --without-hal
%__make %{?_smp_mflags}

%install
%__rm -rf $RPM_BUILD_ROOT
%__make install DESTDIR=$RPM_BUILD_ROOT 

%__rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/*.{a,la}
%__rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/librb-nautilus-context-menu.so
%__rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{a,la}
%__rm -f $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins/*.{a,la}
%__rm -f $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins/*/*.{a,la}
%__rm -f $RPM_BUILD_ROOT%{_libdir}/librhythmbox-core.{a,la}
%__rm -f $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/*.{a,la}

## Don't package DLNA/UPnP plugin
%if !%{enable_DLNA_UPnP}
%__rm -rf $RPM_BUILD_ROOT%{_libdir}/rhythmbox/plugins/upnp_coherence
%endif

%find_lang %{name} --all-name --with-gnome


# Don't package api docs
%__rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc/

# Don't package scrollkeeper catalogs
%__rm -rf $RPM_BUILD_ROOT%{_localstatedir}

# And don't package vala
%__rm -f %{buildroot}%{_libdir}/rhythmbox/plugins/libsample-vala.so \
	%{buildroot}%{_libdir}/rhythmbox/plugins/sample-vala.rb-plugin

# remove sample plugins
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/sample-plugins

%clean
%__rm -rf $RPM_BUILD_ROOT

%post 
/sbin/ldconfig
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
update-desktop-database -q
scrollkeeper-update -q
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:

%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas ||:


%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README NEWS
%{_bindir}/*
%{_libdir}/girepository-1.0/*.typelib
%{_libdir}/lib*.so.*
%{_libdir}/mozilla/plugins/librhythmbox-itms-detection-plugin.so
%{_libdir}/rhythmbox/plugins
%{_datadir}/applications/rhythmbox.desktop
%{_datadir}/applications/rhythmbox-device.desktop
%{_datadir}/dbus-1/services/org.gnome.Rhythmbox3.service
%{_datadir}/glib-2.0/schemas/org.gnome.rhythmbox.gschema.xml
%{_datadir}/icons/*
%{_datadir}/rhythmbox
%{_mandir}/man1/*
%{_libexecdir}/rhythmbox-metadata

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*.gir


%changelog
* Mon Oct 01 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.98-1
- new upstream release
- add BuildRequires: grilo-devel, libdmapsharing-devel

* Tue Jun 05 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.97-1
- new upstream release

* Wed Apr 18 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.96-1
- new upstream release

* Sat Jan 21 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.95-1
- new upstream release
- add BuildRequires: gtk3-devel, libtdb-devel, pygobject3-devel
- remove BuildRequires: gnome-vfs2-devel, gstreamer-python-devel, libffi-devel, libgnome-media-profiles-devel, libgnomeui-devel, libsexy-devel, popt-devel, python-devel, pygtk2-devel, sqlite3-devel

* Fri Sep 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.3-4
- rebuild with cogl-0.8.0

* Wed Aug 17 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.3-3
- rebuild with libnotify-0.7
- change BuildRequires: libmusicbrainz3-devel instead of libmusicbrainz-devel
- change BuildRequires: libgnome-media-profiles-devel instead of gnome-media-devel
- add BuildRequires: WebKit3-gtk-devel, libpeas-devel, clutter-gtk-devel, clutter-gst-devel, libmx-devel
- add Patch0 (rhythmbox-0.13.3-git20110809.patch)
- add Source101 (rhythmbox-png.tar.bz2)

* Fri Aug 12 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.3-2
- add BuildRequires: json-glib-devel
- remove unrecognized configure option (--with-dbus, --with-cd-burning, --with-metadata-helper)

* Sun Jan 23 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.3-1
- new upstream release
- change BuildRequires: gstreamer-python-devel instead of gstreamer-python

* Sat Nov 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.2-1
- new upstream release

* Wed Oct 06 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.1-3
- rebuild with brasero-2.32.0

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.1-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sun Sep 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.1-1
- new upstream release
- fix %files (add rhythmbox-device.desktop)

* Sun Aug 29 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.13.0-1
- new upstream release
- change BuildRequires: gnome-media-devel instead of gnome-media
- add devel package
- drop Patch0

* Sun Mar 14 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.12.8-1
- new upstream release
- drop Patch1, Patch2, Patch3
- change BuildRequires: nautilus-cd-burner -> brasero-devel
- change Requires: nautilus-cd-burner -> brasero
- change BuildRequires: hal-devel -> libgudev1-devel
- change BuildRequires: gnome-keyring-devel -> libgnome-keyring-devel
- change Requires: gnome-keyring -> libgnome-keyring
- add configure option (--without-hal)

* Mon Feb 15 2010 Shu KONNO <owa@bg.wakwak.com> 0.12.6-2
- rebuilt with new environment

* Thu Jan 14 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.12.6-1
- new upstream release
  - dropped upstreamed/obsolete patches
  - added patches applied Fedora development

* Sun Oct 04 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.12.5-1
- new upstream release
- added configure options: 
  --disable-vala
  --disable-browser-plugin

* Thu Jul 30 2009 Munehiro Yamamoto <munepi@vinelinux.org> 0.12.2-2
- added Japanese description

* Thu Jul 02 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.12.2-1
- new upstream release
  - dropped rb-disable-power-plugin-by-default.patch
- added BuildRequires: 
  - libSM-devel
  - gnome-media

* Wed Jun 10 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 0.12.1-2
- rebuild with libgpod-0.7.2

* Sun May 03 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.12.1-1
- new upstream release
- corrected License tag
- dropped rhythmbox-0.11.6-libmtp.patch
- added BuildRequires: 
  - sqlite3-devel
  - libffi-devel

* Sat Jan 10 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.11.6-2
- defined enable_DLNA_UPnP = 0: unpacked DLNA/UPnP plugin
- applied rhythmbox-0.11.6-libmtp.patch
- added Requires: 
  - libgpod
  - libnotify
  - libsexy
  - lirc
  - libmtp
  - libgnomeui
  - nautilus-cd-burner
  - gstreamer-python
  - gnome-vfs2
  - gnome-themes
  - gnome-keyring
  - python-Coherence, if enable_DLNA_UPnP = 1
- added BuildRequires: 
  - libnotify-devel
  - libsexy-devel
  - lirc
  - libmtp-devel
  - gnome-vfs2-devel, instead of gnome-vfs2
  - gnome-keyring-devel
- dropped --with-internal-libsexy in configure options
- added in configure options: 
  --with-mtp --with-libnautilus-burn --enable-lirc --disable-static
- added %%preun to remove the schema

* Sun Jan 04 2009 Munehiro Yamamoto <munepi@cg8.so-net.ne.jp> 0.11.6-1
- new upstream release
- changed to --with-metadata-helper in configure options
- added BuildRequires: 
  - gstreamer-python
  - intltool >= 0.35.0
  - popt-devel

* Sat Aug 09 2008 Shu KONNO <owa@bg.wakwak.com> 0.11.2-1vl5
- added BuildRequires: totem-pl-parser-devel, instead of totem-devel
- rebuilt with python-2.5.2
- applied new versioning policy
- spec in utf-8

* Sun Jan 06 2008 Shu KONNO <owa@bg.wakwak.com> 0.11.2-0vl2
- rebuilt with libgpod-0.6.0

* Sun Aug 26 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.11.2-0vl1
- new upstream release

* Wed Jun 27 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.11.1-0vl1
- new upstream release

* Tue May 29 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 0.10.0-0vl2
- rebuilt with new toolchain and libgpod-0.4.2
- add BuildRequires: dbus-glib-devel

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 0.10.0-0vl1
- new upstream release

* Wed Mar 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.8-0vl2
- rebuilt for VineSeed

* Wed Mar 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.8-0vl1
- new upstream release
- added --enable-python option to %%configure
- added Requires: gnome-python

* Sun Jan 21 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.7-0vl1
- new upstream release
- built with libsoup 2.2.99

* Thu Nov 23 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.6-0vl4
- added --with-cd-burner to configure
- added BuildRequires: libsexy-devel hal-devel libsoup-devel

* Wed Oct 25 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.6-0vl3
- add BuildRequires:
  - gnome-doc-utils >= 0.3.2
  - python-devel
  - pygtk2-devel
  - check >= 0.8.2

* Tue Oct 24 2006 KAZUKI SHIMURA <kazuki@ma.ccnw.ne.jp> 0.9.6-0vl2
- rebuild with gnutls-1.4.1

* Sun Oct  1 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.6-0vl1
- new upstream release

* Mon Jun 19 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.5-0vl1
- new upstream release
- run scrollkeeper-update at %post and %postun
- added BuildRequires: libnotify-devel

* Sun May 14 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 0.9.4.1-0vl1
- new upstream release (dropped patch0)
- added --without-metadata-helper at configure

* Mon Mar 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.9.3.1-0vl1
- Initial build for Vine Linux based on FC pacakge

* Fri Mar 03 2006 Ray Strode <rstrode@redhat.com> - 0.9.3.1-2
- add patch from James "Doc" Livingston to stop a hang
  for new users (bug 183883)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.9.3.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Sat Feb  4 2006 Christopher Aillon <caillon@redhat.com> 0.9.3.1-1
- Update to 0.9.3.1
- Use gstreamer (0.10)

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-2
- Remove hack for 173869, as its no longer needed.

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.3-1
- 0.9.3

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060201-1
- Newer CVS snapshot

* Sun Jan 22 2006 Christopher Aillon <caillon@redhat.com> 0.9.2.cvs20060123-1
- Update to latest CVS
- Add hack to workaround bug #173869

* Thu Jan 19 2006 Christopher Aillon <caillon@redhat.com> 0.9.2-8
- Rebuild, now that gstreamer08-plugins has been fixed

* Thu Jan 19 2006 Ray Strode <rstrode@redhat.com> 0.9.2-7
- bonobo multilib issue (bug 156982)

* Wed Jan 04 2006 John (J5) Palmieri <johnp@redhat.com> 0.9.2-5
- rebuild with ipod support

* Tue Jan 03 2006 Jesse Keating <jkeating@redhat.com> 0.9.2-4
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Dec  5 2005 Matthias Clasen <mclasen@redhat.com>
- rebuild

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com>
- rebuild for new dbus

* Wed Nov 30 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.2

* Tue Oct 25 2005 Matthias Clasen <mclasen@redhat.com>
- Update to 0.9.1

* Fri Sep 02 2005 Colin Walters <walters@redhat.com> 
- Add configure flags --with-bonobo --with-dbus
- BR nautilus-cd-burner-devel
- New upstream CVS snapshot for testing
- Drop IDL file and ui .xml
- Add dbus service file
- Drop upstreamed rhythmbox-bluecurve.tar.gz
- Drop upstreamed rhythmbox-0.8.8-cell-renderer.patch

* Fri Jun 13 2005 Colin Walters <walters@redhat.com> - 0.8.8-3
- Add Bluecurve-ized icons from Jeff Schroeder (157716)
- Add rhythmbox-0.8.8-cell-renderer.patch to remove use of custom
  cell renderer for playback icon (no longer necessary) and
  changes the rating renderer to work with non-b&w icons

* Mon Mar 14 2005 Colin Walters <walters@redhat.com> - 0.8.8-2
- Rebuild for GCC4

* Tue Oct 05 2004 Colin Walters <walters@redhat.com> - 0.8.8-1
- New upstream version
- Remove librb-nautilus-context-menu.so, killed upstream

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 0.8.7-2
- PreReq desktop-file-utils >= 0.9

* Sat Sep 29 2004 Colin Walters <walters@redhat.com> - 0.8.7-1
- New upstream version

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-2
- Fix postun to use correct syntax, thanks Nils Philippsen

* Sat Sep 18 2004 Colin Walters <walters@redhat.com> - 0.8.6-1
- New upstream version
- Call update-desktop-database in post and postun

* Thu Jun 24 2004 Colin Walters <walters@redhat.com> - 0.8.5-1
- New upstream version

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 18 2004 Colin Walters <walters@redhat.com> - 0.8.4-1
- New upstream version
- Remove backported patches
- Gratuitiously bump various BuildRequires versions

* Mon May 10 2004 Colin Walters <walters@redhat.com> - 0.8.3-4
- Remove code to unregister GConf schema for now (Closes: #122532)

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-3
- Apply tiny patch from 0.8 arch to fix GConf key used
  for initial sorting

* Thu May 07 2004 Colin Walters <walters@redhat.com> - 0.8.3-2
- Apply patch from 0.8 arch tree to fix a number of memleaks

* Thu May 02 2004 Colin Walters <walters@redhat.com> - 0.8.3-1
- Update to 0.8.3: fixes showstopper bug with internet radio

* Thu Apr 30 2004 Colin Walters <walters@redhat.com> - 0.8.2-1
- Update to 0.8.2
- Fix Source url
- Add smp_mflags
- Bump BuildRequires on gstreamer to 0.8.1

* Tue Apr 23 2004 Colin Walters <walters@redhat.com> - 0.8.1-2
- Uninstall GConf schemas on removal

* Tue Apr 20 2004 Colin Walters <walters@redhat.com> - 0.8.1-1
- Update to 0.8.1

* Fri Apr 16 2004 Colin Walters <walters@redhat.com> - 0.8.0-1
- Update to 0.8.0

* Fri Apr 02 2004 Colin Walters <walters@redhat.com> - 0.7.2-1
- Update to 0.7.2

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-2
- Remove BuildRequires on autoconf and libvorbis-devel

* Mon Mar 29 2004 Colin Walters <walters@redhat.com> - 0.7.1-1
- New major version - I know we are past major version slush, but
  this should have been done two weeks ago along with the GNOME 2.6
  upload.  As upstream author as well, I believe this version is
  good enough for FC2.
- Remove --disable-mp3
- Remove id3, flac variables
- Remove GStreamer major version patch
- Fix typo in description

* Tue Mar 16 2004 Jeremy Katz <katzj@redhat.com> - 0.6.8-2
- rebuild for new gstreamer

* Thu Mar 11 2004 Alex Larsson <alexl@redhat.com> 0.6.8-1
- update to 0.6.8

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar  1 2004 Alexander Larsson <alexl@redhat.com> 0.6.7-1
- update to 0.6.7

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jan 12 2004 Colin Walters <walters@verbum.org> 0.6.4-1
- New upstream version
- Don't re-run the autotools; upstream incorporates newer versions.
* Tue Oct 28 2003 Jonathan Blandford <jrb@redhat.com> 0.5.4-1
- new version
- remove smp_flags

* Fri Oct 24 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-5
- remove the initial iradio channels as they all are mp3 based.

* Wed Oct  8 2003 Matthias Saou <matthias@rpmforge.net> 0.5.3-3
- Fix category from Development/Libraries to Applications/Multimedia.
- Use bz2 instead of gz as ftp.gnome.org has both, 300k saved in the src.rpm.
- Fix SCHEMES vs. SCHEMAS in the post scriplet.
- Added gstreamer-plugins-devel, libvorbis-devel, scrollkeeper and gettext deps.
- Removed unnecessary date expansion define.
- Updated description, including mp3 reference removal.
- Added libid3tag and flac optional support for convenient rebuild.
- Removed obsolete omf.make and xmldocs.make (included ones are the same now).

* Mon Sep 22 2003 Jonathan Blandford <jrb@redhat.com> 0.5.3-1
- new version
- use %{_sysconfdir} instead of /etc

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 18 2002 Jonathan Blandford <jrb@redhat.com>
- gave up on other archs for the Beta
- new version
- remove werror and add missing files

* Thu Nov  7 2002 Jeremy Katz <katzj@redhat.com>
- update to newer cvs snap

* Mon Sep 23 2002 Jeremy Katz <katzj@redhat.com>
- update to cvs snap

* Sun Sep 22 2002 Jeremy Katz <katzj@redhat.com>
- use %%(lang)

* Sun Aug 11 2002 Jeremy Katz <katzj@redhat.com>
- fix post to actually install the schema

* Sat Jun 22 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Added gconf file
- Added i18n directory

* Sat Jun 15 2002 Christian F.K. Schaller <Uraeus@linuxrising.org>
- Updated for new rewrite of rhythmbox, thanks to Jeroen

* Mon Mar 18 2002 Jorn Baayen <jorn@nl.linux.org>
- removed bonobo dependency
* Sat Mar 02 2002 Christian Schaller <Uraeus@linuxrising.org>
- created new spec file
