Summary:        Telepathy client library that uses Farstream

Name:           telepathy-farstream
Version:        0.6.0
Release:        1%{?_dist_release}

Group:          Applications/Communications
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/wiki/FrontPage
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-root

BuildRequires:	farstream-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	telepathy-glib-devel >= 0.17.5
BuildRequires:	python-devel
BuildRequires:	gobject-introspection-devel

Obsoletes:      telepathy-farsight < 0.0.20
Obsoletes:      telepathy-stream-engine < 0.5.16

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	Takemikaduchi

%description
Telepathy Farstream is a Telepathy client library that uses Farstream
to handle Call channels.

Telepathy is a D-Bus framework for unifying real time communication,
including instant messaging, voice calls and video calls. It abstracts
differences between protocols to provide a unified interface for
applications.


%package	devel
Summary:        Development tools for telepathy-farstream
Summary(ja):    telepathy-farstream の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description	devel
Header files and libraries for building a extension library for the
telepathy-farstream.


%package        doc
Summary:        Documentation for telepathy-farstream
Summary(ja):    telepathy-farstream 用のドキュメント
Group:          Documentation
Requires:       %{name} = %{version}-%{release}
BuildArch:	noarch


%description    doc
This package contains documentation for telepathy-farstream.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/libtelepathy-farstream.so.*
%{_libdir}/girepository-1.0/TelepathyFarstream-0.6.typelib

%files devel
%defattr(-,root,root,-)
%{_includedir}/telepathy-1.0
%{_libdir}/libtelepathy-farstream.so
%{_libdir}/pkgconfig/telepathy-farstream.pc
%{_datadir}/gir-1.0/TelepathyFarstream-0.6.gir

%files doc
%defattr(-,root,root,-)
%{_datadir}/gtk-doc/html/telepathy-farstream


%changelog
* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.6.0-1
- new upstream release
- add BuildRequires: gobject-introspection-devel

* Mon Apr 30 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-2
- add Obsoletes: telepathy-farsight, telepathy-stream-engine

* Sat Apr 14 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.4.0-1
- initial build for VIne Linux

