%define ver_progsreiserfs 0.3.1-rc8
%define ntfs3g_version 2012.1.15

Summary:	Tool to check and undelete partition and files
Summary(ja):	パーティションおよびファイルのチェックと復活を行うツール
Name:		testdisk
Version:	6.13
Release:	2%{?_dist_release}
License:	GPLv2+
Group:		Applications/System
Source0:	http://www.cgsecurity.org/%{name}-%{version}.tar.bz2
URL:		http://www.cgsecurity.org/wiki/TestDisk
BuildRequires:	ncurses-devel >= 5.2
BuildRequires:  e2fsprogs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	ntfs-3g-devel >= %ntfs3g_version
BuildRequires:  libewf-devel
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel
BuildRequires:	libuuid-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Tool to check and undelete partition. Works with FAT12, FAT16, FAT32,
NTFS, EXT2, EXT3, BeFS, CramFS, HFS, JFS, Linux Raid, Linux Swap,
LVM, LVM2, NSS, ReiserFS, UFS, XFS

%prep
%setup -q

%build
%configure
%__make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR="$RPM_BUILD_ROOT" install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_mandir}/man8/testdisk.8*
%{_mandir}/man8/photorec.8*
%{_mandir}/man8/fidentify.8*
%attr(755,root,root) %{_bindir}/fidentify
%attr(755,root,root) %{_bindir}/testdisk
%attr(755,root,root) %{_bindir}/photorec


%changelog
* Mon Nov 05 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 6.13-2
- rebuild with ntfs-3g-2012.1.15

* Thu Aug 02 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 6.13-1
- new upstream release 
- BR: ntfs-3g-devel instead of ntfsprogs
- remove all patches

* Sat Jan 29 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.11-2
- rebuild with openssl-1.0.0c

* Tue Dec 07 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 6.11-1
- new upstream release
- add Source10 (testdisk-doc-6.11.tar.bz2)
- add Patch1 (photorec_611_exif_bound_checking_v2.patch)
- add BuildRequires: libewf-devel, zlib-devel, openssl-devel, libuuid-devel

* Sun Oct 12 2008 Shu KONNO <owa@bg.wakwak.com> 6.10-1vl5
- new upstream release
- applied new versioning policy, spec in utf-8

* Sat Jul 21 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 6.7-0vl1
- initial build for Vine Linux.

* Sun Jan 4 2004 Christophe Grenier <grenier@cgsecurity.org> 5.0
- 5.0

* Wed Oct 1 2003 Christophe Grenier <grenier@cgsecurity.org> 4.5
- 4.5

* Wed Apr 23 2003 Christophe Grenier <grenier@cgsecurity.org> 4.4-2

* Sat Mar 29 2003 Pascal Terjan <CMoi@tuxfamily.org> 4.4-1mdk
- 4.4

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-2mdk
- rebuild for rpm and glibc

* Sun Oct 06 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.2-1mdk
- 4.2

* Mon Sep 02 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 4.1-1mdk 
- By Pascal Terjan <pascal.terjan@free.fr>
	- first mdk release, adapted from PLD.
	- gz to bz2 compression.
- fix %%tmppath
- %%make instead %%{__make}
