## -*- coding: utf-8-unix -*-
%bcond_with firstbuild

Provides:    jadetex
Obsoletes:   texlive-common < %{version}
Obsoletes:   jadetex tetex dvipdfmx xdvik xdvik-motif
Obsoletes:   tetex-latex tetex-afm tetex-type1 tetex-devel
Obsoletes:   pTeX pLaTeX2e pLaTeX2e_Macros dvipsk
Obsoletes:   dvipdfm texmacro-aps
Obsoletes:   makejvf <= 1.1a
Obsoletes:   task-texmacro-phys < 1.1

Summary: Common base for all TeX Live packages
Summary(ja): TeX Live パッケージの共通ベース
Name: texlive-common
Version: 2012
Release: 1%{?_dist_release}
License: distributable
Group: Applications/Publishing
URL: http://www.tug.org/texlive/

Requires: texlive = %{version}
Requires: texlive-collection-basic = %{version}
Requires: texlive-collection-latex = %{version}
Requires: texlive-collection-latexrecommended = %{version}
Requires: texlive-collection-fontsrecommended = %{version}

#### $ pdftex -ini  -jobname=latex -progname=latex -translate-file=cp227.tcx *latex.ini
## dehypht-x-2009-06-19.tex
Requires: texlive-collection-langgerman = %{version}
## catkoi
Requires: texlive-collection-langcyrillic = %{version}

#### $ xetex -ini  -jobname=xelatex -progname=xelatex -etex xelatex.ini
## unicode-letters
Requires: texlive-collection-xetex = %{version}

Requires: texlive-collection-langcjk = %{version}

BuildArch:	noarch
Buildroot:    %{_tmppath}/%{name}-%{version}-root

Vendor:       Project Vine
Distribution: Vine Linux
Packager:     munepi


%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a virtual package 
to provide a common base for all TeX Live packages.


%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは TeX Live パッケージの共通ベースを
提供ための仮想パッケージです。


%files


%changelog
* Wed Nov 21 2012 Munehiro Yamamoto <munepi@vinelinux.org> 2012-1
- TeX Live 2012

* Sat Nov 26 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2011-1
- TeX Live 2011

* Mon May 23 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-6
- added Requires(post): for all requirements of texlive-collection-*
- added Requires: texlive

* Sat Apr 16 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-5
- improved %%post
  - checked the maps containing Require(post) dependencies

* Sun Mar 27 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-4
- added Requires(post): texlive
- changed Requires(pre): -> Requires(post): for all requirements

* Fri Jan 14 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- added to remove %%{texmf}/updmap.lock in %%post
  - When texlive-common is installed, this lock generating 
    texlive-collection-* leaves. 
- dropped %%postun
- added some comments for the definition of %%exec_fmtutil

* Sat Jan 08 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- changed Requires: -> Requires(pre): for all requirements
- merged dependencies of Provides:/Obsoletes: tags from texlive-vl.spec

* Mon Jul 19 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- TeX Live 2009
