%define build_compat32  %{?_with_compat32:1}%{!?_with_compat32:0}

%define debug false
%define udev_scriptdir /lib/udev
%define firmwaredir /lib/firmware

Summary: A userspace implementation of devfs
Summary(ja): ユーザスペース実装のデバイスファイルシステム
Name: udev
Version: 182
Release: 2%{?_dist_release}
License: GPL
Group: System Environment/Base
URL: http://kernel.org/pub/linux/utils/kernel/hotplug/

Source: ftp://ftp.kernel.org/pub/linux/utils/kernel/hotplug/%{name}-%{version}.tar.xz
Source1: start_udev
Source3: udev-post.init
Source4: fw_unit_symlinks.sh
Source5: udev.sysconfig

# 
Patch101: udev-151-rules.patch
Patch102: udev-revert-remove-support-for-ide-device.patch

# vine patch


ExclusiveOS: Linux

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: sed, flex
BuildRequires: pam-devel, glib2-devel, bison
BuildRequires: findutils
BuildRequires: hwdata
BuildRequires: gobject-introspection-devel >= 0.6.2
BuildRequires: gtk-doc
BuildRequires: usbutils >= 0.82
BuildRequires: gperf
BuildRequires: libacl-devel
BuildRequires: libusb-devel
BuildRequires: kmod-devel
BuildRequires: libblkid-devel
Requires(pre): /bin/sh fileutils
Requires(pre): MAKEDEV >= 3.21
Requires: MAKEDEV >= 3.21
Requires: util-linux-ng >= 2.16
Obsoletes: dev < 3.22
Conflicts: dev < 3.22
Provides: dev = 3.22
Obsoletes: murasaki, usbmgr, hotplug

Requires: pam

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke


%description
The udev package contains an implementation of devfs in 
userspace using sysfs and netlink.

%package -n libudev
Summary: Dynamic library to access udev device information
Group: System Environment/Libraries
Obsoletes: libudev0 <= 142
Provides: libudev0 = 143

%description -n libudev
This package contains the dynamic library libudev, which provides access
to udev device information, and an interface to search devices in sysfs.

%package -n libudev-devel
Summary: Development files for libudev
Group: Development/Libraries
Requires: udev = %{version}-%{release}
Requires: libudev = %{version}-%{release}

%description -n libudev-devel
This package contains the development files for the library libudev, a
dynamic library, which provides access to udev device information.

%package -n libudev-static
Summary: Static libraries for libudev
Group: Development/Libraries
Requires: libudev-devel = %{version}-%{release}

%description -n libudev-static
This package contains the static library libudev, which provides 
access to udev device information.

%package -n libgudev1
Summary: Libraries for adding libudev support to applications that use glib
Group: Development/Libraries
Requires: libudev >= 142
# remove the following lines for libgudev so major 1 
Provides: libgudev = 20090518
Obsoletes: libgudev <= 20090517

%description -n libgudev1
This package contains the libraries that make it easier to use libudev
functionality from applications that use glib.

%package -n libgudev1-devel
Summary: Header files for adding libudev support to applications that use glib
Group: Development/Libraries
Requires: libudev-devel >= 142
Provides: libgudev-devel = 20090518
Obsoletes: libgudev-devel <= 20090517
Requires: libgudev1 = %{version}-%{release}

%description -n libgudev1-devel
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.

# compat32
%package -n compat32-libudev
Summary: A userspace implementation of devfs
Summary(ja): ユーザスペース実装のデバイスファイルシステム
Group: System Environment/Base
Requires: libudev = %{version}-%{release}

%description -n compat32-libudev
The udev package contains an implementation of devfs in 
userspace using sysfs and netlink.

%package -n compat32-libudev-devel
Summary: Development files for libudev
Group: Development/Libraries
Requires: compat32-libudev = %{version}-%{release}

%description -n compat32-libudev-devel
This package contains the development files for the library libudev, a
dynamic library, which provides access to udev device information.

%package -n compat32-libgudev1
Summary: Libraries for adding libudev support to applications that use glib
Group: Development/Libraries
Requires: compat32-libudev >= %{version}-%{release}

%description -n compat32-libgudev1
This package contains the libraries that make it easier to use libudev

%package -n compat32-libgudev1-devel
Summary: Header files for adding libudev support to applications that use glib
Group: Development/Libraries
Requires: compat32-libudev-devel
Requires: compat32-libgudev1 = %{version}-%{release}

%description -n compat32-libgudev1-devel
This package contains the header and pkg-config files for developing
glib-based applications using libudev functionality.


%prep
%setup -q  
#%patch101 -p1
#%patch102 -p1

%build
#autoreconf -f -i
%configure \
  --without-selinux \
  --prefix=%{_prefix} \
  --with-rootprefix= \
  --sysconfdir=%{_sysconfdir} \
  --exec-prefix="" \
  --bindir="/sbin" \
  --sbindir="/sbin" \
  --libexecdir=/lib \
  --with-rootlibdir=/%{_lib} \
  --enable-introspection \
  --enable-udev_acl \
  --enable-floppy \
  --enable-edd \
  --enable-rule_generator \
  --enable-debug --enable-static

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_sbindir}

make DESTDIR=$RPM_BUILD_ROOT install

rm -fr $RPM_BUILD_ROOT%{_docdir}/udev
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

rm -f $RPM_BUILD_ROOT/%{_libdir}/libgudev*.a

rm -f $RPM_BUILD_ROOT%{_sysconfdir}/udev/udev.rules
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/init.d/udev
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/hotplug.d/default/10-udev.hotplug

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/udev/{rules.d,makedev.d,scripts,devices}
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/dev.d
mkdir -p $RPM_BUILD_ROOT%{_bindir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/scsi_id.config

# force relative symlinks
ln -sf ..%{udev_scriptdir}/scsi_id $RPM_BUILD_ROOT/sbin/scsi_id

ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_bindir}/udevinfo
ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_bindir}/udevtest
ln -sf ../../sbin/udevadm $RPM_BUILD_ROOT%{_sbindir}/udevmonitor

ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevtrigger
ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevsettle
ln -sf udevadm $RPM_BUILD_ROOT/sbin/udevcontrol

mkdir -p $RPM_BUILD_ROOT%{udev_scriptdir}/{,devices}

for i in \
%ifarch ppc ppc64
        rules/arch/40-ppc.rules \
%endif
	; do
	install -m 0644 "$i"  "$RPM_BUILD_ROOT%{udev_scriptdir}/rules.d/${i##*/}"
done

mkdir -p $RPM_BUILD_ROOT%{udev_scriptdir}/{,devices}

install -m 0755 %{SOURCE4} $RPM_BUILD_ROOT%{udev_scriptdir}/fw_unit_symlinks.sh

mkdir -p $RPM_BUILD_ROOT%{_datadir}/udev
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/sbin/start_udev

mkdir -p -m 0755 $RPM_BUILD_ROOT%{firmwaredir}

mkdir -p -m 0755 $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d
cat > $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/floppy-pnp.conf <<EOF
alias pnp:dPNP0700 floppy
alias acpi:PNP0700: floppy
EOF

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/udev-post

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/udev

mkdir -p $RPM_BUILD_ROOT/var/lib/udev/makedev.d

# move udevd
mv $RPM_BUILD_ROOT/lib/udev/udevd $RPM_BUILD_ROOT/sbin/

%pre
getent group video >/dev/null || /usr/sbin/groupadd -g 39 video || :
getent group audio >/dev/null || /usr/sbin/groupadd -g 63 audio || :
getent group cdrom >/dev/null || /usr/sbin/groupadd -g 11 cdrom || :
getent group tape >/dev/null || /usr/sbin/groupadd -g 33 tape || :
getent group dialout >/dev/null || /usr/sbin/groupadd -g 18 dialout || :

%preun
if [ $1 = 0 -a -f %{_initrddir}/udev ]; then
	if [ -x /sbin/pidof ]; then
		pid=$(/sbin/pidof udevd)
		if [ -n "$pid" ]; then
			kill $pid
		fi
	fi
	/sbin/chkconfig --del udev
fi
if [ "$1" = 0 ]; then
	/sbin/chkconfig --del udev-post
fi
exit 0

%post
if [ "$1" -ge "1" -a -x /sbin/pidof ]; then
	pid=$(/sbin/pidof udevd)
	if [ -n "$pid" ]; then
		kill $pid
		/sbin/udevd -d
	fi
fi
/sbin/ldconfig
/sbin/chkconfig --add udev-post
exit 0

%postun -p /sbin/ldconfig

%triggerpostun -- dev <= 0:3.21-1vl1
if [ $2 = 0 ]; then
    if [ -x /sbin/MAKEDEV ]; then 
	/sbin/MAKEDEV null
	/sbin/MAKEDEV console
    else
	/bin/mknod /dev/null c 1 3
	/bin/mknod /dev/console c 5 1
    fi
    if [ "$(/sbin/kernelversion)" == "2.6" ] &&
       [ $(($(uname -r |cut -f1 -d-|cut -f3 -d.))) -gt 15 ]
    then
	/sbin/start_udev >/dev/null 2>&1
	if [ -e /dev/mapper/control -a -x /sbin/lvm ]; then
		/sbin/lvm vgmknodes >/dev/null 2>&1
	fi
    fi
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING README TODO ChangeLog
%attr(0755,root,root) /sbin/udevadm
%attr(0755,root,root) /sbin/udevcontrol
%attr(0755,root,root) /sbin/udevtrigger
%attr(0755,root,root) /sbin/udevsettle
%attr(0755,root,root) /sbin/udevd
%attr(0755,root,root) /sbin/start_udev
%attr(0755,root,root) /sbin/scsi_id
%attr(0755,root,root) %{udev_scriptdir}/ata_id
%attr(0755,root,root) %{udev_scriptdir}/cdrom_id
%attr(0755,root,root) %{udev_scriptdir}/create_floppy_devices
%attr(0755,root,root) %{udev_scriptdir}/fw_unit_symlinks.sh
%attr(0755,root,root) %{udev_scriptdir}/collect
%attr(0755,root,root) %{udev_scriptdir}/keyboard-force-release.sh
%attr(0755,root,root) %{udev_scriptdir}/mtd_probe
%attr(0755,root,root) %{udev_scriptdir}/accelerometer
%attr(0644,root,root) %{udev_scriptdir}/rule_generator.functions
%attr(0755,root,root) %{udev_scriptdir}/write_cd_rules
%attr(0755,root,root) %{udev_scriptdir}/write_net_rules
#%attr(0755,root,root) %{udev_scriptdir}/usb_id
#%attr(0755,root,root) %{udev_scriptdir}/path_id
#%attr(0755,root,root) %{udev_scriptdir}/input_id

%attr(0755,root,root) %{_sysconfdir}/rc.d/init.d/udev-post
%attr(0755,root,root) %{_bindir}/udevtest
%attr(0755,root,root) %{_bindir}/udevinfo
%attr(0755,root,root) %{_sbindir}/udevmonitor
%attr(0755,root,root) %dir %{_sysconfdir}/udev/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/rules.d/
%attr(0755,root,root) %dir %{udev_scriptdir}/
%attr(0755,root,root) %dir %{udev_scriptdir}/rules.d/
%attr(0755,root,root) %dir %{udev_scriptdir}/devices/
%attr(0755,root,root) %dir %{_sysconfdir}/udev/makedev.d/

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/udev

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/udev/udev.conf
%attr(0644,root,root) %{udev_scriptdir}/rules.d/*.rules

%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/scsi_id.config

%config %attr(0644,root,root) %{_sysconfdir}/modprobe.d/floppy-pnp.conf

%dir %attr(0755,root,root) %{firmwaredir}
%attr(0644,root,root) %{_mandir}/man8/udev*.8*
%attr(0644,root,root) %{_mandir}/man7/udev*.7*
%attr(0644,root,root) %{_mandir}/man8/scsi_id*.8*

%dir %attr(0755,root,root) /var/lib/udev
%dir %attr(0755,root,root) /var/lib/udev/makedev.d

# Deprecated, but keep the ownership
%ghost %dir %{_sysconfdir}/udev/scripts/
%ghost %dir %{_sysconfdir}/udev/devices/
%ghost %dir %{_sysconfdir}/dev.d/

%attr(0755,root,root) %{udev_scriptdir}/scsi_id
%attr(0755,root,root) %{udev_scriptdir}/keymap
%attr(0755,root,root) %{udev_scriptdir}/v4l_id
%attr(0755,root,root) %{udev_scriptdir}/findkeyboards
%attr(0644,root,root) %{udev_scriptdir}/keymaps/*


%files -n libudev
%defattr(0644,root,root,0755)
%attr(0755,root,root) /%{_lib}/libudev.so.*

%files -n libudev-devel
%defattr(0644,root,root,0755)
%doc COPYING
%{_includedir}/libudev.h
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc
%{_datadir}/gtk-doc/html/libudev/*

%files -n libudev-static
%defattr(0644,root,root,0755)
%{_libdir}/libudev.a

%files -n libgudev1
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755,root,root) /%{_lib}/libgudev-1.0.so.*
%attr(0644,root,root) %{_libdir}/girepository-1.0/GUdev-1.0.typelib

%files -n libgudev1-devel
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755,root,root) %{_libdir}/libgudev-1.0.so
%attr(0644,root,root) %{_includedir}/gudev-1.0/gudev/*.h
%attr(0644,root,root) %{_datadir}/gir-1.0/GUdev-1.0.gir
%dir %{_datadir}/gtk-doc/html/gudev
%attr(0644,root,root) %{_datadir}/gtk-doc/html/gudev/*
%attr(0644,root,root) %{_libdir}/pkgconfig/gudev-1.0*


%if %{build_compat32}
%files -n compat32-libudev
%defattr(0644,root,root,0755)
%attr(0755,root,root) /%{_lib}/libudev.so.*

%files -n compat32-libudev-devel
%defattr(0644,root,root,0755)
%{_libdir}/libudev.so
%{_libdir}/pkgconfig/libudev.pc
%{_datadir}/pkgconfig/udev.pc

%files -n compat32-libgudev1
%defattr(0644, root, root, 0755)
%attr(0755,root,root) /%{_lib}/libgudev-1.0.so.*

%files -n compat32-libgudev1-devel
%defattr(0644, root, root, 0755)
%doc COPYING
%attr(0755,root,root) %{_libdir}/libgudev-1.0.so
%attr(0644,root,root) %{_libdir}/pkgconfig/gudev-1.0*
%endif


%changelog
* Fri Nov 02 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 182-2
- rebuild with current environment

* Thu Jun 28 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 182-1
- new upstream release
- add BR: kmod-devel
- add BR: libblkid-devel

* Sat Dec 10 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 175-1
- new upstream release
- add configure option (--enable-rule_generator)

* Sun Aug 28 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 173-1
- new upstream release
- drop Patch101,102

* Sat Jul 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 154-7
- add Patch102 (udev-revert-remove-support-for-ide-device.patch)
   (bug fix for BTS:1171)

* Sat Jul 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 154-6
- create compat32 sub packages

* Tue Apr 05 2011 Daisuke SUZUKI <daisuke@linux.or.jp> 154-3
- enable static library, add libudev-static subpackage.

* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 154-2
- rebuild with rpm-4.8.1 for pkg-config file
- add BuildRequires: gperf, libacl-devel, libusb-devel

* Fri May 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 154-1
- new upstream release
- add patch101 to fix rules

* Thu Apr 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 153-1
- new upstream release

* Sun Feb 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 151-1
- new upstream release
- drop obsolete patches

* Wed Feb 10 2010 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 145-2
- rebuilt with new toolchain

* Mon Oct 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 145-1
- new upstream release
- split libudev/libgudev1 to subpackage
- disable static linked binary

* Sat Aug 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 141-8
- cleanup start_udev script

* Fri Jul 24 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 141-7
- add retrigger of fail events in udev-post.init

* Mon May 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 141-5
- rename floppy-pnp to floppy-pnp.conf

* Fri May 01 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 141-4
- include usb_id man page

* Fri May 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 141-3
- move system udev rules to /lib/udev/rules.d

* Mon Apr 27 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 141-2
- modified start_udev to ensure /dev/{null,console} created
  before udevd actually starts

* Sun Apr 19 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 141-1
- new upstream release with security fix
  (CVE-2009-1185, CVE-2009-1186)

* Sat Mar 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 140-2
- update start_udev
- add video, audio, cdrom, tape and dialout to groups

* Sat Mar 14 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 140-1
- new upstream release

* Sun Jan 11 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 136-1
- new upstream release

* Thu Dec 18 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 135-4
- drop patch1000

* Sat Dec 13 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 135-3
- use udevadm instead of udevsettle
- fix selinux stuff

* Mon Dec 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 135-2
- update start_udev/udev-post.init scripts
- remove udev.nodes from makedev.d

* Wed Dec 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 135-1
- new upstream release

* Wed Sep 03 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 127-1
- new upstream release

* Wed Jul 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 125-1
- new upstream release
- remove udevcontrol and udevtrigger (we use udevadm now)
- update start_udev

* Thu Apr 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 120-1
- new upstream release

* Thu Mar 20 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 118-1
- add Patch1000 to prevent creating symlink for rtc.
- apply new versioning policy.

* Thu Mar 06 2008 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 118-0vl1
- new upstream release
- sync with fedora development 118-5.fc9

* Tue Aug 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-0vl3
- use MAKEDEV to create devices in %%post

* Tue Aug 22 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-0vl2
- make console and null device in %%post in first installation.

* Mon Aug 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 0.97-0vl1
- new upstream release

* Wed Jul 19 2006 Shu KONNO <owa@bg.wakwak.com> 096-0vl2
- rebuild for x86_64
- changed libdir, usrlibdir with /%%{_lib}, %%{_libdir} in make install
- changed libdir=/lib to /lib64 in libvolume_id.pc

* Wed Jul 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 096-0vl1
- new upstream release

* Sun Jul 09 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 095-0vl1
- new upstream release

* Tue Jun 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 094-0vl1
- new upstream release

* Fri Jun 02 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 093-0vl1
- new upstream release

* Sun May 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 092-0vl4
- make null/console device in triggerpostun scripts

* Sat May 20 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 092-0vl3
- Obsoletes: dev < 3.22
  dev>=3.22 does not conflict with udev, it provides statically
  generated device files for older kernel.

* Tue May 16 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 092-0vl2
- update 95-pam-console.rules to fix invalid rules. (Patch10)
  (thanks to KANEKO Seiji)

* Mon May 15 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 092-0vl1
- new upstream release

* Sun Apr 30 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 091-0vl3
- fix errors in 50-udev.rules (Patch10)

* Thu Apr 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 091-0vl2
- import start_udev script from FC
- update {50-udev,51-hotplug}.rules (Patch10)

* Wed Apr 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 091-0vl1
- new upstream release

* Mon Apr 17 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 090-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 089-0vl2
- fix firemware_helper path in 05-udev-early.rules

* Wed Apr 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 089-0vl1
- new upstream release
- move *_id helper programs from /sbin to /lib/udev

* Thu Mar 23 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 088-0vl1
- new upstream release
- add udev.7 again. (#15)

* Mon Mar 13 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl5
- update udev.rules(Patch10) to replace deprecated format.

* Sun Mar 12 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl4
- update udev.rules(Patch10) to make compat symlink(/dev/mouse)

* Fri Mar 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl3
- update udev.rules(Patch10)
- merge Patch20 to Patch10

* Fri Mar 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl2
- add 95-pam-console.rules to call pam_console_apply

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl1
- add Patch20 to fix obsolete style rules

* Wed Mar 08 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 087-0vl1
- new upstream release
- add Requires:/PreReq: MAKEDEV >= 3.21
- add Obsoletes:/Provides: dev

* Mon Mar 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 086-0vl1
- new upstream release
- add Patch0 for compatibility devices for Vine Linux

* Fri Jan 27 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 078-0vl1
- merged with FC package
  * Sun Jun 12 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 058-1vl1
  - initial build for Vine Linux

* Tue Jan 24 2006 Harald Hoyer <harald@redhat.com> - 078-7
- put WAIT_FOR_SYSFS rules in 05-udev-early.rules

* Mon Jan 23 2006 Harald Hoyer <harald@redhat.com> - 078-6
- added some WAIT_FOR_SYSFS rules
- removed warning message, if udev_db is not available

* Sun Jan 22 2006 Kristian H淡gsberg <krh@redhat.com> 078-5
- Drop udev dependency (#178621).

* Tue Jan 11 2006 Harald Hoyer <harald@redhat.com> - 078-4
- removed group "video" from the rules
- fixed specfile
- load nvram, floppy, parport and lp modules in
  /etc/sysconfig/modules/udev-stw.modules until there 
  is a better solution
- fixed more floppy module loading

* Fri Dec 23 2005 Harald Hoyer <harald@redhat.com> - 078-3
- fixed floppy module loading
- added monitor socket
- fixed typo in dvb rule

* Wed Dec 21 2005 Bill Nottingham <notting@redhat.com> - 078-2
- udevstart change: allow greylisting of certain modaliases (usb, firewire)

* Wed Dec 21 2005 Harald Hoyer <harald@redhat.com> - 078-1
- version 078
- fixed symlink to pam_console.dev

* Thu Dec 15 2005 Harald Hoyer <harald@redhat.com> - 077-2
- switched back to udevstart and use active /dev/.udev/queue waiting 
  in start_udev
- removed support for old kernels
- refined some udev.rules

* Mon Dec 13 2005 Harald Hoyer <harald@redhat.com> - 077-1
- version 077
- patch to include udevstart2 in udevd and delay daemonize until queue is empty

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Dec 06 2005 Harald Hoyer <harald@redhat.com> - 076-1
- speedup udevd with selinux by calling matchpathcon_init_prefix()
- version 076

* Mon Nov 21 2005 Harald Hoyer <harald@redhat.com> - 075-4
- speedup udev event replay with udevstart2 

* Fri Nov 18 2005 Harald Hoyer <harald@redhat.com> - 075-3
- refined start_udev for old kernels

* Fri Nov 11 2005 Harald Hoyer <harald@redhat.com> - 075-2
- moved /etc/udev/scripts to /lib/udev
- moved /etc/udev/devices to /lib/udev/devices
- added new event replay for kernel >= 2.6.15
- added usb devices
- renamed cpu device to cpuid (bug #161538)
- changed vendor string "Onstream" to "On[sS]tream" (bug #173043)
- compiled all *_id programs statically

* Fri Nov 11 2005 Harald Hoyer <harald@redhat.com> - 075-1
- version 075

* Tue Oct 25 2005 Harald Hoyer <harald@redhat.com> - 071-1
- version 071

* Mon Oct 10 2005 Harald Hoyer <harald@redhat.com> - 069-10
- removed group usb

* Mon Oct 10 2005 Harald Hoyer <harald@redhat.com> - 069-9
- added libsepol-devel BuildReq
- refined persistent rules

* Mon Oct 10 2005 Harald Hoyer <harald@redhat.com> - 069-8
- corrected c&p edd_id rule, symlink for js devices
- added -lsepol

* Thu Oct 06 2005 Harald Hoyer <harald@redhat.com> - 069-7
- added edd_id

* Fri Sep 30 2005 Harald Hoyer <harald@redhat.com> - 069-6
- special handling of IEEE1394 firewire devices (bug #168093)

* Fri Sep 23 2005 Harald Hoyer <harald@redhat.com> - 069-5
- added missing path_id

* Wed Sep 21 2005 Harald Hoyer <harald@redhat.com> - 069-4
- readded volume_id now known as vol_id, bug #168883

* Thu Sep 15 2005 Bill Nottingham <notting@redhat.com> - 069-3
- fix firmware loading

* Wed Sep 14 2005 Bill Nottingham <notting@redhat.com> - 069-2
- own /lib/firmware (#167016)

* Wed Sep 14 2005 Harald Hoyer <harald@redhat.com> - 069-1
- version 069

* Thu Aug 04 2005 Harald Hoyer <harald@redhat.com> - 063-6
- compile with pie .. again... (#158935)
- fixed typo in echo (#138509)

* Tue Aug 02 2005 Harald Hoyer <harald@redhat.com> - 063-5
- fixed scsi hotplug replay

* Tue Aug 02 2005 Bill Nottingham <notting@redhat.com> - 063-5
- add rule to allow function id matching for pcmcia after loading
  modules (#164665)

* Tue Aug 02 2005 Harald Hoyer <harald@redhat.com> - 063-4
- fixed typo for tape devices and changed mode to 0660

* Thu Jul 28 2005 Harald Hoyer <harald@redhat.com> - 063-3
- changed "SYMLINK=" to "SYMLINK+="

* Sun Jul 24 2005 Bill Nottingham <notting@redhat.com> - 063-2
- don't set SEQNUM for scsi replay events (#163729)

* Tue Jul 19 2005 Bill Nottingham <notting@redhat.com> - 063-1
- update to 063
- handle the hotplug events for ieee1394, scsi, firmware

* Fri Jul 08 2005 Bill Nottingham <notting@redhat.com> - 062-2
- update to 062
- use included ata_id, build usb_id
- load modules for pci, usb, pcmcia
- ship RELEASE-NOTES in %%doc

* Thu Jul 07 2005 Harald Hoyer <harald@redhat.com> - 058-2
- compile with pie

* Fri May 20 2005 Bill Nottingham <notting@redhat.com> - 058-1
- update to 058, fixes conflict with newer kernels (#158371)

* Thu May 12 2005 Harald Hoyer <harald@redhat.com> - 057-6
- polished persistent scripts

* Thu May  5 2005 Bill Nottingham <notting@redhat.com> - 057-5
- rebuild

* Thu May  5 2005 Bill Nottingham <notting@redhat.com> - 057-4
- better check for mounted tmpfs on /dev (#156862)

* Wed Apr 27 2005 Peter Jones <pjones@redhat.com> - 057-3
- use udevstart rather than udev for udevstart.static 

* Thu Apr 21 2005 Harald Hoyer <harald@redhat.com> - 057-2
- added Inifiniband devices (bug #147035)
- fixed pam_console.dev (bug #153250)

* Mon Apr 18 2005 Harald Hoyer <harald@redhat.com> - 057-1
- version 057

* Fri Apr 15 2005 Dan Walsh <dwalsh@redhat.com> - 056-2
- Fix SELinux during creation of Symlinks

* Mon Apr 11 2005 Harald Hoyer <harald@redhat.com> - 056-1
- updated to version 056
- merged permissions in the rules file
- added udevpermconv.sh to convert old permission files

* Mon Mar 28 2005 Warren Togami <wtogami@redhat.com> - 050-10
- own default and net dirs (#151368 Hans de Goede)

* Mon Mar 07 2005 Warren Togami <wtogami@redhat.com> - 050-9
- fixed rh#150462 (udev DRI permissions)

* Wed Mar 02 2005 Harald Hoyer <harald@redhat.com> - 050-8
- fixed rh#144598

* Fri Feb 18 2005 Harald Hoyer <harald@redhat.com> - 050-6
- introducing /etc/udev/makedev.d/50-udev.nodes
- glibcstatic patch modified to let gcc4 compile udev

* Thu Feb 10 2005 Harald Hoyer <harald@redhat.com> - 050-5
- doh, reverted the start_udev devel version, which slipped in

* Thu Feb 10 2005 Harald Hoyer <harald@redhat.com> - 050-3
- fixed forgotten " in udev.rules

* Tue Jan 11 2005 Harald Hoyer <harald@redhat.com> - 050-2
- removed /dev/microcode, /dev/cpu/microcode is now the real node
- cleaned up start_udev

* Tue Jan 11 2005 Harald Hoyer <harald@redhat.com> - 050-1
- version 050
- /dev/cpu/0/microcode -> /dev/cpu/microcode

* Tue Dec 21 2004 Dan Walsh <dwalsh@redhat.com> - 048-4
- Call selinux_restore to fix labeling problem in selinux
- Fixes rh#142817

* Tue Dec 21 2004 Harald Hoyer <harald@redhat.com> - 048-3
- maybe fixed bug rh#143367

* Thu Dec 16 2004 Harald Hoyer <harald@redhat.com> - 048-2
- fixed a case where reading /proc/ide/hd?/media returns EIO
  (bug rh#142713)
- changed all device node permissions of group "disk" to 0640 
  (bug rh#110197)
- remove $udev_db with -fr in case of a directory (bug rh#142962)

* Mon Dec 13 2004 Harald Hoyer <harald@redhat.com> - 048-1
- version 048
- major specfile cleanup

* Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 042-1
- version 042

* Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-10
- speed improvement, scripts in rules are now executed only once,
  instead of four times

* Thu Nov 04 2004 Harald Hoyer <harald@redhat.com> - 039-9
- removed wrong SIG_IGN for SIGCHLD
- moved ide media check to script to wait for the procfs

* Wed Nov  3 2004 Jeremy Katz <katzj@redhat.com> - 039-8.FC3
- recreate lvm device nodes if needed in the trigger (#137807)

* Wed Nov 03 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.2
- replace udev.conf by default
- LANG=C for fgrep in start_udev; turn grep into fgrep

* Tue Nov 02 2004 Harald Hoyer <harald@redhat.com> - 039-6.FC3.1
- speed up pam_console.dev
- mount pts and shm, in case of the dev trigger
- increased timeout for udevstart
- removed syslog() from signal handler (caused vmware locks)
- turned off logging, which speeds up the boot process

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-6
- fixed typo

* Thu Oct 21 2004 Harald Hoyer <harald@redhat.com> - 039-5
- added udev-039-norm.patch, which prevents removal of hd* devices,
  because the kernel sends remove/add events, if an IDE removable device
  is close(2)ed. mke2fs, e.g. would fail in this case.

* Wed Oct 20 2004 Harald Hoyer <harald@redhat.com> - 039-4
- do not call dev.d scripts, if network interface hasn't changed 
  the name
- correct wait for dummy network devices
- removed NONBLOCK from volume-id
- do not log in udev.static, which should fix bug 136005 

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-3
- refined wait_for_sysfs for udev.static

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-2
- improved wait_for_sysfs for virtual consoles with Kay Siever's patch
- wait for ppp class
- wait for LVM dm- devices
- integrate wait_for_sys in udev.static for the initrd

* Mon Oct 18 2004 Harald Hoyer <harald@redhat.com> - 039-1
- version 039, fixes also manpage bug 135996 
- fixed glibc issue for static version (getgrnam, getpwnam) (bug 136005)
- close the syslog in every app

* Fri Oct 15 2004 Harald Hoyer <harald@redhat.com> - 038-2
- par[0-9] is now a symlink to lp
- MAKEDEV the parport devices
- now conflicts with older initscripts

* Thu Oct 14 2004 Harald Hoyer <harald@redhat.com> - 038-1
- raw device nodes are now created in directory raw
- version 038

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 036-1
- better wait_for_sysfs warning messages

* Wed Oct 13 2004 Harald Hoyer <harald@redhat.com> - 035-2
- fixed double bug in start_udev (bug 135405)

* Tue Oct 12 2004 Harald Hoyer <harald@redhat.com> - 035-1
- version 035, which only improves wait_for_sysfs
- load ide modules in start_udev, until a hotplug script is available
  (bug 135260)

* Mon Oct 11 2004 Harald Hoyer <harald@redhat.com> - 034-3
- removed scary error messages from wait_for_sysfs
- symlink from nst? -> tape?
- kill udevd on update

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-2
- check for /proc/sys/dev/cdrom/info existence in check-cdrom.sh

* Fri Oct  8 2004 Harald Hoyer <harald@redhat.com> - 034-1
- new version udev-034
- removed patches, which went upstream
- pam_console.dev link renamed to 05-pam_console.dev
- MAKEDEV.dev links renamed to 10-MAKEDEV.dev

* Thu Oct 07 2004 Harald Hoyer <harald@redhat.com> - 032-10
- added floppy madness (bug 134830)
- replay scsi events in start_udev for the devices on the adapter (bug 130746)

* Wed Oct 06 2004 Harald Hoyer <harald@redhat.com> - 032-9
- obsoleted $UDEV_LOG, use udev_log
- correct SYMLINK handling in pam_console.dev
- specfile cleanup
- added check-cdrom.sh for nice cdrom symlinks

* Mon Oct 04 2004 Harald Hoyer <harald@redhat.com> - 032-8
- added patches from F辿liciano Matias for multiple symlinks (bug 134477 and 134478)
- corrected some permissions with a missing leading 0
- added z90crypt to the permissions file (bug 134448)
- corrected requires and conflicts tags
- removed /dev/log from MAKEDEV creation

* Fri Oct 01 2004 Harald Hoyer <harald@redhat.com> - 032-7
- more device nodes for those without initrd

* Thu Sep 30 2004 Harald Hoyer <harald@redhat.com> - 032-6
- prevent error message from device copying
- use already translated starting strings

* Wed Sep 29 2004 Harald Hoyer <harald@redhat.com> - 032-5
- add "fi" to start_udev
- do not create floppy devices manually (bug 133838)

* Tue Sep 28 2004 Harald Hoyer <harald@redhat.com> - 032-4
- made /etc/udev/devices/ for manual device nodes
- refined SELINUX check, if /dev is not yet mounted in start_dev

* Mon Sep 27 2004 Harald Hoyer <harald@redhat.com> - 032-3
- corrected permissions for /dev/rtc (bug 133636)
- renamed device-mapper to mapper/control (bug 133688)

* Wed Sep 22 2004 Harald Hoyer <harald@redhat.com> - 032-2
- removed option to turn off udev
- udevstart.static now symling to udev.static

* Tue Sep 21 2004 Harald Hoyer <harald@redhat.com> - 032-1
- version 032

* Mon Sep 20 2004 Harald Hoyer <harald@redhat.com> - 030-27
- simplified udev.conf
- refined close_on_exec patch
- added pam_console supply for symlinks, now gives correct permissions,
  for e.g. later plugged in cdroms
- renamed sr? to scd? (see devices.txt; k3b likes that :)

* Mon Sep 13 2004 Jeremy Katz <katzj@redhat.com> - 030-26
- require a 2.6 kernel
- prereq instead of requires MAKEDEV
- obsolete and provide dev
- add a trigger for the removal of /dev so that we set things up 

* Fri Sep 10 2004 Dan Walsh <dwalsh@redhat.com> - 030-25
- Use matchmediacon

* Fri Sep 10 2004 Harald Hoyer <harald@redhat.com> - 030-24
- check if SELINUX is not disabled before executing setfiles (bug 132099)

* Wed Sep  8 2004 Harald Hoyer <harald@redhat.com> - 030-23
- mount tmpfs with mode 0755 in start_udev

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-22
- applied rules from David Zeuthen which read /proc directly without 
  shellscript

* Tue Sep  7 2004 Harald Hoyer <harald@redhat.com> - 030-21
- applied enumeration patch from David Zeuthen for cdrom symlinks (bug 131532)
- create /dev/ppp in start_udev (bug 131114)
- removed nvidia devices from start_udev
- check for restorecon presence in start_udev (bug 131904)

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-20
- due to -x added to MAKEDEV specify the par and lp numbers

* Fri Sep  3 2004 Harald Hoyer <harald@redhat.com> - 030-19
- added udev-030-rhsec.patch (bug 130351)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-18
- make the exact device in start_udev (and thus, require new MAKEDEV)

* Thu Sep  2 2004 Jeremy Katz <katzj@redhat.com> - 030-17
- make sure file contexts of everything in the tmpfs /dev are set right 
  when start_udev runs

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-16
- moved %{_sysconfdir}/hotplug.d/default/udev.hotplug to %{_sysconfdir}/hotplug.d/default/10-udev.hotplug

* Thu Sep 02 2004 Harald Hoyer <harald@redhat.com> - 030-15
- added nvidia devices to start_udev
- added UDEV_RAMFS for backwards compat to udev.conf
- changed Group (bug 131488)
- added libselinux-devel to build requirements

* Wed Sep  1 2004 Jeremy Katz <katzj@redhat.com> - 030-14
- require MAKEDEV

* Wed Sep 1 2004 Dan Walsh <dwalsh@redhat.com> - 030-13
- Change to setfilecon if directory exists.

* Wed Sep 01 2004 Harald Hoyer <harald@redhat.com> - 030-12
- fixed start_udev

* Tue Aug 31 2004 Jeremy Katz <katzj@redhat.com> - 030-11
- use tmpfs instead of ramfs (it has xattr support now)
- change variables appropriately to TMPFS intead of RAMFS in udev.conf
- create loopN, not just loop in start_udev

* Fri Aug 27 2004 Dan Walsh <dwalsh@redhat.com> - 030-10
- Fix Patch

* Thu Aug 26 2004 Dan Walsh <dwalsh@redhat.com> - 030-9
- Cleaned up selinux patch

* Tue Aug 24 2004 Harald Hoyer <harald@redhat.com> - 030-8
- changed defaults not to remove device nodes
- added rule for net/tun
- extended start_udev to create devices, which can trigger module autoloading
- refined cloexec patch, to redirect stdin,out,err of /dev.d execed apps to /dev/null

* Mon Aug 23 2004 Harald Hoyer <harald@redhat.com> - 030-7
- removed usage of /usr/bin/seq in start_udev
- set correct permissions in start_udev
- extended the cloexec patch
- removed udev-persistent package (define with_persistent==0)
- check for /var/run/console/console.lock before calling /sbin/pam_console_setowner
- linked pam_console_setowner statically against libglib-2.0.a

* Fri Aug 20 2004 Harald Hoyer <harald@redhat.com> - 030-5
- use correct console.lock file now in pam_console_setowner

* Wed Aug 18 2004 Harald Hoyer <harald@redhat.com> - 030-4
- added the selinux patch

* Fri Jul 23 2004 Harald Hoyer <harald@redhat.com> - 030-3
- extended the cloexec patch

* Wed Jul 21 2004 Dan Walsh <dwalsh@redhat.com> - 030-2
- Close Database fd in exec processes using FD_CLOSEXEC

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 030-1
- version 030

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-4
- added udevstart.static 

* Wed Jul 14 2004 Harald Hoyer <harald@redhat.com> - 029-3
- put /etc/sysconfig/udev in /etc/udev/udev.conf and removed it
- made only udev.static static
- make our defaults the default values
- removed /udev

* Tue Jul  6 2004 Harald Hoyer <harald@redhat.com> - 029-1
- version 029, added udev_remove and udev_owner to udev.conf

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-3
- fixed UDEV_REMOVE=no

* Tue Jun  8 2004 Harald Hoyer <harald@redhat.com> - 026-2
- udev-026
- preserve ownership of device nodes, which already exist
- do not remove device nodes if UDEV_REMOVE="no"
- added volume_id
- build with klibc

* Wed May 26 2004 Harald Hoyer <harald@redhat.com> - 025-1
- udev-025
- added ata_identify
- build nearly all with dietlibc

* Mon May 10 2004 Elliot Lee <sopwith@redhat.com> 024-6
- Turn off udevd by default for FC2

* Tue Apr 20 2004 Harald Hoyer <harald@redhat.com> - 024-5
- fixed permission for /dev/tty (FC2)

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-4
- moved the 00- files to 50-, to let the use place his files in front

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-3
- set UDEV_SELINUX to yes
- added UDEV_LOG

* Thu Apr 15 2004 Harald Hoyer <harald@redhat.com> - 024-2
- added /udev to filelist

* Wed Apr 14 2004 Harald Hoyer <harald@redhat.com> - 024-1
- update to 024
- added /etc/sysconfig/udev
- added selinux, pam_console, dbus support

* Fri Mar 26 2004 Harald Hoyer <harald@redhat.com> - 023-1
- update to 023

* Wed Mar 24 2004 Bill Nottingham <notting@redhat.com> 022-1
- update to 022

* Sun Mar 21 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- really move initscript

* Sun Feb 29 2004 Florian La Roche <Florian.LaRoche@redhat.de>
- move chkconv to preun
- nicer url

* Wed Feb 25 2004 Harald Hoyer <harald@redhat.com> - 018-1
- changes permissions and rules

* Mon Feb 23 2004 Dan Walsh <dwalsh@redhat.com>
- Add selinux support

* Thu Feb 19 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some more files to the documentation directory
- add ability to build scsi_id and make it the default

* Mon Feb 16 2004 Greg Kroah-Hartman <greg@kroah.com>
- fix up udevd build, as it's no longer needed to be build seperatly
- add udevtest to list of files
- more Red Hat sync ups.

* Thu Feb 12 2004 Greg Kroah-Hartman <greg@kroah.com>
- add some changes from the latest Fedora udev release.

* Mon Feb 2 2004 Greg Kroah-Hartman <greg@kroah.com>
- add udevsend, and udevd to the files
- add ability to build udevd with glibc after the rest is build with klibc

* Mon Jan 26 2004 Greg Kroah-Hartman <greg@kroah.com>
- added udevinfo to rpm
- added URL to spec file
- added udevinfo's man page

* Mon Jan 05 2004 Rolf Eike Beer <eike-hotplug@sf-tec.de>
- add defines to choose the init script (Redhat or LSB)

* Tue Dec 16 2003 Robert Love <rml@ximian.com>
- install the initscript and run chkconfig on it

* Tue Nov 2 2003 Greg Kroah-Hartman <greg@kroah.com>
- changes due to config file name changes

* Fri Oct 17 2003 Robert Love <rml@tech9.net>
- Make work without a build root
- Correctly install the right files
- Pass the RPM_OPT_FLAGS to gcc so we can build per the build policy
- Put some prereqs in
- Install the hotplug symlink to udev

* Mon Jul 28 2003 Paul Mundt <lethal@linux-sh.org>
- Initial spec file for udev-0.2.
