## This package is maintained on trac.vinelinux.org svn repository
##  http://trac.vinelinux.org/repos/projects/vutils/trunk
##  Please commit all changes to svn trunk.


Summary: Configuration/tiny tools for Vine Linux
Summary(ja): Vine Linux 用各種設定/操作のスクリプト集
Name: vutils
Version: 7.1
Release: 1%{?_dist_release}
Source: vutils-%{version}.tar.bz2
License: distributable
Group: Applications/System
Url: http://trac.vinelinux.org/browser/projects/vutils 

BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke

%description
This package includes a few tiny tools for Vine Linux:
	setwm:		change default window manager
	setime:		library to change input method
	bzip2dir:	bzip2 directory
	gzipdir:	gzip directory
	cpdir:		copy directory
	mkrpmdir:	make dir to build rpm
	vupgrade:	upgrade user configuration files to follow up
			with version of Vine Linux
	update-defaultfont: setup default fonts for TeX/GS/XPDF..

%description -l ja
Vine Linux 上でのスクリプト集です。Vine Linux の各種設定等に必要で、
さまざまな他のパッケージがこのスクリプトを利用しているので、必ず
インストールしてください。

	setwm:		デフォルトのウィンドウ・マネージャ変更
	setime:		漢字変換システムの変更
	bzip2dir:	ディレクトリの圧縮(bzip2)
	gzipdir:	ディレクトリの圧縮(gzip)
	cpdir:		ディレクトリのコピー
	mkrpmdir:	rpm を build するのに必要なディレクトリをつくります
	vupgrade:	ユーザ設定ファイルを Vine Linux のバージョンにあわせて
			更新する。
	update-defaultfont: TeX/GS/XPDF 等のためのデフォルトフォントの設定を行います

%package gui
Summary: Graphical interface for %{name}
Summary(ja): %{name} のグラフィカルインタフェース
Group: Applications/System
Requires: %{name} = %{version}-%{release}
Requires: zenity

%description gui
This package includes graphical user interface for vutils.
	gsetime:	graphical interface to change input method
	gsetdm:		graphical interface to change display manager

%description -l ja gui
Vine Linux の設定スクリプト vutils のグラフィカルインタフェースです。

        gsetime:       漢字変換システムの変更
        gsetdm:        ディスプレイマネージャの変更



%prep
%setup

%build

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc Changelog
%{_bindir}/*
%{_sbindir}/*
%exclude %{_bindir}/gsetime
%{_datadir}/vine/*
%dir %{_datadir}/fonts/alias
%dir %{_datadir}/fonts/alias/TrueType
%{_sysconfdir}/X11/xinit/xinitrc.d/*
%exclude %{_sbindir}/gsetdm

%files gui
%defattr(-,root,root)
%{_bindir}/gsetime
%{_sbindir}/gsetdm
%{_datadir}/applications/*.desktop

%changelog
* Fri Nov 23 2012 Munehiro Yamamoto <munepi@vinelinux.org> 7.1-1
- update update-defaultfont
  - support TeX Live 2012 + tlptexlive
  - generate {ptex,otf,otf-up}-vine.map

* Sat Dec  3 2011 Munehiro Yamamoto <munepi@vinelinux.org> 7.0-1
- increase version number to match with distro version
- updated update-defaultfont to modify vine.map
  - supported TeX Live 2011 + tlptexlive

* Wed Jun 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.1-1
- fix vupgrade bug..

* Tue Jun 14 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.0-1
- update vupgrade
- remove WNNRPM from imelib (<BTS:1095>)
- update setime messages
- donot use negative return value

* Wed Jun 09 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.6-1
- fix execute ibus-daemon with XIM (Patch0): <VineLinux:BTS:829>
- fix QT_IM_MODULE value for iBus (Patch1): <VineLinux:BTS:996>
- using ibus-el if installing ibus-el for iBus (Patch1)

* Tue Jun 01 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.5-1
- add Url tag
- vutils is now in trac svn repository

* Mon Feb 22 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.4-1
- add ibus to xinitrc.d/setime.sh
- remove unused functions from imelib

* Sat Feb 20 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.3-1
- update vupgrade

* Thu Feb 18 2010 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.2-1
- apply lxdm patch (<BTS:225>)

* Mon Jan 18 2010 Kazutaka HARADA <kazutaka@vinelinux.org> 2.2.1-2
- add %exclude %{_sbindir}/gsetdm for vutils (<BTS:VineLinux:890>)

* Mon Nov 30 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-1
- add xim support to ibus (<BTS:829>)

* Sun Sep 27 2009 Yasumichi Akahoshi <yasumichi@vinelinux.org> 2.2.0-1
- add graphical interface for setdm (gsetdm)

* Sat Sep 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.0-1
- remove canna/*wnn/kinput2 from ime list.
- change default ime to scim
- remove setgsfonts, kinput2ctl
- add x86_64 to mkrpmdir

* Thu Sep  3 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.10-1
- change the encoding of setdm to UTF-8

* Sat Aug 22 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.9-1
- update vupgrade

* Tue Aug 18 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.8-1
- export XMODIFIERS

* Tue Apr 28 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.7-1
- add /usr/share/fonts/alias/TrueType for update-defaultfont
- add readme file of /usr/share/vine/font.d

* Mon Apr 06 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.6-1
- add ibus support (<BTS:wishes:169>)

* Tue Mar 31 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.5-1
- fixed typo in lxde support

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.4-1
- add LXDE to setwm

* Fri Mar 20 2009 MATSUBAYASHI Kohji <shaolin@vinelinux.org> - 2.0.3-1
- remove bashism (source/function) from vinelib [bts:0674]

* Fri Jan 16 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.2-1
- add update-defaultfont

* Wed Oct 08 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.1-1
- set QT_IM_MODULE

* Wed Oct 01 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.0.0-1
- use UTF-8 as default encoding
- add graphical interface for setime (gsetime)

* Fri May 09 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.39.0-1
- add ".sh" extention to xinitrc.d scripts

* Sun Mar 23 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 1.38.0-1
- apply vutils_wnn8scim.patch
  (thanks to Munehiro Yamamoto)

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.37.0-0vl1
- update imelib ([vine-users:077833])

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.36.0-0vl1
- fix typo in specfile
- update imelib to fix isAlive*

* Sat Dec 01 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.35.0-0vl1
- add AtokX3 support ([vine-users:077827])

* Fri May 04 2007 Kazutaka HARADA <kazutaka@dc4.so-net.ne.jp> 1.34.0-0vl1
- add .wm_style existence check. (setwm) <BTS:VineLinux:362>
- follow change of package name, twm -> XOrg-twm. (setwm) <BTS:VineLinux:362> 

* Thu May 03 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.33.0-0vl1
- use scim-bridge if scim-bridge-{gtk,qt} is installed (imelib)

* Thu Jan 11 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 1.32.0-0vl1
- apply imelib patch to use pidofmyproc() for uim
  ([VineSeed:13057] patch for vutils)
- set {GTK,QT}_IM_MODULE=xim for wnn8le 

* Sat Nov 04 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.31.0-0vl1
- update vupgrade

* Tue Sep 26 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.30.0-0vl1
- apply patches to support qtimm ([VineSeed:11717])
  ( thangs to KAZUKI SHIMURA )

* Tue Sep 19 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.29.0-0vl1
- fix vupgrade more.

* Sun Sep 10 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.28.0-0vl1
- fix vupgrade for Vine Linux 4.x (<BTS:0165>)

* Wed Jun 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.27.0-0vl1
- export XMODIFIERS and GTK_IM_MODULE before start SCIM
  (VineSeed:1084[567])

* Wed Apr 06 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.26.0-0vl1
- apply wnn8 patch for kinput2ctl (vutils-1.24.0-wnn8.patch)
  ( thanks to KAZUKI SHIMURA )

* Wed Apr 05 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 1.25.0-0vl1
- replace anthy entry by uim
  (actually the "anthy" entry is settings for "uim")
- set EMACS_IME=uim when ime is uim (use uim.el instead of anthy.el)

* Fri Oct 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.24.0-0vl1
- add wnn8/wnn8le support

* Tue Jul 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.23.0-0vl1
- update uim/scim related files
- use License tag instead of Copyright
- update descriptions
  ( thanks to KAZUKI SHIMURA )

* Sun Mar 06 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.5-0vl1
- add scim support
  ( thanks to KAZUKI SHIMURA )
- drop obsolete scripts (setgsfont and killnetscape)

* Wed Feb 02 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.4-0vl1
- rename atok17 to atokx2
- fixed xinitrc.d/setime for atokx2
  ( thanks to Makoto Fujiyoshi @ justsystem )

* Sat Jan 15 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.3-0vl1
- fixed atok17 setting in imelib
  (thanks to Takashi Maruyama @ JustSystem)

* Thu Nov 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.2-0vl1
- add /usr/sbin to PATH for vje-delta-3.0-3...
  (this should fix in vje-delta package)

* Thu Nov 04 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.1-0vl1
- wait to exec vje until nautilus draws a desktop. (max. 10 sec)
- experimental support for ATOK 17 for Linux.

* Mon Nov 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.22.0-0vl1
- add workaround patch for atokx
  (add LD_PRELOAD=~/usr/X11R6/lib/libXi.so.6 for httx)
- enable XIM in emacs when the preferred ime is VJE.

* Wed Oct 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.9-0vl1
- sleep 4 seconds before exec vje client.

* Mon Jul 26 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.8-0vl1
- add "-map" option to xwnmo for GNOME2

* Mon Jun 21 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.7-0vl1
- fix again imelib to use unix domain socket for Canna.
- modify vupgrade to upgrade from 2.6 to 3.0
- modify vupgrade to replace CANNA_SERVER=localhost with CANNA_SERVER=unix

* Fri Jun 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.6-0vl1
- fix imelib to use unix domain socket for Canna.

* Wed Jun 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.4-0vl1
- check availability of window managers or desktop environments in setwm.

* Wed Jun 16 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.3-0vl1
- applied NISHIMURA Daisuke's patchset.
  vutils-1.21.2-cannaunix.patch
  vutils-1.21.2-kinput2wnn.patch
  vutils-1.21.2-noexists.patch
  vutils-1.21.2-statremote.patch

* Thu Apr 01 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.2-0vl1
- fixed typo in imelib
- add translation for ExitMsg

* Wed Jan 28 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.1-0vl1
- fix to export GTK_IM_MODULE

* Tue Jan 27 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.21.0-0vl1
- add Anthy supoprt
- set GTK_IM_MODULE={uim-*,xim}

* Sun Jan 18 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20.6-0vl1
- add xfce and fluxbox
  ( thanks to UECHI Yasumasa, IWAI Masaharu )
  
* Wed Feb  5 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20.5-0vl1
- fixed typo in imelib (s/XMODIfIERS/XMODIFIERS)

* Tue Nov 26 2002 Shoji Matsumoto <shom@vinelinux.org> 1.20.4-0vl1
- fixed ATOKX selection on wdm

* Thu Nov 19 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20.3-0vl1
- fixed bug.
  /usr/bin/setime is a wrong file. replace with older one.

* Sun Oct  6 2002 Jun Nishii <jun@vinelinux.org> 1.20.0-0vl1
- update vupgrade for Vine 2.6

* Sat Oct 05 2002 Shoji Matsumoto <shom@vinelinux.org> 1.20.1-0vl3
- add vje patch to imelib
- modify xinit.d/setime for wnn?/wnn?xwnmo

* Sun Apr 28 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.20.1-0vl1
- add "sleep 2" to wait start up xwnmo.

* Sun Mar 31 2002 Jun Nishii <jun@vinelinux.org> 1.20.0-0vl1
- update vupgrade

* Tue Mar 26 2002 Jun Nishii <jun@vinelinux.org> 1.19.1-0vl2
- set EMACS_IME=wnn/wnn6/wnn7 for setime wnn

* Mon Mar 25 2002 Jun Nishii <jun@vinelinux.org> 1.19.1-0vl1
- merge wnn7 patch again
- merge new wnn7 patch by Takumi ASAKI <asataku@osk3.3web.ne.jp>, Thanks!

* Sun Mar 24 2002 Jun Nishii <jun@vinelinux.org> 1.18.21-0vl1
- update vupgrade

* Thu Mar 14 2002 Takumi ASAKI <asataku@osk3.3web.ne.jp> 1.18.20-0vl2
- fix wnn7 and xwnmo handling

* Wed Mar 13 2002 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 1.18.20-0vl1
- don't start any IME if LANG is other than ja*

* Fri Mar 01 2002 Toru Sagami <sagami@vinelinux.org>
- 1.18.19-0vl1

* Sun Feb 24 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 1.18.18-0vl1
- add wnn7 handling

* Fri Feb  8 2002 Jun Nishii <jun@vinelinux.org> 1.18.17-0vl1
- xinitrc.d/vupgrade -> xinitrc.d/00vupgrade

* Wed Sep 05 2001 Toru Sagami <sagami@vinelinux.org>
- 1.18.16-0vl1

* Sun Jun 24 2001 Jun Nishii <jun@vinelinux.org>
- 1.18.14-0vl1

* Thu Jun 07 2001 <sagami@vinelinux.org>
- 1.18.13-0vl1

* Mon Apr 16 2001 Jun Nishii <jun@vinelinux.org>
- 1.18.12-0vl1

* Mon Mar 26 2001 Jun Nishii <jun@vinelinux.org>
- 1.18.11-0vl1

* Fri Feb 09 2001 Toru Sagami <czs14350@mb.infoweb.ne.jp>
- 1.18.10-0vl1

* Tue Dec 19 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.9-0vl1

* Fri Dec 15 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.8-0vl1

* Tue Dec 5 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.7-0vl1

* Sun Oct 15 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.6-0vl1

* Sun Oct  1 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.5-0vl1

* Thu Sep 28 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.4-0vl1

* Mon Sep 11 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.2-0vl1

* Sat Aug 19 2000 Jun Nishii <jun@vinelinux.org>
- 1.18.0-0vl1

* Wed Aug 16 2000 Jun Nishii <jun@vinelinux.org>
- 1.17.5-0vl1

* Sun Mar 12 2000 Jun Nishii <jun@vinelinux.org>
- ver. 1.17.3

* Wed Mar  1 2000 Jun Nishii <jun@vinelinux.org>
- ver. 1.17.2

* Wed Feb 16 2000 Jun Nishii <jun@vinelinux.org>
- ver. 1.17-1

* Mon Feb 07 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.16-3
- added a patch for imelib and kinput2ctl in sync with FreeWnn-1.1.1-1
  (wnnenvrc for FreeWnn is now stored in /etc/FreeWnn/ja/wnnenvrc)

* Sun Jan 30 2000 MATSUBAYASHI 'Shaolin' Kohji <shaolin@rhythmaning.org>
- 1.16-2
- imelib & kinput2 modified for Wnn6 package

* Mon Dec 20 1999 Jun Nishii <jun@vinelinux.org>
- ver. 1.16

* Sat Dec 18 1999 Jun Nishii <jun@vinelinux.org>
- ver. 1.15

* Wed Dec 15 1999 Jun Nishii <jun@vinelinux.org>
- ver. 1.14

* Fri Dec 10 1999 Jun Nishii <jun@vinelinux.org>
- ver. 1.13
- bug fix of setime for FreeWnn and other tiny bugs

* Sun Nov 28 1999 Jun NISHII <jun@vinelinux.org>
- modify setime

* Sun Nov 28 1999 Jun NISHII <jun@vinelinux.org>
- added kinput2ctl
- modify setime (separate kinput2 control routine)

* Wed Nov 10 1999 Jun Nishii <jun@vinelinux.org>
- first release
