%define pkg_major_version 1.5.17
%define pkg_name wine
%define pkg_release 1%{?_dist_release}

# NEW Release: numbering rule. -- Release: 1%{?_dist_release} 
# spec file for package wine.. # base (SUSE10 and fedora core 9)

Summary:	Allows running Windows 16/32/64 bit programs on Unix.
Summary(ja):    Unix で 16/32/64ビットWindoowsプログラムを実行させます
Name:		%{pkg_name}
Version:	%{pkg_major_version}
Release:        %{pkg_release}
URL:		http://www.winehq.org/
License:	LGPLv2+
Group:	        Applications/System

#--------------------------------------------------------------------
Source0: http://prdownloads.sourceforge.net/wine/%{name}-%{version}.tar.bz2
#--------------------------------------------------------------------

Source1:	wine.init
Source3:	wine-README-Fedora
Source4:	wine-32.conf
# desktop stuff
Source100:      wine-notepad.desktop
Source101:      wine-regedit.desktop
Source102:      wine-uninstaller.desktop
Source103:      wine-winecfg.desktop
Source104:      wine-winefile.desktop
Source105:      wine-winemine.desktop
Source106:      wine-winhelp.desktop
Source107:      wine-wineboot.desktop

# desktop dir
Source200:      wine.menu
Source201:      wine.directory

# mime types
Source300:      wine-mime-msi.desktop

# explain how to use wine with pulseaudio
Source402:      README-FEDORA-PULSEAUDIO
Patch400:       http://art.ified.ca/downloads/winepulse-0.30-configure.ac.patch
Patch401:       http://art.ified.ca/downloads/winepulse-0.30.patch
Patch402:       http://art.ified.ca/downloads/adding-pulseaudio-to-winecfg-0.4.1.patch

Patch0:         wine-prefixfonts.patch
Patch1:         wine-1.1.28-rpath.patch
Patch2:         wine-1.4-x86_64_gstreamer.patch

# fix #448338
## Patch2:         wine-desktop-mime.patch

# enable FontSmoothing by deafult
Patch1000: wine-1.4.1-vine.patch

# ADD ja
Source801: wine_README.ja
Source802: README-FEDORA-PULSEAUDIO.ja
Source803: wine-README-Fedora.ja
Source804: wine_README_add.ja
Source805: fonts-replace-list.txt
Source806: ja_fonts_replace-js2ipa.reg
Source807: ja_fonts_replace-js2vl.reg
Source808: ja_fonts_replace-ms2ipa.reg
Source809: ja_fonts_replace-ms2vl.reg


Vendor: Project Vine
Distribution: Vine Linux
Packager: daisuke, Takemikaduchi

ExclusiveArch: %{ix86} x86_64

#--------------------------------------------------------------------
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
#--------------------------------------------------------------------

## FedoraCore ##
BuildRequires: bison, flex
BuildRequires: audiofile, audiofile-devel
BuildRequires: alsa-lib-devel
BuildRequires: freeglut-devel, lcms-devel
## BuildRequires:  libieee1284-devel
BuildRequires: libjpeg-devel, libpng-devel
BuildRequires: libstdc++-devel
BuildRequires: libusb-devel
BuildRequires: libxml2-devel, libxslt-devel
BuildRequires: openldap-devel, ncurses-devel
BuildRequires: unixODBC-devel, openssl-devel
BuildRequires: sane-devel
BuildRequires: zlib-devel
BuildRequires: desktop-file-utils
BuildRequires: fontforge
## BuildRequires: gphoto2, gphoto2-devel
## BuildRequires: jack-audio-connection-kit-devel
## BuildRequires:  isdn4k-utils-devel
BuildRequires: cups-devel
BuildRequires: dbus-devel
BuildRequires: gstreamer-plugins-base-devel
## Requires:       %{_bindir}/xmessage

## X modular(fc) > X 7.2
BuildRequires:  libX11-devel
BuildRequires:  mesa-libGL-devel, mesa-libGLU-devel
BuildRequires:  libXxf86dga-devel, libXxf86vm-devel
BuildRequires:  libXrandr-devel
BuildRequires:  libXrender-devel
BuildRequires:  libXext-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXcomposite-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXi-devel
BuildRequires:  libXcursor-devel
BuildRequires:  fontconfig-devel
BuildRequires:  giflib-devel
BuildRequires:  libtiff-devel
BuildRequires:  pkgconfig
BuildRequires:  libicu-devel
BuildRequires:  freetype2-devel

%ifarch x86_64
BuildRequires: compat32-glibc-devel
BuildRequires: compat32-glibc-devel
BuildRequires: compat32-libX11-devel
BuildRequires: compat32-libxcb-devel
BuildRequires: compat32-freetype2-devel
BuildRequires: compat32-libSM-devel
BuildRequires: compat32-libXext-devel
BuildRequires: compat32-libXrender-devel
BuildRequires: compat32-mesa-libGL-devel
BuildRequires: compat32-mesa-libGLU-devel
BuildRequires: compat32-libxml2-devel
BuildRequires: compat32-libxslt-devel
BuildRequires: compat32-openssl-devel
BuildRequires: compat32-libjpeg-devel
BuildRequires: compat32-libpng-devel
BuildRequires: compat32-zlib-devel
BuildRequires: compat32-alsa-lib-devel
BuildRequires: compat32-dbus-devel
BuildRequires: compat32-lcms-devel
BuildRequires: compat32-cups-devel
BuildRequires: compat32-gnutls-devel
BuildRequires: compat32-gstreamer-plugins-base-devel
## extension
BuildRequires: compat32-libXcursor-devel
BuildRequires: compat32-libXi-devel
BuildRequires: compat32-libXxf86vm-devel
BuildRequires: compat32-libXrandr-devel
BuildRequires: compat32-libXinerama-devel
BuildRequires: compat32-libXcomposite-devel
BuildRequires: compat32-ncurses-devel
BuildRequires: compat32-fontconfig-devel
BuildRequires: compat32-libtiff-devel
BuildRequires: compat32-openldap-devel

Requires:	compat32-freetype2
Requires:	compat32-ncurses
%endif

Requires(post): /sbin/ldconfig, /sbin/chkconfig, /sbin/service
Requires(post): desktop-file-utils >= 0.8
Requires(preun): /sbin/chkconfig, /sbin/service
Requires(postun): /sbin/ldconfig
Requires(postun): desktop-file-utils >= 0.8

#--------------------------------------------------------------------

%description
(WINE Is Not an Emulator)
 While Wine is usually thought of as a Windows(TM) emulator,
the Wine developers would prefer that users thought of 
Wine as a Windows compatibility layer for UNIX.
 This package includes a program loader, which allows
unmodified Windows 3.x/9x/NT binaries to run on x86 and 
x86_64 Unixes.
Wine does not require MS Windows, but it can use native 
system .dll files if they are available.


%description -l ja
(WINE Is Not an Emulator)
 WINEは普段、Windows(TM)のエミュレーターと考えられているが、WINEの
開発者達は、むしろユーザーが、「WINEはUnix環境のためのWindows
互換レイヤー」と考えてくれる事を好むでしょう。
 このパッケージはプログラムローダーを含み、これは未修正の 
Windows 3.x/9x/NT バイナリを x86 や x86_64 のUnix システムで動作
させます。
 WINE は動作にあたって MS Windows を必要とはしませんが、ネイティブ
Windows システムの .dll ファイルが存在するのならば、それを使用する
事もできます

#--------------------------------------------------------------------
%package devel
Summary: Wine development environment
Summary(ja):    WINE の開発ファイルです
Group: System Environment/Libraries
Requires: wine = %{version}-%{release}

%description devel
This RPM contains the header files and development tools 
for the WINE libraries.

%description devel -l ja
WINEの開発用ライブラリやヘッダーファイル、そして開発用の
アプリケーション(例:winebuild)のパッケージです
(development packages)

#--------------------------------------------------------------------
%package init
Summary: WINE binfmt_misc kernel function used for init file.
Summary(ja): WINE で binfmt_misc機能 を使うための起動ファイルです
Group: System Environment/Libraries
Requires: wine = %{version}-%{release}

%description init
WINE binfmt_misc kernel function used for init file.
WIN32-binary attribute run with a Linux-binary run the same way as possible.
(init.d packages)
** example **
Until now, "$ wine /file/to/path/arege.exe" and then you were running
 from the usual binary Linux as "$ /file/to/path/arege.exe" 
 and just be able to run.
Of course, please be mindful of security.


%description init -l ja
カーネルの binfmt_misc機能 をWINEで使うための initファイルです。
実行属性の付いた WIN32バイナリを Linuxバイナリと同じように実行できる
ようにします。
(init.d packages)
※ 例 ※
これまで "$ wine /file/to/path/arege.exe" と入力してから実行していました
が、通常の Linuxバイナリ のように "$ /file/to/path/arege.exe" とする
だけで実行できるようになります。
無論、セキュリティに留意して下さい。


#--------------------------------------------------------------------

%prep

%setup -q -n %{name}-%{version}
## %patch0
## %patch1 -p1
%ifarch x86_64
%patch2 -p1
%endif
## %patch400 -p1
%patch401 -p1
## %patch402 -p1 -b .add-pa-to-winecfg
%patch1000 -p1

%build
autoreconf -if
%ifarch x86_64
export CFLAGS="-O2 -m32 -march=i686 -mtune=generic -fasynchronous-unwind-tables -fno-strict-aliasing -fno-schedule-insns2"
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-x \
	--without-jack \
	--without-capi
%else
export CFLAGS="$RPM_OPT_FLAGS"
%{configure} \
	--prefix=%{_prefix} \
	--with-x \
	--without-jack \
	--without-capi
%endif

grep "have_x=yes" config.log || exit 1

%{__make} depend

%{__make} %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

#-----------------------------------------------------------FC9
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/wine

# Allow users to launch Windows programs by just clicking on the .exe file...
mkdir -p ${RPM_BUILD_ROOT}%{_initrddir}
install -p -c -m 755 %{SOURCE1} ${RPM_BUILD_ROOT}%{_initrddir}/wine

# add wine dir to desktop
mkdir -p ${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/menus/applications-merged
install -p -m 644 %{SOURCE200} \
${RPM_BUILD_ROOT}%{_sysconfdir}/xdg/menus/applications-merged/wine.menu

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/desktop-directories
install -p -m 644 %{SOURCE201} \
${RPM_BUILD_ROOT}%{_datadir}/desktop-directories/Wine.directory

## mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
## %%{_datadir}/applications

# install desktop files
desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE100}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE101}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE102}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE103}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE104}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE105}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE106}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE107}

desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  --delete-original \
  ${RPM_BUILD_ROOT}/%{_datadir}/applications/wine.desktop

#mime-types
desktop-file-install \
  --vendor=vine \
  --dir=${RPM_BUILD_ROOT}/%{_datadir}/applications \
  %{SOURCE300}


## other files
cp %{SOURCE3} README-Fedora
cp %{SOURCE803} README-Fedora.ja
cp %{SOURCE801} documentation/README.ja
cp %{SOURCE804} documentation/README_add.ja
cp %{SOURCE805} %{SOURCE806} %{SOURCE807} %{SOURCE808} %{SOURCE809} documentation/

mkdir -p ${RPM_BUILD_ROOT}/%{_sysconfdir}/ld.so.conf.d/
install -p -m644 %{SOURCE4} ${RPM_BUILD_ROOT}%{_sysconfdir}/ld.so.conf.d/


# deploy pulseaudio readme (802jp)
cp %{SOURCE402} .
cp %{SOURCE802} .

# check desktop files
%check
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-notepad.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-regedit.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-uninstaller.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-winecfg.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-winefile.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-winemine.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-winhelp.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-wineboot.desktop
desktop-file-validate \
 ${RPM_BUILD_ROOT}%{_datadir}/applications/vine-wine-mime-msi.desktop

#--------------------------------------------------------------------
%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/ldconfig
update-desktop-database &>/dev/null || :
### add vinelinux
if [ "$LANG" = "ja_JP.UTF-8" ]; then
  echo "WINEのシステムフォントをリプレースするには"
  echo " fonts-replace-list.txt をお読み下さい。"
else
  echo "You need to Japanese fonts name replace, "
  echo "See fonts-replace-list.txt ."
fi

%postun
/sbin/ldconfig
update-desktop-database &>/dev/null || :

%post init
if [ $1 = 1 ]; then
/sbin/chkconfig --add wine
/sbin/chkconfig --level 2345 wine on
/sbin/service wine start &>/dev/null || :
fi
### add vinelinux
if [ "$LANG" = "ja_JP.UTF-8" ]; then
    echo "WINE から binfmt_misc 機能を利用するための起動ファイルが"
    echo "インストールされ、ランレベル2、3、4、5で有効になりました。"
    echo "(ファイル名は /etc/init.d/wine です)"
    echo "起動時にファイルシステムのマウントが必要です。"
    echo "root権限で次のコマンドを使い、 /etc/fstab に追記して下さい。"
    echo "(削除も手動でお願いします)"
    echo ""
    echo "# cp /etc/fstab /etc/fstab.before  ##バックアップの作成"
    echo "# echo 'none /proc/sys/fs/binfmt_misc binfmt_misc defaults 0 0' >> /etc/fstab "
    echo "参照(Ja) http://opentechpress.jp/developer/article.pl?sid=06/08/24/0033257 "
else
    echo "WINE binfmt_misc feature from the boot files "
    echo "to be installed and enabled 2,3,4,5 runlevel."
    echo "(File name in the /etc/init.d/wine )"
    echo "Filesystem mounted at boot time is required."
    echo "Root privileges using the following command in the /etc/fstab"
    echo "please Addenda.(Please delete manually.)"
    echo ""
    echo "# cp /etc/fstab /etc/fstab.before   ##(Create backup)"
    echo "# echo 'none /proc/sys/fs/binfmt_misc binfmt_misc defaults 0 0' >> /etc/fstab "
    echo "See also(en)http://www.linux.com/articles/56032 "
fi

%preun init
if [ $1 = 0 ]; then
	/sbin/service wine stop >/dev/null 2>&1
	/sbin/chkconfig --del wine
fi

#--------------------------------------------------------------------
## deleted /usr/share/applications/wine.desktop
%files
%defattr(-,root,root,-)
%doc ANNOUNCE AUTHORS COPYING.LIB  LICENSE LICENSE.OLD
%doc README VERSION
%doc README-FEDORA-PULSEAUDIO
%doc README-FEDORA-PULSEAUDIO.ja
%doc README-Fedora
%doc README-Fedora.ja 
%doc documentation/README* documentation/ChangeLog*
%doc documentation/ja_fonts_replace* 
%doc documentation/fonts-replace-list.txt
### %{_bindir}/*
%{_bindir}/msiexec
%{_bindir}/regedit
%{_bindir}/regsvr32
%{_bindir}/wine
%{_bindir}/wineboot
%{_bindir}/wineconsole
## %{_bindir}/wineprefixcreate
%{_bindir}/winecfg
%{_bindir}/wine-preloader
# winelauncher --> Remove
%{_bindir}/wineserver
%{_bindir}/notepad
%{_bindir}/winedbg
%{_bindir}/winedump
%{_bindir}/winefile
%{_bindir}/winemaker
%{_bindir}/winemine
%{_bindir}/winepath
## winhelp -> renamed winhlp32.exe
%{_sysconfdir}/xdg/menus/applications-merged/wine.menu
%{_sysconfdir}/ld.so.conf.d/wine-32.conf
%{_libdir}/libwine.so.1*
%dir %{_libdir}/wine
%{_libdir}/wine/*.cpl.so
%{_libdir}/wine/*.exe.so
%{_libdir}/wine/*.exe16.so
%{_libdir}/wine/*.dll.so
%{_libdir}/wine/*.dll16.so
%{_libdir}/wine/*.drv.so
%{_libdir}/wine/*.drv16.so
%{_libdir}/wine/*.mod16.so
## %{_libdir}/wine/*.*16
%{_libdir}/wine/*.ds.so
%{_libdir}/wine/*.ocx.so
%{_libdir}/wine/*.vxd.so
%{_libdir}/wine/*.acm.so
%{_libdir}/wine/*.sys.so
%{_libdir}/wine/*.tlb.so
%dir %{_libdir}/wine/fakedlls
%{_libdir}/wine/fakedlls/*
%dir %{_datadir}/wine
%{_datadir}/wine/*
%{_datadir}/applications/vine-wine-mime-msi.desktop
%{_datadir}/applications/vine-wine.desktop
%{_datadir}/applications/vine-wine-regedit.desktop
%{_datadir}/applications/vine-wine-uninstaller.desktop
%{_datadir}/applications/vine-wine-winecfg.desktop
%{_datadir}/applications/vine-wine-wineboot.desktop
%{_datadir}/applications/vine-wine-notepad.desktop
%{_datadir}/applications/vine-wine-winefile.desktop
%{_datadir}/applications/vine-wine-winemine.desktop
%{_datadir}/applications/vine-wine-winhelp.desktop
%{_datadir}/desktop-directories/Wine.directory
%{_mandir}/man1/wine.1.*
%{_mandir}/man1/wineserver.1*
%{_mandir}/man1/msiexec.1*
%{_mandir}/man1/notepad.1*
%{_mandir}/man1/regedit.1*
%{_mandir}/man1/regsvr32.1*
%{_mandir}/man1/wineboot.1*
%{_mandir}/man1/winecfg.1*
%{_mandir}/man1/wineconsole.1*
%{_mandir}/man1/winefile.1*
%{_mandir}/man1/winemine.1*
%{_mandir}/man1/winepath.1*
## %{_mandir}/man1/wineprefixcreate.1*
%lang(de) %{_mandir}/de.UTF-8/man1/*.1*
%lang(fr) %{_mandir}/fr.UTF-8/man1/*
%lang(pl) %{_mandir}/pl.UTF-8/man1/wine.1*

#--------------------------------------------------------------------
%files devel
%defattr(-,root,root,-)
%{_bindir}/function_grep.pl
%{_bindir}/widl
%{_bindir}/winebuild
%{_bindir}/winecpp
%{_bindir}/winedump
%{_bindir}/wineg++
%{_bindir}/winegcc
%{_bindir}/winemaker
%{_bindir}/wmc
%{_bindir}/wrc
%{_includedir}/wine
%{_libdir}/*.so

%{_libdir}/wine/*.a
%{_libdir}/wine/*.def

%{_mandir}/man1/widl.1*
%{_mandir}/man1/winebuild.1*
%{_mandir}/man1/winecpp.1*
%{_mandir}/man1/winedump.1*
%{_mandir}/man1/winegcc.1*
%{_mandir}/man1/winemaker.1*
%{_mandir}/man1/wmc.1*
%{_mandir}/man1/wrc.1*
%{_mandir}/man1/winedbg.1*
%{_mandir}/man1/wineg++.1*


#--------------------------------------------------------------------
%files init
%defattr(-,root,root,-)
%{_initrddir}/wine
%doc documentation/README_add.ja

#--------------------------------------------------------------------
%changelog
* Sun Nov 11 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.5.17-1
- update to 1.5.17

* Sat Jun 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4.1-1
- new upstream release
- update Patch1000 (wine-1.4.1-vine.patch)

* Thu Mar 08 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.4-1
- new upstream release
- add Patch2 (wine-1.4-x86_64_gstreamer.patch)
- add BuildRequires: gstreamer-plugins-base-devel

* Sat Jul 09 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.3-1
- update to 1.2.3
- add Requires: compat32-freetype2 (x86_64 only)

* Sat Dec 04 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.2-1
- new upstream release

* Thu Oct 28 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2.1-1
- new upstream release
- drop Patch1

* Mon Aug 23 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2-2
- new upstream release
- fix %configure (add configu:e and gcc option of x86_64)
- fix %install (remove wine.desktop and change make install option)
- add ExclusiveArch: %{ix86} x86_64
- add BuildRequires for x86_64 (compat32 packages)

* Sat Jun 12 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 1.2-1.rc2
- update to 1.2-rc2
- fix spec file
  - if [ "$LANG" = "ja_JP.eucJP" ];
  + if [ "$LANG" = "ja_JP.UTF-8" ];
- convert kanji code (ja_JP.eucJP -> ja_JP.UTF-8)
  - SOURCE801, SOURCE802, SOURCE803, SOURCE804, SOURCE805
- fix %files
- drop patches (Patch0, Patch400, Patch402)

* Sun Sep 13 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.29-2
- update BRs
  - remove freetype-devel
  - remove libungif-devel, add giflib-devel
  - remove gphoto2-devel, add libgphoto2-devel

* Thu Sep 03 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.29-1
- update to 1.1.29

* Tue Sep 01 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.28-1
- update to 1.1.28
- update winepulse patches

* Mon Jun 15 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 1.1.23-1
- update to 1.1.23
- spec in utf-8
- add patch1000 to enable FontSmoothing by deafult.
- update pulseaudio patches
- remove invalid Provides: Wine HQ
- remove unneeded patches

* Tue Jul 8 2008 Seiichirou Babasaki 1.1.0-1
- Wine development release 1.1.0.
- Updated specfile (for VineSeed)

#--------------------------------------------------------------------

* Sat Jul 5 2008 Seiichirou Babasaki 1.0-2
- added  "ja_fonts_replace-*.reg" files.
- Updated specfile

* Fri Jul 4 2008 Seiichirou Babasaki 1.0-1
- version upgrade
- Updated specfile
- Update to 1.0
- fix wine.desktop mime types (fc)
- add desktop package including desktop files and binary handler (fc)
- pull in some wine alsa/pulseaudio patches (fc)
-- NEWS "June 17, 2008: Wine 1.0 Released"
-- read http://www.winehq.org/?issue=348

* Wed Jun 11 2008 Seiichirou Babasaki 1.0-1rc4
- Updated specfile
- Update to 1.0-rc4
- NEWS "June 6, 2008: Wine 1.0-rc4 Released"
-- ntdll: Add local defines for VIF and VIP flags.
--  wininet: Include openssl/ssl.h before Windows headers.
--  shell32: Fixed the French about box.
--  ChangeLog: Moved to documentation/ChangeLog.BETA.
--  fonts: Add a non-breaking space glyph to the Tahoma fonts.
--  ....others , read ChangeLog
--- Bug fixes only, we are in code freeze.

* Tue Jun 03 2008 Seiichirou Babasaki 1.0-1rc3
- Updated specfile
- Update to 1.0-rc3
- NEWS "May 30, 2008: Wine 1.0-rc3 Released"
-- The default version is now Windows XP.
-- Many Richedit improvements.
-- Beginning of jscript dll support.
-- Shell folders now respect XDG directory configuration.
-- Many translation updates.
-- Lots of bug fixes.
-- * Bug fixes only, we are in code freeze.
--- kernel32: Add a builtin 16-bit winhelp.exe.
--- This should be moved to winhlp32.exe once we support 16-bit modules in
--- executables.
---- winhelp -> renamed winhlp32.exe
---- programs: Remove winelauncher from install rules.

* Mon Apr 04 2008 Seiichirou Babasaki 0.9.59
- Updated specfile
- Update to 0.9.59
- NEWS.. "April 4, 2008: Wine 0.9.59 Released"
-- * Improved support for the .NET framework.
-- * Better services handling through a separate services.exe process.
-- * Support for ATI fragment shader.
-- * Better support for http proxies.
-- * Window management fixes.
-- * Pre-compiled fonts are now available in the source tree.
-- * Lots of bug fixes.

* Mon Mar 24 2008 Seiichirou Babasaki 0.9.58
- Updated specfile (split wine-init package)
- Update to 0.9.58
- NEWS.. "March 21, 2008: Wine 0.9.58 Released"
--  * The default version is now Windows XP.
--  * Many Richedit improvements.
--  * Beginning of jscript dll support.
--  * Shell folders now respect XDG directory configuration.
--  * Many translation updates.
--  * Lots of bug fixes.

* Tue Mar 11 2008 Seiichirou Babasaki 0.9.57-1vl1
- Updated specfile (*.desktop file %check .)
- Update to 0.9.57
- NEWS.. "March 7, 2008: Wine 0.9.57 Released"
--  * Support for multiple OpenGL pixel formats.
--  * Improved support for color profiles.
--  * Many window management fixes.
--  * Better fullscreen support.
--  * Lots of bug fixes.

* Fri Feb 29 2008 Seiichirou Babasaki 0.9.56-1vl1
- Updated specfile
- ("Build Tool" from the wine-package to move to devel-packages)
- Update to 0.9.56
- NEWS.. "February 22, 2008: Wine 0.9.56 Released"
--  * Proper handling of OpenGL/Direct3D windows with menu bars.
--  * Stubs for all the d3dx9_xx dlls.
--  * Several graphics optimizations.
--  * Many installer fixes.
--  * Improved MIME message support.
--  * Lots of bug fixes.

* Fri Feb 15 2008 Seiichirou Babasaki 0.9.55-1vl2
- Updated specfile (cf. VineLinux .spec file format)
- Add Installed messages for "binfmt_misc" .
- *.desktop file "Name" change to japanese. (UTF8)

* Wed Feb 13 2008 Seiichirou Babasaki 0.9.55-1vl1
- Import WINE - Packager: Babasaki
- Updated specfile (SUSE base + FC9 cfg)
- Update to 0.9.55
- Update to 0.9.54 from FC9
- Update to 0.9.53 from Private package

# FC9 ------------------------------------------------------------- FC9

* Sun Feb 10 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.55-1
- version upgrade

* Fri Jan 25 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.54-1
- version upgrade
- remove default pulseaudio workaround (#429420,#428745)
- improve pulseaudio readme

* Sun Jan 13 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.53-2
- add some missing BR

* Sat Jan 12 2008 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.53-1
- version upgrade

* Sat Dec 29 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.52-2
- fix menu bug (#393641)

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.52-1
- version upgrade

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.51-3
- add -n Wine to pulseaudio workaround
- try to fix menu bug #393641

* Fri Dec 28 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.51-2
- add fix for #344281 pulseaudio workaround
- fix #253474: wine-jack should require jack-audio-connection-kit

* Sun Dec 16 2007 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- 0.9.51-1
- version upgrade

# ---- abbreviatio ----------------------------------------------------#

# ----------and suse.
# * Fri Mar 17 2006 - meissner@suse.de
# - Avoid ulimit leading to out of memory situations by using
#  the compat address space layout personality. #152115

