Name:           xfce4-volumed
Version:        0.1.13
Release:        1%{?_dist_release}
Summary:        Daemon to add additional functionality to the volume keys of the keyboard

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://launchpad.net/xfce4-volumed
Source0:        http://archive.xfce.org/src/apps/%{name}/0.1/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  xfconf-devel
BuildRequires:  keybinder-devel
BuildRequires:  libnotify-devel
BuildRequires:  gstreamer-plugins-base-devel
BuildRequires:  desktop-file-utils
Requires:       xfce4-mixer

%description
The xfce4-volumed adds additional functionality to the volume up/down and mute
keys of the keyboard. It makes the keys work without configuration and uses 
the XFCE 4 mixer's defined card and track for choosing which track to act on. 
The volume level is shown in a notification.

%prep
%setup -q
echo "Icon=multimedia-volume-control" >> data/%{name}.desktop


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install \
  --add-category="Utility" \
  --dir=$RPM_BUILD_ROOT/%{_datadir}/applications \
  $RPM_BUILD_ROOT/%{_sysconfdir}/xdg/autostart/%{name}.desktop
# one launcher is enough, we don't want to have a daemon in the menu
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applications/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README THANKS
%config %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}


%changelog
* Sun Nov 04 2012 Daisuke SUZUKI <daisuke@linux.or.jp> 0.1.13-1
- initial build for Vine Linux

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.1.13-2
- Rebuild for new libpng

* Fri May 27 2011 Orion Poplawski <orion@cora.nwra.com> - 0.1.13-1
- Update to 0.1.13
- Drop libnotify patch fixed upstream
- Upstream now accepts CFLAGS environment variable in configure

* Sun Mar 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.12-1
- Update to 0.1.12 (fixes #680111)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Nov 27 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.11-1
- Update to 0.1.11

* Sat Nov 06 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.10-2
- Fix for libnotify 0.7.0

* Wed Nov 03 2010 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.10-1
- Update to 0.1.10 (#631199)
- Build requirements change: Require keybinder-devel instead of xcb-util-devel

* Tue Nov 17 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.8-1
- Update to 0.1.8

* Sun Nov 01 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.7-1
- Update to 0.1.7

* Wed Oct 28 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.5-1
- Update to 0.1.5

* Sat Sep 05 2009 Christoph Wickert <cwickert@fedoraproject.org> - 0.1.4-1
- Initial Fedora package
