# Basic Information
Name:		yelp-tools
Version:	3.6.1
Release:	1%{?_dist_release}
License:	GPLv2+
Group:		Development/Tools
URL:		http://projects.gnome.org/yelp/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/%{name}/3.6/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildArch:	noarch

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	a collection of scripts and build utilities to help create
Summary(ja):	ヘルプ作成のためのスクリプトとビルドユーティリティのコレクション

# Dependency
Requires:	itstool
Requires:	libxslt
Requires:	libxml2
Requires:	yelp-xsl
BuildRequires:	itstool
BuildRequires:	libxslt-devel
BuildRequires:	libxml2-devel
BuildRequires:	yelp-xsl-devel

%description
yelp-tools is a collection of scripts and build utilities to help create,
manage, and publish documentation for Yelp and the web. Most of the heavy
lifting is done by packages like yelp-xsl and itstool. This package just
wraps things up in a developer-friendly way.

%description -l ja
yelp-tools は、 Yelp および web 向け文書の作成、管理および発行を助ける
スクリプトおよびビルドユーティリティのコレクションです。ほとんどの重た
い作業は、yelp-xsl および itstool のようなパッケージによって行われます。
このパッケージは、開発者にやさしい方法でこのような作業をラップします。


%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc COPYING ChangeLog NEWS README
%{_bindir}/yelp-build
%{_bindir}/yelp-check
%{_bindir}/yelp-new
%{_datadir}/aclocal/yelp.m4
%{_datadir}/yelp-tools/templates/task.page
%{_datadir}/yelp-tools/xslt/comments.xsl
%{_datadir}/yelp-tools/xslt/mal-epub.xsl
%{_datadir}/yelp-tools/xslt/mal-ncx.xsl
%{_datadir}/yelp-tools/xslt/mal-opf.xsl
%{_datadir}/yelp-tools/xslt/mal-rng.xsl
%{_datadir}/yelp-tools/xslt/mal-status.xsl


%changelog
* Tue Oct 16 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.1-1
- new upstream release

* Sat Sep 29 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.6.0-1
- new upstream release

* Sun Apr 22 2012 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.4.1-1
- new upstream release

* Sat Oct 22 2011 Yoji TOYODA <bsyamato@sea.plala.or.jp> 3.2.1-1
- new upstream release

* Sat Sep 24 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 3.1.7-1
- initial build for Vine Linux

